2022-04-04  Jim Klimov <jimklimov+nut@gmail.com>

	* configure.ac: configure.ac: cut the release of NUT v2.8.0
	* clients/Makefile.am, tools/nut-scanner/Makefile.am: tools/nut-
	  scanner/Makefile.am, clients/Makefile.am: bump "version-info" for
	  NUT v2.8.0  Development since 2.7.4 release included changes to
	  code structure, fought warnings, and might impact ABI/API by the
	  changes to arguments (specific integer types and size_t vs.
	  architecture-dependent choice).

2022-04-26  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/nut.dict: docs/nut.dict: update dict
	* docs/download.txt: docs/download.txt: link to distro packaging wiki
	  page on NUT github
	* docs/download.txt: docs/download.txt: update links to distro
	  packaging recipes and their results
	* docs/download.txt: docs/download.txt: deprecate buildbot tarballs
	* drivers/libusb0.c, drivers/libusb1.c: drivers/libusb{0,1}.c: report
	  why we could not open any HID devices  Closes: #477

2022-04-23  Jim Klimov <jimklimov@gmail.com>

	* data/driver.list.in: driver.list.in: Add HCL info for PowerWalker
	  VI 750T/HID (USB)  Closes: #774
	* data/driver.list.in: driver.list.in: Add HCL info for PowerWalker
	  VI 2200 SH and 650 SHL (USB)  Closes: #646
	* data/driver.list.in: driver.list.in: Add HCL info for PowerWalker
	  VI 2200 SHL (USB) Closes: #756
	* data/driver.list.in: driver.list.in: Add HCL info for PowerWalker
	  VI 650 SH (USB)  Closes: #473
	* data/driver.list.in: driver.list.in: Add HCL info for PowerWalker
	  Basic VI 1000 SB (USB)  Closes: #818
	* data/driver.list.in: driver.list.in: Add HCL info for PowerWalker
	  VI 3000 SCL (USB)  Closes: #971
	* data/driver.list.in: driver.list.in: Add HCL info for PowerWalker
	  VI 1200 SHL (USB)  Closes: #1270
	* data/driver.list.in: driver.list.in: Add HCL info for UPS Phasak
	  model 9465, renamed as P6N (USB)  Closes: #1187
	* data/driver.list.in: driver.list.in: Add HCL info for Online-UPS
	  Xanto S700 [#1279]
	* data/driver.list.in: driver.list.in: Add HCL info for Santak
	  MT*-PRO / Castle C*K (Serial)  Closes: #1039
	* data/driver.list.in: driver.list.in: Add HCL info for Digitus
	  DN-170040, DN-170041, and Voltronic Power GalleonX9-RT LCD-1-3K
	  (USB)  Closes: #1251
	* data/driver.list.in: driver.list.in: Add HCL info for Kebo
	  UPS-650VA (USB) from DDL
	* data/driver.list.in: driver.list.in: Add HCL info for Kebo
	  UPS-1000D (USB)  Closes: #981
	* data/driver.list.in: driver.list.in: Add HCL info for Aviem Pro
	  2000VA (USB)  Closes: #827
	* data/driver.list.in: driver.list.in: Add HCL info for Digitus
	  DN-170076 (USB)  Closes: #948
	* data/driver.list.in: driver.list.in: Add HCL info for Ippon Back
	  Basic 850 Euro (USB)  Closes: #802
	* data/driver.list.in: driver.list.in: Add HCL info for Energy
	  Technologies DPK1/1-3 (Serial)  Closes: #762
	* data/driver.list.in: driver.list.in: Add HCL info for V7
	  UPS1RM2U1500-1E UPS 1500VA Rack Mount 2U (USB)  Closes: #716
	* data/driver.list.in: driver.list.in: Add HCL info for Advice PRS850
	  and PRV700 Pro (USB) from DDL
	* data/driver.list.in: driver.list.in: Add HCL info for Advice Top V
	  Pro 6-10K (USB)  Closes: #744
	* data/driver.list.in: driver.list.in: Add HCL info for Tecnoware UPS
	  ERA PLUS 1100 (USB)  Closes: #747
	* data/driver.list.in: driver.list.in: Add HCL info for Elsist UPS
	  Nemo2.0 160 (USB)  Closes: #719
	* data/driver.list.in: driver.list.in: Add HCL info for Powercom
	  Raptor 2000 and RPT-600AP (USB)  Closes: #633
	* data/driver.list.in: driver.list.in: Add HCL info for Eaton 9PX
	  2000 RT (USB)  Closes: #540
	* data/driver.list.in: driver.list.in: Add HCL info for Salicru SPS
	  ONE (USB)  Closes: #554
	* data/driver.list.in: driver.list.in: Add HCL info for APC
	  SMC2200BI-BR (USB)  Closes: #557
	* data/driver.list.in: driver.list.in: Update comment for APC Back-
	  UPS Pro 1000, Model BX1000M (USB) [nut#139]
	* data/driver.list.in: driver.list.in: Add HCL info for Liebert
	  PowerSure PSA 500 series (USB)  Closes: #601
	* docs/man/usbhid-ups.txt: docs/man/usbhid-ups.txt: document some
	  caveats with CyberPower UPSes [issues #520, #1394]
	* data/driver.list.in: driver.list.in: Update for CyberPower Systems
	  OR1500ERM1U [#1338]
	* data/driver.list.in: driver.list.in: Update comment for CyberPower
	  Systems PR1500RT2U [#1191]
	* data/driver.list.in: driver.list.in: Add HCL info for CyberPower
	  Systems CP850PFCLCD (USB)  Closes: #605
	* data/driver.list.in: driver.list.in: Add HCL info for CyberPower
	  Systems BL1250U (USB)  Closes: #1012
	* data/driver.list.in: driver.list.in: Add HCL info for CyberPower
	  Systems RT650EI (USB)  Closes: #453
	* data/driver.list.in: driver.list.in: Add HCL info for CyberPower
	  Systems CP1500PFCLCD (USB)  Closes: #520
	* data/driver.list.in: driver.list.in: Add HCL info for CyberPower
	  Systems BR1000ELCD (USB)  Closes: #552
	* data/driver.list.in: driver.list.in: Add HCL info for CyberPower
	  Systems UT2200E (USB)  Closes: #556
	* data/driver.list.in: driver.list.in: Add HCL info for CyberPower
	  Systems OR500LCDRM1U (USB)  Closes: #578
	* data/driver.list.in: driver.list.in: Add HCL info for CyberPower
	  Systems EC850LCD (USB)  Closes: #622
	* data/driver.list.in: driver.list.in: Add HCL info for Guardian LCD
	  1500 AP (IGA1500LCD) (Serial)  Closes: #449
	* data/driver.list.in: driver.list.in: Add HCL info for Ablerex MARS
	  MS3000RT (Serial)  Closes: #449
	* data/driver.list.in: driver.list.in: Add HCL info for APC AP9584
	  Serial-to-USB kit  Closes: #181
	* data/driver.list.in: driver.list.in: Update comment for Tripp_Lite
	  SMX500RT1U (USB) [#584]
	* data/driver.list.in: driver.list.in: Add HCL info for Huawei
	  UPS2000 series (modbus) [#954 #1066 #1198 #1017]
	* data/driver.list.in: driver.list.in: Add HCL info for DEXP MIX
	  850VA (USB)  Closes: #721
	* data/driver.list.in: driver.list.in: Add HCL info for CPC, ARES and
	  Powercool models with hunnox protocol (USB)  Closes: #537
	* data/driver.list.in: driver.list.in: Add HCL info for Greencell
	  Micropower 600 (USB)  Closes: #1080
	* data/driver.list.in: driver.list.in: Add HCL info for Crown CMU-
	  SP1200IEC (USB)  Closes: #1014
	* data/driver.list.in: driver.list.in: Add HCL info for DigiTECH
	  650VA (USB)  Closes: #674
	* data/driver.list.in: driver.list.in: Add HCL info for Hunnox
	  devices (and new protocol subdriver) (USB) [#638]
	* data/driver.list.in: driver.list.in: Add HCL info for nJoy Aten PRO
	  3000 (SNMP)  Closes: #1281

2022-04-25  Jim Klimov <jimklimov@gmail.com>

	* docs/nut.dict: docs/nut.dict: add wc
	* docs/nut.dict: docs/nut.dict: add uniq

2022-04-25  Jim Klimov <jimklimov+nut@gmail.com>

	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: add a
	  CI_BUILDDIR=obj into docs scenario; name "out-of-tree builds" as
	  such

2022-04-24  Jim Klimov <jimklimov+nut@gmail.com>

	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: run some tests with
	  CI_BUILDDIR
	* .gitignore, ci_build.sh: ci_build.sh: prepare for CI_BUILDDIR=obj
	* ci_build.sh: ci_build.sh: introduce CI_BUILDDIR to handle out-of-
	  tree builds other than distcheck
	* docs/man/Makefile.am, docs/man/index.txt, docs/man/nutupsdrv.txt,
	  docs/man/upsd.txt, docs/nut.dict: docs/man/nutupsdrv.txt +
	  index.txt + upsd.txt: use {builddir}/linkman-*.txt for included
	  data
	* docs/man/Makefile.am: docs/man/Makefile.am: refactor
	  LINKMAN_INCLUDE_CONSUMERS
	* docs/man/Makefile.am: docs/man/Makefile.am: introduce A2X_VERBOSE
	* docs/nut-qa.txt, docs/nut.dict: docs/nut-qa.txt: mention "make
	  check-NIT-devel" helper target
	* docs/man/victronups.txt: docs/man/victronups.txt: update link to
	  cable pinout  Closes: #1371
	* configure.ac: configure.ac: fix enableval vs withval
	* drivers/bcmxcp_usb.c, drivers/blazer_usb.c, drivers/nutdrv_qx.c,
	  drivers/richcomm_usb.c, drivers/riello_usb.c,
	  drivers/tripplite_usb.c, drivers/usb-common.c, drivers/usb-
	  common.h, drivers/usbhid-ups.c: drivers/usb-common.{h,c} and USB-
	  capable drivers: introduce warn_if_bad_usb_port_filename()  Closes:
	  #1368
	* ci_build.sh: ci_build.sh: disable check-NIT by default in CI runs
	  for now

2022-04-23  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/main.c: drivers/main.c: simplify detection of PROGNAME="lt-
	  DRIVERNAME" making it more reliable for some platforms

2022-04-18  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/cyberpower-mib.c: drivers/cyberpower-mib.c: update
	  cyberpower_power_status[] with new values [#1377]

2022-04-23  Jim Klimov <jimklimov@gmail.com>

	* data/driver.list.in: Update driver.list.in

2022-04-23  Jim Klimov <jimklimov+nut@gmail.com>

	* configure.ac: configure.ac: fix nut_enable_check_NIT
	* ci_build.sh: ci_build.sh: "--enable-check-NIT" and "--enable-
	  maintainer-mode" for developer builds without a BUILD_TYPE
	* ci_build.sh: ci_build.sh: "--enable-check-NIT" for CI builds
	* tests/NIT/nit.sh: tests/NIT/nit.sh: fix renaming typo
	* tests/NIT/nit.sh: tests/NIT/nit.sh: remove mktemp-ed TESTDIR when
	  we exit
	* tests/NIT/nit.sh: tests/NIT/nit.sh: refactor with TESTDIR
	* clients/upssched.c, common/common.c, drivers/clone-outlet.c,
	  drivers/clone.c, drivers/dstate.c, include/common.h,
	  server/sockdebug.c, server/sstate.c: check_unix_socket_filename()
	  to meaningfully abort when our paths are too long
	* docs/man/clone.txt, docs/man/dummy-ups.txt: docs/man/clone.txt +
	  dummy-ups.txt: clarify the dependency caveats  Clone drivers do not
	  require to run after upsd, but may need to start after the "real"
	  driver whose socket thay leech onto.
	* tests/NIT/nit.sh: tests/NIT/nit.sh: limit how long we wait for
	  UPS1/UPS2 to begin responding
	* configure.ac, docs/configure.txt, docs/nut-qa.txt,
	  tests/NIT/Makefile.am: tests/NIT/Makefile.am + configure.ac:
	  introduce --enable-check-NIT
	* docs/man/dummy-ups.txt: docs/man/dummy-ups.txt: re-wrap long lines
	  and reword
	* docs/man/dummy-ups.txt: docs/man/dummy-ups.txt: highlight that
	  upsrw can not define new variables
	* docs/man/dummy-ups.txt: docs/man/dummy-ups.txt: update notes for
	  dummy-once mode ability to re-read file only if it changes
	* docs/man/dummy-ups.txt: docs/man/dummy-ups.txt: update notes for
	  dummy-once mode
	* docs/man/clone.txt, docs/man/dummy-ups.txt: docs/man/dummy-ups.txt
	  + clone.txt: cross-link two man pages to remind about similar use-
	  cases

2022-04-23  Jim Klimov <jimklimov@gmail.com>

	* data/driver.list.in: driver.list.in: Add HCL info for nJoy Keen 600
	  (USB)  Closes: #867

2022-04-22  Jim Klimov <jimklimov+nut@gmail.com>

	* tests/NIT/nit.sh: tests/NIT/nit.sh:
	  testcase_sandbox_upsc_query_timer(): do not waste time if we did
	  get the answer we want
	* tests/NIT/nit.sh: tests/NIT/nit.sh:
	  testcase_sandbox_upsc_query_timer(): for slower testers out there,
	  wait one more cycle
	* tests/NIT/nit.sh: tests/NIT/nit.sh: ignore message from NSS builds
	  Those tend to add lines like Init SSL without certificate database
	  so we should better grep for expected char sequence

2022-04-22  Paweł Rapkiewicz <pawel.rapkiewicz@gmail.com>

	* data/driver.list.in, drivers/ever-hid.c, scripts/upower/95-upower-
	  hid.hwdb: Confirm support for ECO Pro AVR CDS series EVER UPS  This
	  commit confirms that EVER UPS line 'ECO Pro AVR CDS' is supported
	  by NUT, from nowon, nut-scanner will recognize EVER Ups as follows:
	  [nutdev1] driver = "usbhid-ups" port = "auto" vendorid = "2E51"
	  productid = "0000" product = "ECO PRO AVR CDS" serial =
	  "XXXXXXXXXXXXXXXXXXXXXXXXX" vendor = "EVER" bus = "003"

2022-04-22  Jim Klimov <jimklimov+nut@gmail.com>

	* tests/NIT/nit.sh: tests/NIT/nit.sh: add
	  testgroup_sandbox_cppnit_simple_admin() to troubleshoot dummy-ups
	  data propagation
	* tests/NIT/nit.sh: tests/NIT/nit.sh:
	  testcase_sandbox_start_drivers_after_upsd(): wait for UPS1 and UPS2
	  to respond
	* tests/cpputest-client.cpp: tests/cpputest-client.cpp: allow up to
	  10 seconds for SET VAR to propagate into read-back value
	* tests/.gitignore: GitIgnore tests/cppnit binary and logs
	* docs/nut.dict: Update nut.dict
	* tests/NIT/nit.sh: tests/NIT/nit.sh: refactor test cases into
	  smaller routines and groups, and allow to select NIT_CASE
	  optionally
	* tests/NIT/nit.sh: tests/NIT/nit.sh: refactor stop_daemons()
	* Makefile.am, tests/Makefile.am, tests/NIT/Makefile.am:
	  tests/NIT/Makefile.am: extend with check-NIT-devel for iterating
	* drivers/dstate.c: drivers/dstate.c: log start of processing in
	  sock_arg()
	* drivers/dstate.c: drivers/dstate.c: whitespace fix
	* tests/NIT/nit.sh: tests/NIT/nit.sh: allow to tweak NUT_DEBUG_MIN
	* tests/cpputest-client.cpp: tests/cpputest-client.cpp: trace values
	  read back after setting
	* tests/cpputest-client.cpp: tests/cpputest-client.cpp: rename "s1"
	  original value reading
	* scripts/python/Makefile.am: scripts/python/Makefile.am: clean *.pyc
	  and __pycache__/ if present

2022-04-21  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/dummy-ups.c: drivers/dummy-ups.c: fix dummy-once mode for
	  relative path in port
	* tests/NIT/nit.sh: tests/NIT/nit.sh: name the "dummy.seq" so it
	  loops by default
	* drivers/main.c: drivers/main.c: better fix for handling of libtool-
	  named binaries
	* tests/NIT/nit.sh: tests/NIT/nit.sh: if "Error: Driver not
	  connected" retry with UPSD started after drivers are running
	* drivers/main.c: drivers/main.c: fix the handling of libtool-named
	  binaries
	* tests/NIT/nit.sh: tests/NIT/nit.sh: "sed -i" requires an extension
	  (may be empty, in BSD must be a separate CLI token, in others must
	  be same token - not empty is ok for all)
	* tests/NIT/nit.sh: tests/NIT/nit.sh: "sed -i" requires an extension
	  (may be empty, in BSD must be a separate CLI token)
	* drivers/dummy-ups.c: drivers/dummy-ups.c: cover exhaustive
	  case(enum) with pragmas for diametral warnings
	* tests/NIT/nit.sh: tests/NIT/nit.sh: extend with mode=... for dummy-
	  ups [#1385]
	* NEWS, UPGRADING, docs/man/dummy-ups.txt, drivers/dummy-ups.c:
	  dummy-ups: do re-read a "dummy-once" file, though only if it
	  changes while the driver runs  r the commit message for your
	  changes. Lines starting
	* NEWS, UPGRADING, docs/man/dummy-ups.txt, drivers/dummy-ups.c:
	  dummy-ups: separate MODE_DUMMY_ONCE from MODE_DUMMY_LOOP  Closes:
	  #1385
	* docs/man/dummy-ups.txt: docs/man/dummy-ups.txt: small rewording
	* drivers/dummy-ups.c: drivers/dummy-ups.c: refactor "mode" from
	  random defines to an enum
	* common/str.c, include/str.h: include/str.h, common/str.c: add
	  str_ends_with()
	* tests/NIT/nit.sh: tests/NIT/nit.sh: make sure ups.status is not
	  pre-defined empty in test sandbox
	* tests/cpputest-client.cpp: tests/cpputest-client.cpp:
	  test_auth_user(): bail out if "ups.status" reply is empty
	* tests/NIT/nit.sh: tests/NIT/nit.sh: report DEBUG_SLEEP mode more
	  usefully
	* tests/NIT/nit.sh: tests/NIT/nit.sh: spell out 127.0.0.1 and ::1 if
	  detected supported on local system - do not rely on ping CLI alone
	* tests/NIT/nit.sh: tests/NIT/nit.sh: spell out 127.0.0.1 and ::1 if
	  detected supported on local system

2022-04-20  Jim Klimov <jimklimov+nut@gmail.com>

	* tests/NIT/nit.sh: tests/NIT/nit.sh: report issues more usefully for
	  troubleshooting CI
	* tests/NIT/Makefile.am: tests/NIT/Makefile.am: use more portable
	  clumsier code
	* drivers/main.c: drivers/main.c: accept "lt-PROGNAME" to run
	  libtool-wrapped builds during development
	* tests/NIT/nit.sh: tests/NIT/nit.sh: Avoid dummies with TIMER flip-
	  flops for cppnit if we can
	* tests/Makefile.am: tests/Makefile.am: do not run "cppnit" as part
	  of TESTS, only give a recipe to build it
	* clients/nutclient.h, tests/Makefile.am, tests/NIT/nit.sh,
	  tests/cpputest-client.cpp: NutActiveClientTest: introduce C++
	  NutActiveClientTest for NIT and similar uses
	* tests/NIT/nit.sh: tests/NIT/nit.sh: log OVERALL results before
	  DEBUG_SLEEP
	* tests/NIT/nit.sh: tests/NIT/nit.sh: refactor upsd.users passwords
	  as shell vars to ease reuse
	* tests/NIT/nit.sh: tests/NIT/nit.sh: check that test_nutclient.py
	  was generated before running it; export NUT_PORT just once
	* tests/NIT/nit.sh: tests/NIT/nit.sh: embed weak randomization of
	  NUT_PORT  At least this little magic is better than a hardcoded
	  number: if several CI executors run `make check` at once on same
	  host, they now have a decent chance to not collide (not guaranteed
	  though)
	* tests/NIT/nit.sh: tests/NIT/nit.sh: let caller customize NUT_PORT
	* Makefile.am, configure.ac, tests/Makefile.am, tests/NIT/.gitignore,
	  tests/NIT/Makefile.am: Add tests/NIT/Makefile.am for
	  straightforward integration of the test suite
	* configure.ac, tests/Makefile.am: configure.ac: fix detection of
	  cppunit on some platforms  Note for posterity: CFLAGS go before
	  source, LDFLAGS+LIBS after source, in g++ cmdline
	* Makefile.am: Makefile.am: fix "make check-docs" and siblings from
	  root dir
	* Makefile.am: Makefile.am: let "make check-NIT" from root dir
	* tests/NIT/README, tests/NIT/nit.sh: tests/NIT: warn in
	  docs/comments that starting pwd should be the BUILDDIR
	* tests/Makefile.am: tests/Makefile.am: help check-NIT pass in
	  distcheck (cleaner)
	* tests/NIT/README, tests/NIT/nit.sh: tests/NIT/README: update a bit
	* tests/Makefile.am: tests/Makefile.am: help check-NIT pass in
	  distcheck
	* docs/nut-qa.txt: docs/nut-qa.txt: mention NUT NIT and update links
	  to Ubuntu QART
	* tests/NIT/nit.sh: tests/NIT/nit.sh: make some debug noise optional
	* tests/NIT/nit.sh: tests/NIT/nit.sh: typo fix for SRCDIR
	* tests/NIT/nit.sh: tests/NIT/nit.sh: sanity checks for BUILDDIR
	* tests/NIT/nit.sh: tests/NIT/nit.sh: bail out quickly if got no
	  daemons to run
	* tests/Makefile.am: tests/Makefile.am: call NIT suite
	* tests/NIT/nit.sh: tests/NIT/nit.sh: document DEBUG_SLEEP a bit

2022-04-19  Jim Klimov <jimklimov+nut@gmail.com>

	* tests/NIT/.gitignore, tests/NIT/README, tests/NIT/nit.sh: NIT: NUT
	  Integration Tests (usable PoC) [another take at issue #3]
	* clients/upsrw.c, docs/man/upsrw.txt: upsrw: accept "-l" for listing
	  Closes: #1382
	* scripts/python/module/test_nutclient.py.in: test_nutclient.py.in:
	  allow to override NUT_PORT, NUT_USER, NUT_PASS
	* conf/ups.conf.sample: conf/ups.conf.sample: update with info from
	  docs/man/ups.conf.txt

2022-04-18  Jim Klimov <jimklimov+nut@gmail.com>

	* clients/nutclient.cpp: clients/nutclient.{cpp,h}:
	  deviceMaster()/devicePrimary(): add fallback handling with the
	  other keyword [#840, #1374]
	* clients/nutclient.cpp, clients/nutclient.h,
	  clients/nutclientmem.cpp, clients/nutclientmem.h,
	  docs/man/libnutclient_misc.txt: clients/nutclient{mem}.{cpp,h}
	  docs/man/libnutclient_misc.txt: add PRIMARY handling [#840]
	  Closes: #1374
	* clients/nutclient.cpp, clients/nutclient.h,
	  docs/man/libnutclient_tcp.txt: clients/nutclient.{cpp,h}
	  docs/man/libnutclient_tcp.txt: fix timeout from long to time_t
	  Closes: #1376
	* clients/upsc.c, clients/upsclient.c, clients/upsclient.h,
	  clients/upscmd.c, clients/upsimage.c, clients/upslog.c,
	  clients/upsmon.h, clients/upsrw.c, clients/upsset.c,
	  clients/upsstats.c, docs/man/upscli_connect.txt, drivers/dummy-
	  ups.c: clients/upsclient.{c,h} and many clients + dummy-ups: fix
	  port from int to uint16_t  Closes: #1379
	* docs/man/libnutclient_variables.txt:
	  docs/man/libnutclient_variables.txt: fix English
	* clients/upsclient.h: clients/upsclient.h: fix whitespace
	* clients/upsclient.c, clients/upsclient.h,
	  docs/man/upscli_readline.txt, docs/man/upscli_sendline.txt:
	  clients/upsclient.{c,h} docs/man/upscli_{read,send}line.txt: fix
	  timeout from long to time_t  Closes: #1373
	* clients/nutclient.cpp, clients/nutclient.h,
	  docs/man/libnutclient_tcp.txt, docs/nut.dict:
	  clients/nutclient.{cpp,h}: fix port type from unsigned short to
	  uint16_t  Closes: #1375
	* docs/man/Makefile.am: docs/man/Makefile.am: `$(<F)` is not POSIX
	  compliant, while `$(@F)` is, go figure [#1362 follow-up]

2022-04-17  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/man/Makefile.am: docs/man/Makefile.am: abstract filenames into
	  LINKMAN_INCLUDE_GENERATED macro

2022-04-16  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/man/Makefile.am: docs/man/Makefile.am: DOCBUILD_BEGIN: work
	  around older BSD make not seeing sources not present in builddir
	  It seems to resolve single-source documents well, but fails to find
	  the upsd.txt which depends on linkman*-names.txt and build a proper
	  relative path to it.
	* docs/man/Makefile.am: docs/man/Makefile.am: ensure linkman-
	  drivertool*names.txt are in builddir
	* docs/man/Makefile.am: docs/man/Makefile.am: ensure linkman-
	  drivertool*names.txt are in A2X_OUTDIR
	* docs/man/Makefile.am: docs/man/Makefile.am: avoid spurious
	  regeneration of linkman-drivertool*names.txt whenever we reference
	  them
	* docs/man/Makefile.am: docs/man/Makefile.am: generate linkman-
	  drivertool*names.txt independent of current dir being srcdir
	* ci_build.sh: ci_build.sh: "cat" the "git diff"

2022-04-15  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/man/libnutclient_general.txt, docs/man/libnutclient_misc.txt,
	  docs/man/libnutclient_tcp.txt, docs/man/libnutclient_variables.txt,
	  docs/man/libupsclient-config.txt, docs/nut.dict:
	  docs/man/libnutclient*.txt: wrap long lines, minor rephrase, bullet
	  points
	* docs/man/libnutclient_commands.txt,
	  docs/man/libnutclient_devices.txt:
	  docs/man/libnutclient_devices.txt, libnutclient_commands.txt:
	  synopsis for strarr
	* docs/man/libnutclient_devices.txt:
	  docs/man/libnutclient_devices.txt: wrap long lines, minor rephrase,
	  bullet points
	* docs/man/libnutclient_commands.txt:
	  docs/man/libnutclient_commands.txt: wrap long lines, minor
	  rephrase, bullet points; added optional param arg in API
	* docs/man/upscli_strerror.txt: docs/man/upscli_strerror.txt: fix
	  return type modifier to const
	* docs/man/upscli_add_host_cert.txt, docs/man/upscli_cleanup.txt,
	  docs/man/upscli_disconnect.txt, docs/man/upscli_fd.txt,
	  docs/man/upscli_get.txt, docs/man/upscli_init.txt,
	  docs/man/upscli_list_next.txt, docs/man/upscli_readline.txt,
	  docs/man/upscli_sendline.txt, docs/man/upscli_splitaddr.txt:
	  docs/man/upscli*.txt: wrap long lines, minor rephrase
	* docs/man/nutscan_init.txt, docs/man/nutscan_new_device.txt,
	  docs/man/nutscan_scan_usb.txt: docs/man/nutscan*.txt: document
	  methods with (void) arg list as such
	* docs/man/Makefile.am, docs/man/index.txt, docs/man/nutscan.txt,
	  docs/man/nutscan_add_device_to_device.txt,
	  docs/man/nutscan_add_option_to_device.txt,
	  docs/man/nutscan_cidr_to_ip.txt,
	  docs/man/nutscan_display_parsable.txt,
	  docs/man/nutscan_display_ups_conf.txt,
	  docs/man/nutscan_free_device.txt,
	  docs/man/nutscan_get_serial_ports_list.txt,
	  docs/man/nutscan_init.txt, docs/man/nutscan_new_device.txt,
	  docs/man/nutscan_scan_avahi.txt,
	  docs/man/nutscan_scan_eaton_serial.txt,
	  docs/man/nutscan_scan_ipmi.txt, docs/man/nutscan_scan_nut.txt,
	  docs/man/nutscan_scan_snmp.txt, docs/man/nutscan_scan_usb.txt,
	  docs/man/nutscan_scan_xml_http.txt,
	  docs/man/nutscan_scan_xml_http_range.txt:
	  docs/man/nutscan_scan_xml_http_range.txt: document the method which
	  got extended from original nutscan_scan_xml_http() doing just a
	  local broadcast
	* docs/man/nutscan_scan_ipmi.txt: docs/man/nutscan_scan_ipmi.txt:
	  document the method which now is implemented
	* docs/man/nutscan.txt, docs/man/nutscan_add_device_to_device.txt,
	  docs/man/nutscan_add_option_to_device.txt,
	  docs/man/nutscan_cidr_to_ip.txt, docs/man/nutscan_free_device.txt,
	  docs/man/nutscan_get_serial_ports_list.txt,
	  docs/man/nutscan_init.txt, docs/man/nutscan_new_device.txt,
	  docs/man/nutscan_scan_avahi.txt,
	  docs/man/nutscan_scan_eaton_serial.txt,
	  docs/man/nutscan_scan_nut.txt, docs/man/nutscan_scan_snmp.txt,
	  docs/man/nutscan_scan_usb.txt, docs/man/nutscan_scan_xml_http.txt:
	  docs/man/nutscan*.txt: wrap long lines, minor rephrase, fix
	  timeouts to useconds_t
	* docs/nut.dict: docs/nut.dict: spellcheck drivertool
	* docs/man/apcsmart-old.txt, docs/man/apcsmart.txt,
	  docs/man/asem.txt, docs/man/bcmxcp_usb.txt, docs/man/liebert-
	  esp2.txt, docs/man/macosx-ups.txt, docs/man/microsol-apc.txt,
	  docs/man/nut.conf.txt, docs/man/nutdrv_atcl_usb.txt,
	  docs/man/nutdrv_qx.txt, docs/man/nutdrv_siemens_sitop.txt,
	  docs/man/oneac.txt, docs/man/optiups.txt, docs/man/upscode2.txt,
	  docs/man/usbhid-ups.txt: docs/man/*.txt: reformat AUTHOR(S) and
	  INTERNET RESOURCES blocks to common style
	* docs/man/upsdrvsvcctl.txt: docs/man/upsdrvsvcctl.txt: list Jim
	  Klimov as the AUTHOR
	* docs/man/nut-driver-enumerator.txt: docs/man/nut-driver-
	  enumerator.txt: list Jim Klimov as the AUTHOR
	* docs/man/snmp-ups.txt: docs/man/snmp-ups.txt: list AUTHORS as a
	  bulleted list and add Jim Klimov
	* docs/man/snmp-ups.txt: docs/man/snmp-ups.txt: wrap long lines and
	  reword a bit
	* docs/man/optiups.txt: docs/man/optiups.txt: wrap long lines
	* docs/man/phoenixcontact_modbus.txt:
	  docs/man/phoenixcontact_modbus.txt: wrap long lines
	* docs/man/belkinunv.txt: docs/man/belkinunv.txt: add link to
	  protocol description copy on NUT site
	* docs/support.txt: docs/support.txt: mention github instead of
	  subversion
	* docs/man/.gitignore, docs/man/Makefile.am, docs/man/index.txt,
	  docs/man/nutupsdrv.txt, docs/man/upsd.txt: docs/man/index.txt,
	  upsd.txt, nutupsdrv.txt: generate the up-to-date list of drivers,
	  current for each iteration
	* docs/man/index.txt, docs/man/nutupsdrv.txt, docs/man/upsd.txt:
	  docs/man/upsd.txt, nutupsdrv.txt, index.txt: move common
	  nutupsdrv[8] from the bulk of driver list
	* docs/man/nutupsdrv.txt, docs/man/upsd.txt: docs/man/upsd.txt,
	  nutupsdrv.txt: generate current list of drivers
	* docs/man/index.txt: docs/man/index.txt: generate current list of
	  drivers, separate "Driver Control" title
	* docs/man/nutupsdrv.txt, docs/man/upsd.txt: docs/man/upsd.txt,
	  nutupsdrv.txt: reformat lists of drivers and tools to bullet lists
	* docs/Makefile.am: docs/Makefile.am: DOCBUILD_BEGIN: symlink images/
	  ONLY for PDF generation
	* ci_build.sh: ci_build.sh: add notes to Consider `--enable-
	  maintainer-mode`
	* .gitignore: GitIgnore IDEA metadata files
	* docs/.gitignore: GitIgnore more intermediate XML files from docs
	  generation

2022-04-14  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/man/nutscan_display_parsable.txt,
	  docs/man/nutscan_display_ups_conf.txt,
	  docs/man/nutscan_free_device.txt,
	  docs/man/nutscan_get_serial_ports_list.txt: docs/man/nutscan*.txt:
	  fix formatting and typos
	* docs/man/upscli_get.txt, docs/man/upscli_init.txt,
	  docs/man/upscli_list_start.txt: docs/man/upscli*.txt: fix sample
	  source formatting
	* docs/man/upsmon.txt: docs/man/upsmon.txt: reword a dangling
	  sentence
	* docs/man/tripplite_usb.txt: docs/man/tripplite_usb.txt: fix
	  formatting
	* docs/man/riello_ser.txt: docs/man/riello_ser.txt: fix formatting
	* docs/man/riello_usb.txt: docs/man/riello_usb.txt: fix formatting
	* docs/man/snmp-ups.txt: docs/man/snmp-ups.txt: fix sample source
	  formatting
	* docs/man/socomec_jbus.txt: docs/man/socomec_jbus.txt: fix
	  formatting and typos
	* docs/man/Makefile.am, docs/nut.dict: docs/man/Makefile.am: list the
	  socomec_jbus.txt
	* docs/man/pijuice.txt: docs/man/pijuice.txt: fix formatting
	* docs/man/nutdrv_qx.txt: docs/man/nutdrv_qx.txt: fix formatting
	* docs/man/nutdrv_atcl_usb.txt: docs/man/nutdrv_atcl_usb.txt: fix
	  formatting
	* docs/man/nut.conf.txt: docs/man/nut.conf.txt: fix sample source
	  formatting
	* docs/man/mge-utalk.txt: docs/man/mge-utalk.txt: fix formatting
	* docs/man/liebert-esp2.txt: docs/man/liebert-esp2.txt: fix
	  formatting
	* docs/man/clone.txt: docs/man/clone.txt: fix sample source
	  formatting
	* docs/man/bestups.txt, docs/man/blazer-common.txt,
	  docs/man/masterguard.txt: docs/man/blazer-common.txt,
	  masterguard.txt, bestups.txt: fix formatting [#1361]
	* docs/man/adelsystem_cbi.txt: docs/man/adelsystem_cbi.txt: fix
	  formatting
	* docs/sock-protocol.txt: docs/sock-protocol.txt: fix formatting
	* docs/snmp-subdrivers.txt: docs/snmp-subdrivers.txt: small typo
	* docs/packager-guide.txt: docs/packager-guide.txt: reshuffle known
	  names
	* docs/nut-qa.txt: docs/nut-qa.txt: list a few more tools we use
	* TODO, docs/nut-qa.txt: Fix remaining links to asciidoc.org
	* docs/nut-names.txt: docs/nut-names.txt: fix table formatting
	* docs/new-clients.txt: docs/new-clients.txt: fix sample source
	  formatting
	* docs/net-protocol.txt: docs/net-protocol.txt: fix version table
	  formatting
	* docs/FAQ.txt: docs/FAQ.txt: fix formatting, extend some notes
	* docs/nut.dict: Update nut.dict
	* docs/developers.txt: docs/developers.txt: fix formatting, extend
	  some notes
	* docs/developer-guide.txt: docs/developer-guide.txt: fix formatting;
	  update URL to evolution500.seq
	* docs/design.txt: docs/design.txt: fix formatting; note FIXMEs for
	  documenting TRACKING support
	* docs/daisychain.txt: docs/daisychain.txt: fix formatting
	* drivers/snmp-ups.h: drivers/snmp-ups.h: update comment to clarify
	  the meaning of SU_TYPE_DAISY_1 and SU_TYPE_DAISY_2
	* docs/configure.txt: docs/configure.txt: fix formatting, add titles,
	  extend some notes
	* docs/configure.txt: docs/configure.txt: add a section on modbus
	  drivers
	* docs/configure.txt: docs/configure.txt: link to powerman project
	* docs/configure.txt: docs/configure.txt: fix formatting, add driver
	  type titles, extend some notes
	* docs/config-prereqs.txt: docs/config-prereqs.txt: fix formatting,
	  extend some notes

2022-04-14  Jim Klimov <jimklimov@gmail.com>

	* docs/Makefile.am: docs/Makefile.am: A2X_COMMON_OPTS: use "--
	  attribute=..." consistently
	* docs/Makefile.am: docs/Makefile.am: have "images/" in A2X_OUTDIR
	  (fallout of #1152)  Closes: #1365

2022-04-14  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/solaris-usb.txt: docs/solaris-usb.txt: drop suggestions about
	  building special libusb-1.0/0.1 branches
	* docs/solaris-usb.txt: docs/solaris-usb.txt: fix formatting, extend
	  some notes
	* docs/solaris-usb.txt: docs/solaris-usb.txt: add a NOTE for USB
	  drivers ignoring port option [#1368]
	* docs/config-notes.txt: docs/config-notes.txt: fix formatting,
	  extend some notes and warnings, and service-driven life-cycle
	* docs/config-notes.txt: docs/config-notes.txt: document
	  ALLOW_NO_DEVICE for upsd.conf [#766, #837]
	* docs/config-notes.txt: docs/config-notes.txt: reformat and extend
	  the NOTE for USB drivers ignoring port option [#1368]
	* ci_build.sh, docs/ci-farm-lxc-setup.txt, docs/nut.dict: docs/ci-
	  farm-lxc-setup.txt: fix formatting, extend on Jenkins agent setup
	* ci_build.sh: ci_build.sh: use "gmake" for "./ci_build.sh
	  spellcheck" if available and no particular MAKE was requested -
	  fall back to "make" if "gmake" is not available

2022-04-13  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/asciidoc.txt: docs/asciidoc.txt: update link to the Asciidoc
	  Manual (and project now on github)

2022-04-12  Jim Klimov <jimklimov@gmail.com>

	* Makefile.am: Makefile.am: define dependencies between recipes for
	  dist* and package; tarball, sig and checksum filenames

2022-04-10  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/daisychain.txt, docs/man/adelsystem_cbi.txt,
	  docs/man/al175.txt, docs/man/apcsmart-old.txt,
	  docs/man/apcsmart.txt, docs/man/apcupsd-ups.txt, docs/man/asem.txt,
	  docs/man/bcmxcp.txt, docs/man/bcmxcp_usb.txt, docs/man/belkin.txt,
	  docs/man/belkinunv.txt, docs/man/bestfcom.txt,
	  docs/man/bestfortress.txt, docs/man/bestuferrups.txt,
	  docs/man/bestups.txt, docs/man/blazer-common.txt,
	  docs/man/clone.txt, docs/man/dummy-ups.txt, docs/man/etapro.txt,
	  docs/man/everups.txt, docs/man/gamatronic.txt,
	  docs/man/generic_modbus.txt, docs/man/genericups.txt,
	  docs/man/hosts.conf.txt, docs/man/huawei-ups2000.txt,
	  docs/man/isbmex.txt, docs/man/ivtscd.txt,
	  docs/man/libnutclient.txt, docs/man/libnutclient_commands.txt,
	  docs/man/libnutclient_devices.txt,
	  docs/man/libnutclient_general.txt, docs/man/libnutclient_misc.txt,
	  docs/man/libnutclient_tcp.txt, docs/man/libnutclient_variables.txt,
	  docs/man/libupsclient-config.txt, docs/man/liebert-esp2.txt,
	  docs/man/liebert.txt, docs/man/macosx-ups.txt,
	  docs/man/masterguard.txt, docs/man/metasys.txt, docs/man/mge-
	  shut.txt, docs/man/mge-utalk.txt, docs/man/microdowell.txt,
	  docs/man/microsol-apc.txt, docs/man/netxml-ups.txt, docs/man/nut-
	  driver-enumerator.txt, docs/man/nut-ipmipsu.txt, docs/man/nut-
	  recorder.txt, docs/man/nut-scanner.txt, docs/man/nut.conf.txt,
	  docs/man/nutdrv_atcl_usb.txt, docs/man/nutdrv_siemens_sitop.txt,
	  docs/man/nutscan.txt, docs/man/nutscan_add_device_to_device.txt,
	  docs/man/nutscan_add_option_to_device.txt,
	  docs/man/nutscan_cidr_to_ip.txt,
	  docs/man/nutscan_display_parsable.txt,
	  docs/man/nutscan_display_ups_conf.txt,
	  docs/man/nutscan_free_device.txt,
	  docs/man/nutscan_get_serial_ports_list.txt,
	  docs/man/nutscan_init.txt, docs/man/nutscan_new_device.txt,
	  docs/man/nutscan_scan_avahi.txt,
	  docs/man/nutscan_scan_eaton_serial.txt,
	  docs/man/nutscan_scan_ipmi.txt, docs/man/nutscan_scan_nut.txt,
	  docs/man/nutscan_scan_snmp.txt, docs/man/nutscan_scan_usb.txt,
	  docs/man/nutscan_scan_xml_http.txt, docs/man/nutupsdrv.txt,
	  docs/man/oneac.txt, docs/man/optiups.txt,
	  docs/man/phoenixcontact_modbus.txt, docs/man/pijuice.txt,
	  docs/man/powercom.txt, docs/man/powerman-pdu.txt,
	  docs/man/powerpanel.txt, docs/man/rhino.txt,
	  docs/man/richcomm_usb.txt, docs/man/riello_ser.txt,
	  docs/man/riello_usb.txt, docs/man/safenet.txt, docs/man/skel.txt,
	  docs/man/snmp-ups.txt, docs/man/socomec_jbus.txt,
	  docs/man/solis.txt, docs/man/tripplite.txt,
	  docs/man/tripplite_usb.txt, docs/man/tripplitesu.txt,
	  docs/man/ups.conf.txt, docs/man/upsc.txt,
	  docs/man/upscli_add_host_cert.txt, docs/man/upscli_cleanup.txt,
	  docs/man/upscli_connect.txt, docs/man/upscli_disconnect.txt,
	  docs/man/upscli_get.txt, docs/man/upscli_init.txt,
	  docs/man/upscli_list_next.txt, docs/man/upscli_list_start.txt,
	  docs/man/upscli_readline.txt, docs/man/upscli_sendline.txt,
	  docs/man/upscli_splitname.txt, docs/man/upsclient.txt,
	  docs/man/upscmd.txt, docs/man/upscode2.txt, docs/man/upsd.conf.txt,
	  docs/man/upsd.txt, docs/man/upsd.users.txt, docs/man/upsdrvctl.txt,
	  docs/man/upsdrvsvcctl.txt, docs/man/upsimage.cgi.txt,
	  docs/man/upslog.txt, docs/man/upsmon.conf.txt, docs/man/upsmon.txt,
	  docs/man/upsrw.txt, docs/man/upssched.conf.txt,
	  docs/man/upssched.txt, docs/man/upsset.cgi.txt,
	  docs/man/upsset.conf.txt, docs/man/upsstats.cgi.txt,
	  docs/man/upsstats.html.txt, docs/man/usbhid-ups.txt,
	  docs/man/victronups.txt, docs/nut-names.txt, docs/packager-
	  guide.txt: docs/man: be sure to keep a blank line after SYNOPSIS
	  and other titles [#1362]
	* docs/FAQ.txt: docs/FAQ.txt: clarify about nutdrv_qx
	* UPGRADING: UPGRADING: detail about "OBSOLETION WARNING" for
	  "Megatec Q*"
	* docs/man/bestups.txt, docs/man/blazer-common.txt,
	  docs/man/masterguard.txt, drivers/bestups.c, drivers/blazer.c,
	  drivers/masterguard.c: Report deprecation messages when starting
	  older Qx drivers  And document similarly in their man pages
	  (bestups, blazer, masterguard)
	* docs/FAQ.txt, docs/nut.dict: docs/FAQ.txt: add more reasons and
	  symptoms that a running driver disappears
	* docs/FAQ.txt, docs/nut.dict: docs/FAQ.txt: suggest checking Linux
	  USB HID Quirk [#630]
	* ci_build.sh: ci_build.sh: use "gmake" for "./ci_build.sh
	  spellcheck" if available and no particular MAKE was requested
	* docs/FAQ.txt, docs/nut.dict: docs/FAQ.txt: suggest how to pick
	  drivers for bogus vendor IDs
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: bump version for #1356
	  and #1359
	* drivers/tripplite_usb.c: drivers/tripplite_usb.c: bump version for
	  #584
	* drivers/mge-hid.c: drivers/mge-hid.c: bump version for #1357

2022-04-09  Stuart Henderson <sthen@users.noreply.github.com>

	* drivers/usbhid-ups.c: reinstate handling for STATUS(ONLINE) in
	  usbhid-ups  The recent onlinedischarge changes removed support for
	  some STATUS(ONLINE) cases, affecting at least CP1300EPFCLCD - this
	  brings them back.

2022-04-08  Jim Klimov <jimklimov+nut@gmail.com>

	* NEWS: NEWS: note Liebert/Phoenixtec vs MGE HID handling of VendorID
	  0x06da
	* drivers/mge-hid.c: drivers/mge-hid.c: mge_claim(): test that
	  VendorID==PHOENIXTEC 0x06da has also Vendor or Product containing
	  "AEG"
	* data/driver.list.in: data/driver.list.in: update for "PowerWalker
	  VFI 2000 TGS" via "usbhid-ups" [#564]
	* docs/man/usbhid-ups.txt: docs/man/usbhid-ups.txt: update for "some
	  PowerWalker models"

2022-04-08  Jim Klimov <jimklimov@gmail.com>

	* NEWS: NEWS: tripplite_usb recognizes "3005" protocol for NUT v2.7.5

2022-04-08  Jim Klimov <jimklimov+nut@gmail.com>

	* NEWS, docs/nut.dict: NEWS: improve PowerWalker VFI 2000 TGS support
	  in NUT v2.7.5
	* drivers/liebert-hid.c, drivers/mge-hid.c: drivers/liebert-hid.c:
	  get PowerWalker VFI 2000 TGS working, read values correctly  This
	  reverts commit c38b45a56a9d1283657d62a9fa1ed1af5daa1ba2 which added
	  such support into mge-hid.c (at risk to proper support of earlier
	  handled devices by various vendors), and transplants the new lines
	  into liebert-hid.c  See issue #560 for a HID walk from the device
	  in question; data like that may help expand liebert-hid.c later
	  (its table seems to map a lot less field names than mge-hid.c, but
	  not sure if "true" Liebert/Phoenixtec HID devices support the
	  rest).

2022-04-07  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: instcmd(): do not risk
	  NULL-dereference debugging about "using Path" with a NULL hidpath
	  (just in case) [#1346]
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: instcmd(): do not risk
	  NULL-dereference debugging about "using Path" too early [#1346]
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: instcmd(): wrap some
	  long lines

2022-04-07  Jim Klimov <jimklimov@gmail.com>

	* docs/nut.dict: docs/nut.dict: update spellchecker
	* docs/nut.dict: docs/nut.dict: update spellchecker

2022-04-05  Jim Klimov <jimklimov@gmail.com>

	* docs/man/upsmon.conf.txt: docs/man/upsmon.conf.txt: fix markup
	  (pluses make emphasis and xmllint goes upset)

2022-04-04  Jim Klimov <jimklimov+nut@gmail.com>

	* INSTALL.nut: INSTALL.nut: add another perspective on packages vs
	  source builds; refer to config-prereqs.txt
	* INSTALL.nut: INSTALL.nut: trim trailing spaces
	* README: README: trim trailing spaces
	* README: README: clarify use of github
	* docs/config-prereqs.txt, docs/nut.dict: docs/config-prereqs.txt:
	  clarify pre-installation of python and perl
	* docs/config-prereqs.txt: docs/config-prereqs.txt: clarify that non-
	  GNU makes should work well

2022-04-02  Jim Klimov <jimklimov+nut@gmail.com>

	* scripts/python/app/NUT-Monitor: scripts/python/app/NUT-Monitor: fix
	  typo, thank CI
	* UPGRADING: UPGRADING: detail the Py2/Py3 packages
	* UPGRADING: UPGRADING: make note of systemd and Py2/3 changes on top
	  for packagers to see
	* NEWS: NEWS: detail the split of NUT-Monitor and new wrapper script
	* scripts/python/app/README: scripts/python/app/README: update with
	  sections; list Desktop menu integration and Kudos
	* scripts/python/app/.gitignore, scripts/python/app/NUT-Monitor,
	  scripts/python/app/nut-monitor.desktop: Introduce new NUT-Monitor
	  name-holder as a wrapping script to pick usable implementation
	* scripts/python/app/.gitignore: GitIgnore newly named variants of
	  NUT-Monitor-py2gtk2 and NUT-Monitor-py3qt5
	* scripts/python/app/README: scripts/python/app/README: document how
	  to get localized UI in dev/testing
	* scripts/python/app/README: scripts/python/app/README: document how
	  to run UI app in-place
	* m4/nut_check_python.m4: m4/nut_check_python.m4: extend list of some
	  python interpreter filenames
	* configure.ac, scripts/python/Makefile.am, scripts/python/app/{NUT-
	  Monitor.in => NUT-Monitor-py2gtk2.in}, scripts/python/app/nut-
	  monitor-py2gtk2.desktop, scripts/python/app/nut-monitor.desktop,
	  scripts/python/app/{ => ui}/gui-1.3.glade, scripts/python/app/{ =>
	  ui}/gui-1.3.glade.h: Rename NUT-Monitor UI app to NUT-Monitor-
	  py2gtk2
	* configure.ac, scripts/python/Makefile.am, scripts/python/app/{NUT-
	  Monitor.in => NUT-Monitor-py3qt5.in}, scripts/python/app/nut-
	  monitor-py3qt5.desktop, scripts/python/app/nut-monitor.desktop:
	  Rename modernized NUT-Monitor UI app to NUT-Monitor-py3qt5

2022-02-21  Luke Dashjr <luke-jr+git@utopios.org>

	* scripts/python/Makefile.am, scripts/python/README,
	  scripts/python/app/NUT-Monitor.in, scripts/python/app/README,
	  scripts/python/app/gui-1.3.glade,
	  scripts/python/app/gui-1.3.glade.h, scripts/python/app/nut-
	  monitor.desktop, scripts/python/app/ui/aboutdialog1.ui,
	  scripts/python/app/ui/dialog1.ui, scripts/python/app/ui/dialog2.ui,
	  scripts/python/app/ui/window1.ui: NUT-Monitor: Port to
	  Python3+PyQt5

2022-02-13  Luke Dashjr <luke-jr+git@utopios.org>

	* scripts/python/app/NUT-Monitor.in: NUT-Monitor: Run py2to3-3.10

2022-04-01  Jim Klimov <jimklimov+nut@gmail.com>

	* scripts/python/README: scripts/python/README: clarify that
	  `test_nutclient.py` requires an `upsd` running
	* scripts/python/module/PyNUT.py.in:
	  scripts/python/module/PyNUT.py.in: fix typo (fallout of #840)
	* docs/config-prereqs.txt: docs/config-prereqs.txt: fix typos in
	  OpenIndiana chapter
	* NEWS, docs/net-protocol.txt, docs/nut.dict, server/netcmds.h: Add
	  "PROTVER" as alias to "NETVER" for NUT v2.8.0  Closes: #1347

2022-03-31  Jim Klimov <jimklimov+nut@gmail.com>

	* Makefile.am, docs/Makefile.am, docs/man/Makefile.am:
	  {.,docs,docs/man}/Makefile.am: add "all-man" target to build all
	  possible man pages (vs ones for enabled drivers), and weave this
	  and check targets to parent makefiles
	* ci_build.sh: ci_build.sh: introduce shortcut for
	  BUILD_TYPE=fightwarn-all
	* ci_build.sh: ci_build.sh: in BUILD_TYPE=default-all-errors report
	  visibly when no failures happened
	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: treat
	  /usr/pkg/include as -isystem
	* common/parseconf.c, common/str.c, drivers/apcsmart-old.c,
	  drivers/apcsmart.c, drivers/mge-utalk.c, drivers/serial.c,
	  drivers/snmp-ups.c, server/conf.c: Cast (size_t)(char) for
	  isprint(), isspace(), isdigit(), toupper(), etc. who may be macros
	  and use it as array subscript (due to sys/ctype_inline.h)

2022-03-30  Jim Klimov <jimklimov+nut@gmail.com>

	* autogen.sh: autogen.sh: suggest to export PYTHON=python-x.y
	* autogen.sh: autogen.sh: detect more python-x.y filenames
	* docs/config-prereqs.txt, docs/nut.dict: docs/config-prereqs.txt:
	  add chapter for NetBSD 9.2 builder setup
	* docs/config-prereqs.txt: docs/config-prereqs.txt: drop bogus
	  command (copy-paste typo)

2022-03-29  Jim Klimov <jimklimov@gmail.com>

	* .github/pull_request_template.md: Update pull_request_template.md

2022-03-28  Benjamin Berg <bberg@redhat.com>

	* scripts/upower/95-upower-hid.hwdb, scripts/upower/95-upower-
	  hid.rules, tools/nut-usbinfo.pl: tools/nut-usbinfo.pl: Use hwdb for
	  UPower rules

2022-03-28  Jim Klimov <jimklimov+nut@gmail.com>

	* ci_build.sh: ci_build.sh: recognize more "*bsd" CI_OS_NAME values
	* ci_build.sh: ci_build.sh: do not make noise about non-ubiquitous
	  options to "uname" program
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: set the onlinedischarge
	  variable based on flag presence
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: drop
	  DEFAULT_ONLINEDISCHARGE to match "VAR_FLAG" semantics
	* docs/nut.dict: docs/nut.dict: add onlinedischarge
	* NEWS: NEWS: clarify that NUT 2.8.0 is new name for old planned NUT
	  2.7.5
	* NEWS: NEWS: added usbhid-ups onlinedischarge for NUT v2.7.5
	* docs/man/usbhid-ups.txt: docs/man/usbhid-ups.txt: document
	  onlinedischarge
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: fix var usage for
	  upsname
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: fix format string for
	  "onlinedischarge" help

2022-03-26  Jim Klimov <jimklimov+nut@gmail.com>

	* ci_build.sh: ci_build.sh: default to clang if also available when
	  default gcc is too old

2022-03-25  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/config-prereqs.txt: docs/config-prereqs.txt: update openbsd
	  tools for man-page builds
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: avoid failure-prone
	  build toolkits for manpage tests
	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: avoid
	  configure noise message
	* m4/ax_check_compile_flag.m4: m4/ax_check_compile_flag.m4: extend to
	  check conftest.err log about unsupported flags
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: define
	  axisCombos_COMPILER_GCC_TOO_OLD near other compiler-related combos
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: fix scenarios with
	  "non-fatal warnings" that had BUILD_WARNFATAL=yes anyway (copy-
	  paste issue)

2022-03-24  Jim Klimov <jimklimov+nut@gmail.com>

	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: avoid even running
	  axisCombos_GCC_TOO_OLD where we require fatal warnings
	* configure.ac: configure.ac: for very old GCC where we are not in
	  control of warnings, make them non-fatal always (for "auto" level)
	* drivers/libhid.c: drivers/libhid.c: clang-3.4 does not know
	  "-Wtautological-type-limit-compare" either
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: make use of
	  dsbcStageTimeoutSettings

2022-03-23  Jim Klimov <jimklimov+nut@gmail.com>

	* configure.ac: configure.ac: with nut_enable_warnings=auto, avoid
	  fatal warnings with GCC 4.3 or older (no support for diags pragmas)
	* configure.ac: configure.ac: report initial nut_enable_warnings
	  (default or argument)
	* configure.ac: configure.ac: pre-set nut_enable_warnings=auto by
	  default (not hardcoded "medium")
	* ci_build.sh: ci_build.sh: set BUILD_WARNOPT and BUILD_WARNFATAL to
	  "auto" for BUILD_TYPE="fightwarn"* shortcuts (survive antique
	  compilers, default to medium/fatal normally)
	* ci_build.sh: ci_build.sh: comment BUILD_WARNOPT setting for
	  BUILD_TYPE="fightwarn"* shortcuts
	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: enable back
	  the "-isystem" tuning to not complain about packaged third-party
	  headers
	* drivers/libhid.c: drivers/libhid.c: make use of
	  HAVE_PRAGMA_GCC_DIAGNOSTIC_IGNORED_TAUTOLOGICAL_TYPE_LIMIT_COMPARE
	  (clang-6.0.0 of OpenBSD 6.4)
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: introduce
	  [HAVE_PRAGMA_GCC_DIAGNOSTIC_IGNORED_TAUTOLOGICAL_TYPE_LIMIT_COMPARE
	* configure.ac: configure.ac: specify AC_PREREQ([2.64])
	* m4/nut_check_libgd.m4: m4/nut_check_libgd.m4: fix detection of
	  gdImagePng() with additional link requirements
	* configure.ac: configure.ac: document practical requirement for
	  AC_PREREQ(2.64)
	* NEWS, UPGRADING, docs/config-notes.txt, docs/man/upscmd.txt,
	  docs/man/upsrw.txt: docs, NEWS, UPGRADING: rename 2.7.5 to 2.8.0 in
	  text that appeared after 2.7.4
	* docs/net-protocol.txt: docs/net-protocol.txt: document "PRIMARY" as
	  alias to "MASTER"
	* docs/net-protocol.txt: docs/net-protocol.txt: bump next release
	  from 2.7.5 to 2.8.0
	* configure.ac: configure.ac: bump NUT_NETVERSION to 1.3 to match
	  docs/net-protocol.txt

2022-03-21  Jim Klimov <jimklimov+nut@gmail.com>

	* scripts/subdriver/gen-snmp-subdriver.sh: scripts/subdriver/gen-
	  snmp-subdriver.sh: fix back markup for mib2nut_info_t lines
	  Follow-up for #1327 Thanks to @aquette

2022-03-19  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: qx_ups_walk(): log the
	  change of estimated remaining runtime
	* NEWS: NEWS: nutdrv_qx: enhanced estimation of remaining battery
	  runtime for NUT v2.7.5
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: comment about source and
	  data for estimated runtime corrections
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: fix trailing whitespace
	* ci_build.sh: ci_build.sh: when parsing BUILD_TYPE=fightwarn, do not
	  default NUT_SSL_VARIANTS and NUT_USB_VARIANTS to "auto" - so
	  building just one variant at most, even if agent supports more
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: snr_command(): adapt to
	  usb_ctrl_charbuf

2022-03-16  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/libhid.h, drivers/usbhid-ups.c: drivers/libhid.h, usbhid-
	  ups.c: define HID_DEV_HANDLE_CLOSED usable for both SHUT and USB
	  cases

2022-03-15  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/libusb0.c, drivers/libusb1.c: drivers/libusb{0,1}.c: retry
	  getting Manufacturer/Product/Serial a few times if failed on the
	  first  Kudos to Sam Varshavchik for proposing this code change in
	  discussion https://github.com/networkupstools/nut/issues/414
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: try to close libusb
	  handle before reconnecting (from discussion of issue #414)

2022-03-16  Jim Klimov <jimklimov@gmail.com>

	* NEWS: NEWS: added driver adelsystem_cbi for NUT v2.7.5
	* drivers/adelsystem_cbi.h: drivers/adelsystem_cbi.h: functions
	  implemented in a header should be static
	* drivers/adelsystem_cbi.c: drivers/adelsystem_cbi.c: extend pragmas
	  for covered/requred "default" case to work with clang-3.4

2022-03-15  Jim Klimov <jimklimov@gmail.com>

	* ci_build.sh: ci_build.sh: if we only build USB variant(s), do not
	  shy away from testing some SSL and whatever drivers we can

2022-03-15  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/config-prereqs.txt: docs/config-prereqs.txt: currently refrain
	  from clang-13 in OI
	* docs/config-prereqs.txt: docs/config-prereqs.txt: mark aspell as
	  recommended (it is not big)
	* docs/config-prereqs.txt: docs/config-prereqs.txt: update
	  instructions for symlinks on OI
	* docs/config-prereqs.txt: docs/config-prereqs.txt: fix typos in
	  instructions for OpenIndiana, and update for new toolkits available
	  in 2022

2022-03-12  Jim Klimov <jimklimov@gmail.com>

	* ci_build.sh: ci_build.sh: add support for CI_CROSSBUILD_HOST and/or
	  CI_CROSSBUILD_TARGET settings [#1294, #1289, #1334]
	* ci_build.sh: ci_build.sh: check for "gd" as one of names gdlib can
	  go by
	* ci_build.sh: ci_build.sh: use PKG_CONFIG variable if provided (fall
	  back to pkg-config from PATH, but only for this script itself)
	  [#710]
	* drivers/salicru-hid.c: Update salicru-hid.c  Cosmetic fixes
	* m4/nut_check_libnetsnmp.m4: m4/nut_check_libnetsnmp.m4: improve
	  checks for actually present priv/auth protocols [#1289]  Great
	  thanks to @eklinedi on GitHub for finding the issue and
	  investigating ways to fix it
	* drivers/snmp-ups.h: drivers/snmp-ups.h: net-snmp after v5.9.1 does
	  not declare ONE_SEC that our code uses; stash the definiton
	* configure.ac, m4/ax_c_pragmas.m4, m4/ax_run_or_link_ifelse.m4,
	  m4/nut_compiler_family.m4: Introduce m4/ax_run_or_link_ifelse.m4 to
	  facilitate cross-builds [#1289]
	* ci_build.sh: ci_build.sh: report OS_* envvar values if passed by
	  caller

2022-03-12  juantonio <admin@ofi.linkpc.net>

	* drivers/salicru-hid.c: Add tested descriptors for Salicru Twin Pro
	  2

2022-03-12  Jim Klimov <jimklimov@gmail.com>

	* ci_build.sh: ci_build.sh: expand a bit CI_OS_HINT detection on
	  linux systems

2022-03-11  Jim Klimov <jimklimov@gmail.com>

	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: quiesce
	  -Wreserved-identifier (clang 13+) that acts up on system headers
	* drivers/riello.c: drivers/riello.c: riello_parse_re(): assign
	  Pout#W and Pout#VA from pom_long not pom_word
	* drivers/belkinunv.c: drivers/belkinunv.c: instcmd(): find use for
	  "r" to at least report failed cmds

2022-03-11  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/config-prereqs.txt: docs/config-prereqs.txt: rearrange
	  packages to not require heavy ones by default dependency footprint
	  (aspell, docs generation and libgd)
	* server/netuser.c: server/netuser.c: copy-paste typo fix
	* NEWS, UPGRADING: NEWS: rename pending NUT release from 2.7.5 to
	  2.8.0 (config files using new keywords are not backwards-
	  compatible, not usable by old binaries)
	* NEWS: NEWS: added battery.mfr.date APC HID UPS setting for NUT
	  v2.7.5
	* NEWS, docs/nut.dict: NEWS: added socomec_jbus driver for NUT v2.7.5
	* server/netuser.c: server/netuser.c: net_master(): provide more
	  details about client using deprecated commands
	* docs/net-protocol.txt: docs/net-protocol.txt: update for "PRIMARY"
	  netcmd support (alias of "MASTER") [issue #840]
	* NEWS: NEWS: update for "PRIMARY" netcmd support (alias of "MASTER")
	  [issue #840]
	* scripts/python/module/PyNUT.py.in, server/netcmds.h,
	  server/netuser.c, server/netuser.h: netcmds.h, netuser.{c,h},
	  PyNUT.py.in: deprecate protocol "MASTER" command in favor of
	  "PRIMARY" [issue #840]
	* server/upsd.c: server/upsd.c: check_command(): instrument with
	  upsdebugx()
	* server/netuser.c: server/netuser.c: net_login(): instrument with
	  upsdebugx()
	* clients/upsmon.c: clients/upsmon.c: apply_for_primary(): request
	  elevation by PRIMARY, fall back to MASTER (for older upsd builds)
	* NEWS, UPGRADING: NEWS: rename pending NUT release from 2.7.5 to
	  2.8.0 (config files using new keywords are not backwards-
	  compatible, not usable by old binaries)

2022-03-10  Jim Klimov <jimklimov+nut@gmail.com>

	* scripts/subdriver/gen-snmp-subdriver.sh: gen-snmp-subdriver.sh: put
	  back indented CFILE markup (fix here-docs, instead of
	  unmaintainable printf)
	* scripts/subdriver/gen-snmp-subdriver.sh: gen-snmp-subdriver.sh: fix
	  valid chars HOSTNAME input (e.g. IP)

2022-03-10  Jim Klimov <jimklimov@gmail.com>

	* scripts/subdriver/gen-snmp-subdriver.sh: Update gen-snmp-
	  subdriver.sh  Quote variable expansions; replace `echo -n` with a
	  more portable `printf`

2022-03-10  Arnaud Quette <ArnaudQuette@eaton.com>

	* scripts/subdriver/gen-snmp-subdriver.sh: SNMP subdriver generation
	  script: minor reformatting
	* scripts/subdriver/gen-snmp-subdriver.sh: SNMP subdriver generation
	  script: fixes and improvements

2022-03-08  Jim Klimov <jimklimov+nut@gmail.com>

	* tests/getvaluetest.c: tests/getvaluetest.c: check different methods
	  to combine two "wire" bytes into a lenght word (follows up for
	  #1320), hopefully all work the same on all architectures

2022-03-08  Thanos Chatziathanassiou <tchatzi@arx.net>

	* docs/man/socomec_jbus.txt: some documentatyion fixes

2022-03-08  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: simplify back the bit-
	  maths to cast into uint8_t following discussion in #1320
	* drivers/libusb0.c, drivers/libusb1.c: drivers/libusb{0,1}.c:
	  simplify back the bit-maths to cast into uint8_t following
	  discussion in #1320

2022-03-07  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/tripplite_usb.c: drivers/tripplite_usb.c: fix (commented-
	  away) hard_shutdown() to "unsigned char" and bit maths similar to
	  soft_shutdown()
	* drivers/riello_usb.c: drivers/riello_usb.c: Get_USB_Packet(): cast
	  bit maths to (unsigned char) to err on safe side
	* drivers/riello_usb.c: drivers/riello_usb.c: whitespace fix
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: upsdrv_initups(): cast
	  langid calculations to uint16_t (or wider) [similar to #1320]
	* drivers/libusb0.c, drivers/libusb1.c: drivers/libusb{1,0}.c:
	  {nut_}libusb_open(): cast rdlen calculations to uint16_t (or wider)
	  [follow-up from #1320]
	* drivers/libshut.c: drivers/libshut.c: shut_checksum(): address
	  (usb_ctrl_charbuf)buf as (unsigned char) in bit maths
	* drivers/libshut.c: drivers/libshut.c: BYTESWAP(): cast "in" to
	  (uint16_t) for bit maths and use a full-width mask
	* drivers/blazer_usb.c: drivers/blazer_usb.c: upsdrv_initups():
	  address (usb_ctrl_charbuf)tbuf as (unsigned char) in bit maths

2022-03-02  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/snmp-ups.h: drivers/snmp-ups.h: make sure
	  WITH_SNMP_LKP_FUN_DUMMY is defined

2022-02-27  Nita Vesa <werecatf@outlook.com>

	* drivers/apc-hid.c, drivers/usbhid-ups.c: APC HID UPS: Add ability
	  to set battery battery.mfr.date  Some APC UPSes allow for setting
	  battery.mfr.date, so it can be easily referenced later, even if
	  there were no stickers or papers left to refer to.  This patch has
	  been tested to work with APC Back-UPS ES 550G.

2022-03-02  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/mge-xml.c: drivers/mge-xml.c: mge_drycontact_info(): avoid
	  shadowing global variable

2022-02-28  Nick Briggs <nicholas.h.briggs@gmail.com>

	* drivers/libusb0.c: Cast to unsigned type when interpreting HID
	  descriptor length bytes (libusb 0.1)  The libusb 0.1 interface
	  definition declares a (signed) char type for control messages.  The
	  HID descriptor length contained within a control message is
	  intended to be interpreted as a pair of unsigned bytes so we must
	  cast to uint8_t when doing the arithmetic rather than trip over the
	  sign bit.  Closes #1261, closes #1312.

2022-02-27  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: extend daisychain
	  initialization to use optional mapping function  Note: ported sub-
	  set of "snmp-ups.[ch] : add support for extended fun/nuf l2s/s2l
	  conversions and use it for daisychain initialization" without the
	  actual 2x2 "fun/nuf l2s/s2l" support here.

2022-02-27  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: daisychain_init(): add
	  debug trace
	* drivers/eaton-pdu-marlin-helpers.c: drivers/eaton-pdu-marlin-
	  helpers.c: marlin_device_count_fun(): add debug trace

2021-11-17  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: su_find_strval(): mark
	  NUT_UNUSED_VARIABLE(oid2info) when not WITH_SNMP_LKP_FUN

2022-02-27  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: whitespace fix

2017-10-11  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: snmp-ups.c : publish device.count==1 too

2021-10-13  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: su_find_strval() should
	  consider #if WITH_SNMP_LKP_FUN

2019-09-25  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/snmp-ups.c: Fix false positive when communication is lost

2022-02-27  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-mib.c: drivers/eaton-pdu-marlin-mib.c:
	  resync comments and use of SU_FLAG_SEMI_STATIC

2022-02-25  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-mib.c: drivers/eaton-pdu-marlin-mib.c:
	  break long lines

2022-02-27  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: avoid stringop-truncation
	  warning: make sure string is finite

2021-11-11  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: avoid stringop-truncation
	  warning

2021-11-17  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-helpers.c: drivers/eaton-pdu-marlin-
	  helpers.c: include config.h first

2021-11-25  Arnaud Quette <ArnaudQuette@eaton.com>

	* drivers/powerware-mib.c: Eaton SNMP: also publish ups.load for
	  3phase  Though there is output.Lx.power.percent, for 3phase, it's
	  desirable to also have the standard ups.load

2022-01-12  Arnaud Quette <ArnaudQuette@eaton.com>

	* drivers/mge-xml.c: Eaton NMC: fix the non publication of real/power
	  with 3ph  power and realpower for 3ph Lx were not publishing values
	  when they were 0

2021-11-22  Arnaud Quette <ArnaudQuette@eaton.com>

	* drivers/mge-xml.c: Eaton XML/PDC: add External Battery Module count

2021-11-15  Arnaud Quette <ArnaudQuette@eaton.com>

	* drivers/eaton-pdu-marlin-mib.c, drivers/powerware-mib.c: Fix
	  regression on Eaton EMP002 temperature reading (SNMP)  Following
	  the recent addition of the "String reformating function"
	  (su_find_strval()), a regression appeared on a corner case: when
	  flagging a data with ST_FLAG_STRING, while the SNMP OID is an int,
	  and when there is a fun_vp2s() conversion function, a double
	  conversion is applied, resulting in no value published. This was
	  limited to one data (temperature.unit)

2021-06-14  Clappier, Eric <EricClappier@Eaton.com>

	* drivers/powerware-mib.c, drivers/snmp-ups.c: Add missing outlet
	  objects for master

2021-02-01  Clappier, Eric <EricClappier@Eaton.com>

	* drivers/eaton-pdu-marlin-mib.c, drivers/powerware-mib.c: Fix dry
	  contacts status for EMP02

2022-02-27  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups-helpers.c, drivers/snmp-ups.c: Move
	  su_temperature_read_fun() from drivers/snmp-ups.c to snmp-ups-
	  helpers.c

2021-01-26  Arnaud Quette <ArnaudQuette@eaton.com>

	* drivers/eaton-pdu-marlin-mib.c: snmp-ups: fix regression on Eaton
	  ePDU  Fix a regression that caused a mis-determination of the SNMP
	  base OID index (0 or 1, should be 1). This in turn caused a mis-
	  iteration over the outlets, from 0 to N-1 instead of 1 to N, which
	  resulted in the missing Nth outlet (last outlet of the PDU). This
	  also caused some data refresh issues

2020-12-16  Clappier, Eric <EricClappier@Eaton.com>

	* drivers/eaton-pdu-marlin-mib.c, drivers/snmp-ups.c: Add
	  ambient.n.parent.serial for marlin epdu  Regarding dropped code
	  from snmp-ups.c - per discussion in
	  https://github.com/42ity/nut/pull/117 this was not a typo:  > It is
	  an intentional change for oid read value issue. > This allows to
	  actually retrieve an indirection value > (when an Oid points at an
	  Oid, like stood)

2020-12-15  Arnaud Quette <ArnaudQuette@eaton.com>

	* drivers/eaton-pdu-marlin-mib.c: snmp-ups: Restore legacy Eaton ePDU
	  switchability info  Use a hack to also have switchability for both
	  the unit and its outlets on legacy Eaton G2 ePDU

2020-12-15  Clappier, Eric <EricClappier@Eaton.com>

	* drivers/eaton-pdu-marlin-mib.c, drivers/powerware-mib.c: Change uid
	  and modbus address name according nut nomenclature

2020-12-14  Clappier, Eric <EricClappier@Eaton.com>

	* drivers/powerware-mib.c: Add modbus_address and uuid in snmp-ups/pw
	  driver

2019-11-07  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/powerware-mib.c: SNMP Eaton Gb Network Card: various data
	  completion  * fix reading of input.voltage, related to the ending
	  ".0", * fix existing commands handling, * add support for the load
	  segment (managed outlets), including status information and
	  commands

2019-09-19  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/eaton-pdu-marlin-mib.c, drivers/powerware-mib.c: SNMP Eaton
	  EMP002: handle sensor presence  Sensor may not be present (or
	  connected). However, the values (temperature, humidity, ...) are
	  still available, but should not be considered

2022-02-27  Jim Klimov <jim@jimklimov.com>

	* drivers/powerware-mib.c: drivers/powerware-mib.c: update comments
	  and implem for dummy
	  eaton_sensor_temperature_unit_fun()/su_temperature_read_fun() from
	  42ity/nut
	* drivers/eaton-pdu-marlin-mib.c: drivers/eaton-pdu-marlin-mib.c:
	  update comments and implem for dummy
	  eaton_sensor_temperature_unit_fun()/su_temperature_read_fun() from
	  42ity/nut
	* drivers/eaton-pdu-marlin-mib.c, drivers/powerware-mib.c,
	  drivers/snmp-ups.c, drivers/snmp-ups.h: drivers/snmp-ups.{c,h}:
	  adjust su_temperature_read_fun() API to that used in NUT master
	  branch
	* drivers/eaton-pdu-marlin-helpers.c, drivers/eaton-pdu-marlin-
	  helpers.h: drivers/eaton-pdu-marlin-helpers.{c,h}: adjust
	  eaton_sensor_temperature_unit_fun() API to that used in NUT master
	  branch

2019-09-19  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/eaton-pdu-marlin-helpers.c: SNMP Eaton ePDU: always return
	  celsius for temperature  since the value reading is always adapted
	  to celsius

2016-05-25  Jim Klimov <jim@jimklimov.com>

	* drivers/powerware-mib.c: powerware-mib - renamed "ietf_*" and
	  "eaton_*" lookups to have "pw_*" prefix

2019-09-12  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/eaton-pdu-marlin-helpers.c, drivers/eaton-pdu-marlin-mib.c,
	  drivers/powerware-mib.c, drivers/snmp-ups.c, drivers/snmp-ups.h:
	  Typo fix: sorry Mr Fahrenheit  And thanks to Jim Klimov for the
	  review!
	* drivers/eaton-pdu-marlin-mib.c: Fix compilation warning

2019-09-09  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/powerware-mib.c: SNMP Eaton Gb Network Card: support for
	  EMPDT1H1C2

2022-02-27  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-helpers.c: drivers/eaton-pdu-marlin-
	  helpers.c: fix whitespace

2017-10-11  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-helpers.c: eaton-pdu-marlin-helpers.c : in
	  device_count helper do not assume a trailing comma (as last char)
	  as an extra device

2019-09-09  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/eaton-pdu-marlin-helpers.c, drivers/eaton-pdu-marlin-
	  helpers.h, drivers/eaton-pdu-marlin-mib.c: SNMP Eaton ePDU: support
	  for EMPDT1H1C2
	* drivers/snmp-ups.c, drivers/snmp-ups.h: snmp-ups: support for
	  daisychained ambient sensor

2022-02-27  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-mib.c: drivers/eaton-pdu-marlin-mib.c:
	  align comments around outlet.%i.name with FTY version

2017-10-11  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-mib.c: eaton-pdu-marlin-mib.c : preferred
	  templated outlet.%i.name goes last in MIB

2018-08-07  Jim Klimov <jim@jimklimov.com>

	* drivers/powerware-mib.c: powerware-mib.c : fix fallout from "snmp-
	  ups: support newer Genepi management cards" (unused variable
	  warning)

2018-08-07  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/powerware-mib.c: snmp-ups: support newer Genepi management
	  cards  * duplicate some OIDs, with refinement to point at the first
	  index (i.e ".0" or ".1.0") since otherwise the agent doesn't
	  respond to queries. This could be fixed at the snmp-ups level later
	  * fixed "ups.type" (power topology of the UPS) which was pointing
	  at the output.source or ups.mode

2022-02-27  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-mib.c: drivers/eaton-pdu-marlin-mib.c:
	  align with "snmp-ups: Simplify the mapping structure" changes for
	  input.phases=>input.count

2017-11-17  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/eaton-ats16-nmc-mib.c, drivers/eaton-pdu-marlin-mib.c,
	  drivers/mge-mib.c, drivers/mge-xml.c, drivers/powerware-mib.c:
	  Modify "open" to "opened" for dry contacts status  While "open" is
	  the best adjective for the opposite of "closed", and thus suitable
	  for GPI status, this may lead to confusion with the GPO actions
	  "open|close" Vs the GPI status "opened|closed". These last are also
	  not inapropriate, since they can refer to the fact that the GPI
	  state has change due to some external action or event

2017-11-03  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/eaton-ats16-nm2-mib.c, drivers/eaton-ats16-nmc-mib.c,
	  drivers/mge-mib.c, drivers/mge-xml.c, drivers/powerware-mib.c: Add
	  support for dry contacts to Eaton ATS16 and UPS  Add support for
	  the 2 GPI accessible through EMP001 environmental sensor, connected
	  to a UPS or ATS16. The same is already available for Eaton ePDU.
	  This affect the snmp-ups driver (eaton_ats16 and pw/pxgx_ups MIBs),
	  and the netxml-ups driver

2022-02-25  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.h: drivers/snmp-ups.h: avoid "#if" with possibly
	  not-defined macro

2018-08-02  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/eaton-pdu-marlin-mib.c: snmp-ups: Eaton feed color is semi
	  static

2018-06-26  Arnaud Quette <ArnaudQuette@Eaton.com>

	* docs/nut-names.txt, drivers/eaton-pdu-marlin-mib.c: snmp-ups: Eaton
	  ePDU input.power.nominal is realpower  Fix data name, since the
	  published value is in Watts, so realpower, not power

2017-10-30  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/eaton-pdu-marlin-mib.c: eaton-pdu-marlin-mib.c/dmf: add
	  outlet timers  Add support for shutdown and start timers

2022-02-25  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-mib.c: drivers/eaton-pdu-marlin-mib.c:
	  relocate outlet.%i.load.off.delay etc like in FTY
	* drivers/eaton-pdu-marlin-mib.c: drivers/eaton-pdu-marlin-mib.c:
	  break long lines like in FTY
	* drivers/eaton-pdu-marlin-mib.c: drivers/eaton-pdu-marlin-mib.c:
	  break long lines

2017-10-17  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/eaton-pdu-marlin-mib.c: snmp-ups: fix Eaton ePDU group
	  phase handling  Remove the not needed SU_FLAG_UNIQUE and the
	  erroneous value lookup structure index
	* drivers/eaton-pdu-marlin-helpers.c, drivers/eaton-pdu-marlin-
	  helpers.h, drivers/eaton-pdu-marlin-mib.c: snmp-ups: simplify Eaton
	  ePDU group phase handling

2017-10-11  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-helpers.c, drivers/eaton-pdu-marlin-
	  helpers.h: eaton-pdu-marlin-* : add support for extended fun/nuf
	  l2s/s2l conversions

2017-10-13  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-mib.c: eaton-pdu-marlin-mib.c : updated
	  comments about input/feed relationship, and daisychain implications

2017-10-13  Arnaud Quette <ArnaudQuette@Eaton.com>

	* drivers/eaton-pdu-marlin-mib.c: Problem: Need to fix published feed
	  variables  Solution: Attach 1 feed to the current input

2017-10-13  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-mib.c: eaton-pdu-marlin-mib.c : fix OID
	  and raise questions on input.power.nominal

2017-10-11  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-mib.c: eaton-pdu-marlin-mib.c : Revised
	  added OIDs with a single-group ePDU  Also update line-breaks for
	  readability and 80-col standard

2017-10-09  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-helpers.c, drivers/eaton-pdu-marlin-
	  helpers.h, drivers/eaton-pdu-marlin-mib.c: eaton-pdu-marlin-mib.c /
	  drivers/eaton-pdu-marlin-helpers.[ch] : Implement conversion func
	  for "device.count" which returns a comma-separated list
	* drivers/eaton-pdu-marlin-helpers.c, drivers/eaton-pdu-marlin-
	  helpers.h, drivers/eaton-pdu-marlin-mib.c: eaton-pdu-marlin-mib.c /
	  drivers/eaton-pdu-marlin-helpers.[ch] : Implement conversion func
	  for "outlet.group.%i.phase"
	* docs/nut-names.txt, drivers/eaton-pdu-marlin-mib.c: eaton-pdu-
	  marlin-mib.c : add basic listing of newly defined OIDs (not a full
	  solution - some mapping functions are needed and revision of MIB
	  data types)

2017-08-30  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-mib.c: Fix typo in OID, noticed by aquette

2017-08-24  Jim Klimov <jim@jimklimov.com>

	* drivers/eaton-pdu-marlin-mib.c, drivers/snmp-ups.c, drivers/snmp-
	  ups.h: snmp-ups / eaton-marlin : introduce WITH_SNMP_LKP_FUN to
	  separate codebases that support these callbacks from those that
	  currently do not
	* drivers/eaton-pdu-marlin-helpers.c, drivers/eaton-pdu-marlin-
	  helpers.h: eaton-pdu-marlin-helpers.c/h fix
	* drivers/eaton-pdu-marlin-helpers.c: eaton-pdu-marlin-helpers.c :
	  update comments for marlin_outlet_group_phase_fun()

2017-08-23  Jim Klimov <jim@jimklimov.com>

	* drivers/Makefile.am, drivers/eaton-pdu-marlin-helpers.c,
	  drivers/eaton-pdu-marlin-helpers.h: Expel the helper function that
	  interacts with dstate from eaton-pdu-marlin-mib.c to eaton-pdu-
	  marlin-helpers.c/.h

2016-05-13  Jim Klimov <jim@jimklimov.com>

	* drivers/Makefile.am, drivers/apc-iem-mib.h, drivers/apc-mib.c,
	  drivers/apc-mib.h: drivers/apc-iem-mib.h: split some macro
	  definitions away from apc-mib.h and apc-mib.c and snmp-ups.c

2017-10-11  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c, drivers/snmp-ups.h: snmp-ups.[ch] : introduce
	  SU_FLAG_SEMI_STATIC

2022-02-24  Jim Klimov <jimklimov@gmail.com>

	* docs/nut.dict: Update nut.dict  Update for Adelsystem CBI

2022-02-24  Jim Klimov <jimklimov+nut@gmail.com>

	* NEWS: NEWS: Update synchronous=auto for NUT v2.7.5
	* drivers/dstate.c: drivers/dstate.c: send_to_all(): port
	  do_synchronous auto=>on fallback from send_to_one()
	* drivers/dstate.c: drivers/dstate.c: send_to_one()/send_to_all():
	  make the success-report less verbose (level 6)
	* drivers/dstate.c: drivers/dstate.c: send_to_one()/send_to_all():
	  make the reconnection WARNING more visible
	* conf/ups.conf.sample, docs/man/ups.conf.txt, drivers/dstate.c,
	  drivers/main.c: driver/dstate.c, main.c: extend do_synchronous to
	  have an "auto" mode (now by default) so reconnections would be sync
	* drivers/dstate.c: drivers/dstate.c: send_to_one(): log at level 0
	  if write failed (twice maybe) and so driver is disconnecting
	* drivers/dstate.c: drivers/dstate.c: send_to_one(): log more details
	  if throttling down, and if it helped
	* drivers/snmp-ups.c: drivers/snmp-ups.c: snmp_ups_walk(): log
	  "walking device %d" at level 1 now, and without a dot-number (to
	  avoid confusion)
	* drivers/dstate.c: drivers/dstate.c: send_to_one(): try to sleep and
	  resend failed posting; log the faults (and successes) at level 1

2022-02-23  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/dstate.c: drivers/dstate.c: send_to_all() send_to_one():
	  clarify "disconnecting" when logging that write failed
	* drivers/snmp-ups.c: drivers/snmp-ups.c: update comment for
	  snmp_ups_walk() for "single" device
	* drivers/snmp-ups.c: drivers/snmp-ups.c: snmp_ups_walk(): for
	  "unitary" (non-daisychain member) devices, walk a ".1" device only
	  (should end up querying non-templated OIDs anyway) - avoid walking
	  .0 partially and .1 again for same data
	* drivers/snmp-ups.c: drivers/snmp-ups.c: snmp_ups_walk(): log
	  walking an "unitary" device if not a daisy-chain, for balance
	* drivers/snmp-ups.c: drivers/snmp-ups.c: snmp_ups_walk(): only log
	  "Skipping daisychain device.0" when in daisy-chain context (skip
	  anyway even for singular devices where we should also walk .1
	  anyway)
	* drivers/snmp-ups.c: drivers/snmp-ups.c: update heading comments for
	  daisychain related variables
	* drivers/snmp-ups.c: drivers/snmp-ups.c: snmp_ups_walk(): only skip
	  "device.0" if in daisy-chain mode
	* drivers/snmp-ups.c: drivers/snmp-ups.c: update comment for
	  current_device_number

2022-02-22  Thanos Chatziathanassiou <tchatzi@arx.net>

	* docs/man/socomec_jbus.txt, drivers/Makefile.am,
	  drivers/socomec_jbus.c: Added socomec_jbus implementation

2022-02-22  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: snmp_ups_walk(): fix
	  taxonomy of "processing daisy-chain device" debug log

2022-02-19  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/snmp-ups.c, server/upsd.c: drivers/snmp-ups.c
	  upsdrv_updateinfo(); server/upsd.c driver_free() mainloop(): trace
	  connection faults and reconnections better
	* drivers/dstate.c: drivers/dstate.c: send_to_one(): consistently use
	  "buflen"
	* drivers/dstate.c: drivers/dstate.c: send_to_all/send_to_one: extend
	  failed-send tracing

2022-02-19  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: wrap long lines, add
	  comments

2022-02-22  Jim Klimov <jim@jimklimov.com>

	* scripts/subdriver/gen-snmp-subdriver.sh: scripts/subdriver/gen-
	  snmp-subdriver.sh: generate "standard MIB items" into new MIB
	  mappings  Kudos to @aquette for the catch in PR review

2022-02-21  Luke Dashjr <luke-jr+git@utopios.org>

	* scripts/python/Makefile.am, scripts/python/README,
	  scripts/python/app/NUT-Monitor.in, scripts/python/app/README,
	  scripts/python/app/gui-1.3.glade,
	  scripts/python/app/gui-1.3.glade.h, scripts/python/app/nut-
	  monitor.desktop, scripts/python/app/ui/aboutdialog1.ui,
	  scripts/python/app/ui/dialog1.ui, scripts/python/app/ui/dialog2.ui,
	  scripts/python/app/ui/window1.ui: NUT-Monitor: Port to
	  Python3+PyQt5

2022-02-19  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: su_setOID(): uncomment the
	  fallback for "device.x.contact" not found as a "contact", and add
	  another to strip "device.1." => "device." to allow setting non-
	  templated values to daisy-chain master
	* drivers/snmp-ups.c, server/upsd.c: drivers/snmp-ups.c
	  upsdrv_updateinfo(); server/upsd.c driver_free() mainloop(): trace
	  connection faults and reconnections better
	* drivers/dstate.c: drivers/dstate.c: send_to_one(): consistently use
	  "buflen"
	* drivers/dstate.c: drivers/dstate.c: send_to_all/send_to_one: extend
	  failed-send tracing

2022-02-19  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: upsdrv_initups(): check
	  that there is no daisychain master entry before defining IETF-MIB
	  fallback defaults for contact/location/description
	* drivers/snmp-ups.c: drivers/snmp-ups.c: upsdrv_initups(): comment
	  and log that IETF-MIB fallback defaults for
	  contact/location/description are only read once (not updated while
	  driver runs)
	* drivers/snmp-ups.c: drivers/snmp-ups.c: su_ups_get(): fake
	  current_device_number=1 to su_setinfo() when walking a daisy-chain
	  with non-templated OID
	* drivers/snmp-ups.c: drivers/snmp-ups.c: get_and_process_data(),
	  su_ups_get(): add tracing logs to make sense of daisy-chain OID
	  adaptations
	* drivers/snmp-ups.c: drivers/snmp-ups.c: wrap long lines, add
	  comments
	* drivers/snmp-ups.c: drivers/snmp-ups.c: su_setinfo(): trace diags
	  for different code-paths about daisy-chained OID decisions
	* drivers/snmp-ups.c: drivers/snmp-ups.c: su_setinfo(): this is not
	  the place to check for ".%i" after all

2022-02-18  Jim Klimov <jim@jimklimov.com>

	* tools/nut-dumpdiff.sh: tools/nut-dumpdiff.sh: revise to also strip
	  frequency measurements
	* tools/nut-dumpdiff.sh: tools/nut-dumpdiff.sh: revise to also strip
	  (load|temperature|humidity) measurements
	* docs/documentation.txt: docs/documentation.txt: document tools/nut-
	  dumpdiff.sh helper
	* tools/nut-dumpdiff.sh: tools/nut-dumpdiff.sh: revise to strip just
	  numeric measurements of (*.power|voltage|current)
	* tools/nut-dumpdiff.sh: tools/nut-dumpdiff.sh: extend to not strip
	  ALL numeric values but ones that are likely measurements
	* tools/Makefile.am, tools/nut-dumpdiff.sh: Add tools/nut-dumpdiff.sh
	  helper
	* drivers/snmp-ups.c: drivers/snmp-ups.c: su_setOID(): handle e.g.
	  "device.contact" as either "device.0.contact" for "all devices" if
	  OID is templated or NULL, or "device.1.contact" for "master device"
	  in other cases
	* drivers/snmp-ups.c: drivers/snmp-ups.c: su_setOID(): import
	  (commented away - not deemed necessary so far) fallback for e.g.
	  "device.x.contact" is not found as a "contact"
	* drivers/snmp-ups.c: drivers/snmp-ups.c: su_setinfo(): fix comment
	* drivers/snmp-ups.c: drivers/snmp-ups.c: fix "device.varname" for
	  daisychain 'master' units  * su_setinfo(): should not expose
	  master-specific data (like device.contact coming from IETF un-
	  templated data points not aware about daisy chains) as if it were
	  the data specific to every device in the chain; note that for
	  defaulted data (like device.type="pdu" hardcoded with NULL OID) we
	  still expose it across the board  * su_setOID(): "upsrw ...
	  device.contact" should change the daisychain master device (for
	  IETF un-templated data; but in this commit - always)

2022-02-17  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: su_setOID(): fix mis-
	  interpretation of "device*" as always a daisy-chain
	* drivers/snmp-ups.c: drivers/snmp-ups.c: use "hard-coded" IETF MIB
	  for read-only access to sysDescr also (only if mib2nut does not yet
	  define a better value)
	* drivers/snmp-ups.c: drivers/snmp-ups.c: use "hard-coded" IETF MIB
	  for read-only access to sysContact and sysLocation only if mib2nut
	  does not yet define a better value
	* drivers/emerson-avocent-pdu-mib.c: drivers/emerson-avocent-pdu-
	  mib.c: whitespace fix
	* drivers/eaton-pdu-marlin-mib.c: drivers/eaton-pdu-marlin-mib.c:
	  whitespace fix
	* drivers/apc-mib.c: drivers/apc-mib: whitespace fix
	* drivers/xppc-mib.c: drivers/xppc-mib.c: whitespace fix
	* drivers/apc-ats-mib.c, drivers/apc-mib.c, drivers/baytech-mib.c,
	  drivers/bestpower-mib.c, drivers/compaq-mib.c, drivers/cyberpower-
	  mib.c, drivers/delta_ups-mib.c, drivers/eaton-ats16-nm2-mib.c,
	  drivers/eaton-ats16-nmc-mib.c, drivers/eaton-pdu-genesis2-mib.c,
	  drivers/eaton-pdu-marlin-mib.c, drivers/eaton-pdu-pulizzi-mib.c,
	  drivers/eaton-pdu-revelation-mib.c, drivers/emerson-avocent-pdu-
	  mib.c, drivers/hpe-pdu-mib.c, drivers/huawei-mib.c, drivers/ietf-
	  mib.c, drivers/mge-mib.c, drivers/netvision-mib.c,
	  drivers/powerware-mib.c, drivers/raritan-pdu-mib.c,
	  drivers/raritan-px2-mib.c, drivers/xppc-mib.c: drivers/*-mib.c:
	  define standard-MIB entries for device.description, contact,
	  location (RW STRING)

2016-09-16  Arnaud Quette <arnaud.quette@free.fr>

	* drivers/snmp-ups.h: snmp-ups: update todo list  The addition of
	  sysContact and sysLocation support is now addressed centrally
	* drivers/snmp-ups.c: snmp-ups: add sysContact and sysLocation
	  support  The generic MIB-2 provides system contact and location
	  information that are now publish respectively as device.contact and
	  device.location

2022-02-18  Viktor Kuzmin <kvaster@gmail.com>

	* configure.ac: Fix individual drivers configuration

2022-02-17  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adelsystem_cbi.c: handle covered-switch-default and switch-
	  enum warnings
	* drivers/adelsystem_cbi.h: clean up, fix typos
	* drivers/adelsystem_cbi.c: clean up, fix typos
	* docs/man/Makefile.am, docs/man/adelsystem_cbi.txt: man page added

2022-02-17  Jim Klimov <jim@jimklimov.com>

	* clients/upscmd.c, clients/upsrw.c: clients/upsrw.c, upscmd.c: fix
	  sanity-check of tracking_id length (forgot the nul-byte)
	* scripts/systemd/nut-driver@.service.in: scripts/systemd/nut-
	  driver@.service.in: make sure drivers always try to start and
	  connect - how ever many attempts that takes
	* scripts/systemd/nut-driver@.service.in: scripts/systemd/nut-
	  driver@.service.in: comment about "Before=nut-driver.target"
	  constraint
	* scripts/systemd/nut-driver@.service.in: scripts/systemd/nut-
	  driver@.service.in: make sure drivers always try to start and
	  connect

2022-02-16  Jim Klimov <jim@jimklimov.com>

	* drivers/libhid.c: drivers/libhid.c: string_to_path(): report
	  hid_lookup_usage() miss
	* drivers/libhid.c: drivers/libhid.c: fix misfire of fightwarn commit
	  58e5b49 (string_to_path(): range-check...)  Closes: #1286
	* conf/upsd.conf.sample, conf/upsmon.conf.sample.in,
	  docs/man/upsd.conf.txt, docs/man/upsmon.conf.txt: upsd and upsmon
	  configuration sample files and man pages: add note about run-time
	  config reload with DEBUG_MIN setting in sight

2022-02-16  Jim Klimov <jimklimov+nut@gmail.com>

	* clients/upsmon.c: clients/upsmon.c: restructure config reload for
	  debug_min to be more similar to that in upsd.c
	* clients/upsmon.c: clients/upsmon.c: whitespace fix

2022-02-16  Jim Klimov <jim@jimklimov.com>

	* clients/upsmon.c: clients/upsmon.c: allow upsmon to reload config
	  and apply its debug_min setting
	* common/common.c: common/common.c: writepid(): debug-trace creation
	  of a PID file

2022-02-16  Jim Klimov <jimklimov+nut@gmail.com>

	* scripts/systemd/nut-server.service.in: scripts/systemd/nut-
	  server.service.in: reload upsd without PID file [for #1299]
	* server/conf.c: server/conf.c: allow upsd to reload config and apply
	  its debug_min setting
	* clients/upsmon.c, docs/man/upsmon.txt: clients/upsmon.c: add "-P
	  pid" arg handling, and report result of sendsignal(), like in upsd
	  [for #1299, #123]
	* docs/man/upsd.txt, scripts/systemd/nut-server.service.in,
	  server/upsd.c: upsd.c: add -FF option to stay foregrounded AND
	  write the PID file, use it in systemd/nut-server.service [for
	  #1299]
	* docs/man/upsd.txt, server/upsd.c: server/upsd.c: add "-P PID" arg
	  for commands [for #1299]
	* common/common.c, include/common.h: include/common.h, common.c:
	  refactor sendsignalfn() into parsepid() and sendsignalpid()
	  reusable methods
	* server/upsd.c: server/upsd.c: warn about not saving a pid file
	* server/upsd.c: server/upsd.c: handle extended return values from
	  sendsignalfn() to tell more about the error
	* common/common.c: common/common.c: sendsignalfn(): if we use sig==0
	  to probe that a process runs, no need to send that twice
	* common/common.c, include/common.h: include/common.h, common.c:
	  extend sendsignalfn() return value for more error types

2022-02-15  Jim Klimov <jim@jimklimov.com>

	* drivers/main.c: drivers/main.c: fix user:group separator in debug
	  message
	* configure.ac: configure.ac: report default/detected
	  RUN_AS_USER/RUN_AS_GROUP values in help; check if "nobody" group is
	  not resolvable when "nogroup" us to use it as default RUN_AS_GROUP
	  instead
	* drivers/main.c: drivers/main.c: report whether we succeeded or
	  failed chown/chmod for sockname
	* docs/man/nutupsdrv.txt, docs/man/ups.conf.txt, drivers/main.c:
	  drivers/main.c: support setting group name for socket file
	  (ups.conf, CLI -g arg)  Closes: #1296
	* drivers/dstate.c, drivers/dstate.h, drivers/main.c: drivers/main.c
	  + dstate.{c,h}: refactor dstate_init() to return a copy of the
	  "sockname" path used
	* drivers/main.c: drivers/main.c: re-word debug message for "-u name"
	  overriding built-in or configured values
	* drivers/main.c: drivers/main.c: trace do_global_args() and
	  main_arg() var/val stream
	* docs/hid-subdrivers.txt: docs/hid-subdrivers.txt: describe tech for
	  "Fixing report descriptors"
	* docs/hid-subdrivers.txt, docs/nut.dict, drivers/hidtypes.h:
	  docs/hid-subdrivers.txt: document where USAGE_POW_ and USAGE_BAT_
	  macros come from
	* drivers/apc-hid.c: drivers/apc-hid.c: apc_fix_report_desc():
	  normalize indentations

2022-02-14  Nick Briggs <nicholas.h.briggs@gmail.com>

	* drivers/apc-hid.c: Update APC HID driver version
	* drivers/apc-hid.c: Only indicate report descriptor fixed if it was
	  actually changed.

2022-02-14  Jim Klimov <jim@jimklimov.com>

	* docs/man/ups.conf.txt, drivers/main.c: drivers/main.c: allow to
	  specify a user for each driver via ups.conf  Closes: #1288
	* drivers/upsdrvctl.c: drivers/upsdrvctl.c: suggest "-d" when warning
	  about passing debugging through to actual drivers
	* drivers/upsdrvctl.c: drivers/upsdrvctl.c: only warn about passing
	  debugging through to actual drivers if (nut_debug_level_passthrough
	  == 0)
	* docs/man/upsdrvctl.txt, drivers/upsdrvctl.c: drivers/upsdrvctl: add
	  "-d" option to pass debug level to drivers  Closes: #1036  (Note:
	  that issue discusses other possible improvements around this
	  subject, which are synergetic with this one)

2022-02-13  Luke Dashjr <luke-jr+git@utopios.org>

	* scripts/python/app/NUT-Monitor.in: NUT-Monitor: Run py2to3-3.10

2022-02-13  Nick Briggs <nicholas.h.briggs@gmail.com>

	* drivers/apc-hid.c, drivers/cps-hid.c, drivers/hidparser.c,
	  drivers/hidparser.h, drivers/hidtypes.h: Fix incorrect limits for
	  input and config voltages in APC report descriptor  The Back-UPS XS
	  1400U has been observed to report input/config voltage limits that
	  are appropriate for the North American 120V region even though the
	  unit is operating in the European or other 220+V region.  This
	  change diagnoses the the problem by checking if the logical maximum
	  values for UPS.Input.Voltage and UPS.Input.ConfigVoltage are
	  consistent with the UPS.Input.HighVoltageTransfer and if not,
	  increases them.  A similar problem was reported for CPS units in
	  the EU region.  - introduces #defines for all standard usages in
	  power system and battery device pages. - moves cps-hid.c
	  FindReport() to hidparser.c as FindObject_with_ID_Node(). - updates
	  cps-hid.c to account for new defines/function name - adds
	  apc_fix_report_desc() to implement change for APC UPS units

2022-02-11  Jim Klimov <jim@jimklimov.com>

	* NEWS: NEWS: added usbhid-ups "ever-hid" subdriver for NUT v2.7.5
	* docs/man/upsd.conf.txt: docs/man/upsd.conf.txt: document
	  DISABLE_WEAK_SSL
	* NEWS, docs/nut.dict: NEWS: announce "debug_min" options for daemons
	  in NUT v2.7.5
	* NEWS: NEWS: announce fore-/back-grounding options for daemons in
	  NUT v2.7.5
	* docs/man/upsd.conf.txt: docs/man/upsd.conf.txt: document optional
	  "DEBUG_MIN" setting
	* conf/upsd.conf.sample: conf/upsd.conf.sample: document optional
	  "DEBUG_MIN" setting
	* conf/upsmon.conf.sample.in: conf/upsmon.conf.sample.in: document
	  optional "DEBUG_MIN" setting
	* conf/ups.conf.sample: conf/ups.conf.sample: document optional
	  "debug_min" setting
	* docs/man/upsmon.conf.txt: docs/man/upsmon.conf.txt: document
	  optional "DEBUG_MIN" setting
	* docs/man/ups.conf.txt: docs/man/ups.conf.txt: document optional
	  "debug_min" setting
	* server/conf.c, server/conf.h, server/upsd.c: server/upsd.c, conf.c:
	  support "debug_min" from upsd.conf
	* clients/upsmon.c: clients/upsmon.c: support "debug_min" from
	  upsmon.conf
	* drivers/main.c: drivers/main.c: comment typo fixes
	* docs/man/upslog.txt: docs/man/upslog.txt: fix typo "upsmon" =>
	  "upslog"
	* clients/upslog.c: clients/upslog.c: align -F/-B options with
	  drivers/main.c
	* scripts/systemd/nut-monitor.service.in: scripts/systemd/nut-
	  monitor.service.in: with daemon not backgrounding, "Type=forking"
	  no longer applies
	* docs/man/upsd.txt: docs/man/upsd.txt: document -F/-B for fore/back-
	  ground enforcement, and that -D only defaults to foregrounding now
	  (can be overridden)
	* server/upsd.c: server/upsd.c: align -F/-B options with
	  drivers/main.c
	* docs/man/upsmon.txt: docs/man/upsmon.txt: document -F/-B for
	  fore/back-ground enforcement, and that -D only defaults to
	  foregrounding now (can be overridden)
	* clients/upsmon.c: clients/upsmon.c: align -F/-B options with
	  drivers/main.c
	* docs/man/nutupsdrv.txt: docs/man/nutupsdrv.txt: document -F/-B for
	  fore/back-ground enforcement, and that -D/-d only default to
	  foregrounding now (can be overridden)
	* drivers/main.c: drivers/main.c: update comments

2019-03-19  Jim Klimov <jim@jimklimov.com>

	* drivers/main.c: drivers/main.c : rearrange handling of configured
	  nut_debug_level_global vs nut_debug_level_driver vs ultimately used
	  nut_debug_level
	* drivers/main.c: driver/main.c : separate toggles for driver
	  debugging and backgrounding

2019-03-18  Jim Klimov <jim@jimklimov.com>

	* drivers/main.c: drivers/main.c : allow to configure debug_min=NUM
	  to ease service debugging

2022-02-11  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adelsystem_cbi.c, drivers/adelsystem_cbi.h: coding style
	  changes

2022-02-10  Jim Klimov <jim@jimklimov.com>

	* .github/pull_request_template.md: .github/pull_request_template.md:
	  remind to update recipes for new man pages

2022-02-11  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adelsystem_cbi.c: fix parameter hiding global variable

2022-02-10  Jim Klimov <jim@jimklimov.com>

	* configure.ac: configure.ac: avoid noise about pkg-config not
	  finding (lib)systemd.pc on systems where it is not installed
	* configure.ac: configure.ac: default to detection of
	  systemdsystemunitdir (and systemdshutdowndir) - "auto" is not a
	  final option
	* configure.ac, docs/configure.txt: configure.ac: default to
	  detection of systemdsystemunitdir (and systemdshutdowndir), non-
	  fatal if not found
	* configure.ac: configure.ac: fall back from pkg-config queries for
	  "systemd" to try also "libsystemd" - fix calling "test"

2022-02-10  Nick Geoghegan <nick@geoghegan.me>

	* drivers/riello_usb.c: Fixes formatting in riello_usb
	* drivers/riello_ser.c: Updates riello_ser to version 0.07

2022-02-10  Jim Klimov <jim@jimklimov.com>

	* configure.ac: configure.ac: fall back from pkg-config queries for
	  "systemd" to try also "libsystemd"
	* docs/man/Makefile.am: docs/man/Makefile.am: build and install
	  nutdrv_siemens_sitop man pages

2022-02-09  Nick Geoghegan <nick@geoghegan.me>

	* drivers/riello_usb.c: Fixes 530

2022-02-09  Jim Klimov <jim@jimklimov.com>

	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  rename non-standard dstate variables to "experimental.*" namespace
	  Closes: NUT issue #1045
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  fix "ups.delay.return" => "ups.delay.start"
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  whitespace fixes (some long lines)
	* docs/packager-guide.txt: docs/packager-guide.txt: update for nut-
	  linux-i2c and nut-macosx-ups platform-dependent package groups
	* docs/packager-guide.txt: docs/packager-guide.txt: fix title for
	  pkg-nut-modbus
	* drivers/ever-hid.c: drivers/ever-hid.c: tag non-standard NUT
	  variable/command names as "experimental.*" to help identify lacking
	  mappings and rename some into standard data points
	* drivers/ever-hid.c, drivers/ever-hid.h: drivers/ever-hid.{c,h}:
	  update (C) heading
	* drivers/ever-hid.c: drivers/ever-hid.c: print unsigned int as %u
	* drivers/ever-hid.c: drivers/ever-hid.c: mark
	  NUT_UNUSED_VARIABLE(double value) where appropriate
	* drivers/ever-hid.c: drivers/ever-hid.c: use complete struct
	  initializers for info_lkp_t tables; use sentinels; mark static
	* drivers/ever-hid.c: drivers/ever-hid.c: ever_alarms_fun(),
	  ever_workmode_fun(): define "workmode" on top of function
	* drivers/ever-hid.c: drivers/ever-hid.c: fix switch/case whitespaces
	* drivers/ever-hid.c: drivers/ever-hid.c: fix trailing whitespaces
	* drivers/ever-hid.c: drivers/ever-hid.c: wrap some long lines for
	  readability
	* drivers/ever-hid.c: drivers/ever-hid.c: adjust to upstream changes:
	  config.h goes first, PID/VID are unsigned, got a fix_report_desc()
	  default
	* drivers/everups.c: drivers/everups.c: whitespace fixes; clarify
	  this is a serial driver (as opposed to ever-hid.c for USB devices)

2022-02-08  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adelsystem_cbi.h: check ifndef READALL_REGS
	* drivers/adelsystem_cbi.c: minor fix in upsdrv_updateinfo
	* drivers/adelsystem_cbi.c, drivers/adelsystem_cbi.h: fix warning for
	  initializing structure with flexible array member

2022-02-08  Jim Klimov <jim@jimklimov.com>

	* configure.ac: configure.ac: error out for unhandled --with-
	  drivers=xxx names
	* configure.ac: configure.ac: improve handling of platform-dependent
	  (linux-i2c, macosx) drivers - do not default to require them
	  everywhere
	* configure.ac: configure.ac: move --with-drivers=... handling to
	  before --with-all, and consult drivers/Makefile.am for list names
	  to require certain dependencies
	* drivers/Makefile.am: drivers/Makefile.am: parameterize
	  POWERMAN_DRIVERLIST and IPMI_DRIVERLIST like others
	* configure.ac: configure.ac: move "--with-drivers=name[,name...]"
	  handling to before we check for third-party dependencies
	* clients/upssched.c: clients/upssched.c: sendcmd(): rectify
	  enclen/buflen sanity checks and usage
	* clients/upssched.c: clients/upssched.c: whitespace and comment
	  fixes

2022-02-07  Dimitris Economou <dimitris.s.economou@gmail.com>

	* clients/upssched.c: fix code alignemnt, casting sizeof with ssize_t

2022-02-07  Jim Klimov <jim@jimklimov.com>

	* scripts/subdriver/gen-usbhid-subdriver.sh: gen-usbhid-subdriver.sh:
	  suggest "fix_report_desc" in subdriver_t (follow-up to PR #1245)

2022-02-06  Jim Klimov <jim@jimklimov.com>

	* docs/packager-guide.txt: docs/packager-guide.txt: mention ipmi and
	  modbus drivers as separate packaging goals

2022-02-06  Dimitris Economou <dimitris.s.economou@gmail.com>

	* clients/upssched.c: check zero bytes read from O_NDELAY socket
	* clients/upssched.c: fix enc size write on pipeifd, fix parent
	  select on child's pipefd
	* drivers/Makefile.am: adelsystem_cbi header filename fix

2022-02-05  Jim Klimov <jim@jimklimov.com>

	* docs/nut.dict, docs/support.txt: docs/support.txt: detail abot
	  GitHub issues and PRs, and IRC channel
	* drivers/al175.c, drivers/apc-ats-mib.c, drivers/apc-hid.c,
	  drivers/apc-mib.c, drivers/apc-pdu-mib.c, drivers/apcsmart-old.c,
	  drivers/apcsmart.h, drivers/apcupsd-ups.c, drivers/arduino-hid.c,
	  drivers/asem.c, drivers/baytech-mib.c, drivers/bcmxcp.c,
	  drivers/bcmxcp_ser.c, drivers/bcmxcp_usb.c, drivers/belkin-hid.c,
	  drivers/belkin.c, drivers/belkinunv.c, drivers/bestfcom.c,
	  drivers/bestfortress.c, drivers/bestpower-mib.c,
	  drivers/bestuferrups.c, drivers/bestups.c, drivers/blazer_ser.c,
	  drivers/blazer_usb.c, drivers/clone-outlet.c, drivers/clone.c,
	  drivers/compaq-mib.c, drivers/cps-hid.c, drivers/cyberpower-mib.c,
	  drivers/delta_ups-hid.c, drivers/delta_ups-mib.c, drivers/dummy-
	  ups.c, drivers/eaton-ats16-nm2-mib.c, drivers/eaton-ats16-nmc-
	  mib.c, drivers/eaton-ats30-mib.c, drivers/eaton-pdu-genesis2-mib.c,
	  drivers/eaton-pdu-marlin-mib.c, drivers/eaton-pdu-pulizzi-mib.c,
	  drivers/eaton-pdu-revelation-mib.c, drivers/emerson-avocent-pdu-
	  mib.c, drivers/etapro.c, drivers/everups.c, drivers/explore-hid.c,
	  drivers/gamatronic.c, drivers/generic_modbus.c,
	  drivers/genericups.c, drivers/hpe-pdu-mib.c, drivers/huawei-mib.c,
	  drivers/huawei-ups2000.c, drivers/idowell-hid.c, drivers/ietf-
	  mib.c, drivers/isbmex.c, drivers/ivtscd.c, drivers/legrand-hid.c,
	  drivers/libshut.c, drivers/libusb0.c, drivers/libusb1.c,
	  drivers/liebert-esp2.c, drivers/liebert-hid.c, drivers/liebert.c,
	  drivers/macosx-ups.c, drivers/masterguard.c, drivers/metasys.c,
	  drivers/mge-hid.c, drivers/mge-mib.c, drivers/mge-utalk.c,
	  drivers/microdowell.c, drivers/microsol-apc.c, drivers/netvision-
	  mib.c, drivers/netxml-ups.c, drivers/nut-ipmipsu.c,
	  drivers/nutdrv_atcl_usb.c, drivers/nutdrv_qx.c,
	  drivers/nutdrv_siemens_sitop.c, drivers/oneac.c, drivers/openups-
	  hid.c, drivers/optiups.c, drivers/phoenixcontact_modbus.c,
	  drivers/pijuice.c, drivers/powercom-hid.c, drivers/powercom.c,
	  drivers/powerman-pdu.c, drivers/powerpanel.c, drivers/powervar-
	  hid.c, drivers/powerware-mib.c, drivers/raritan-pdu-mib.c,
	  drivers/raritan-px2-mib.c, drivers/rhino.c, drivers/richcomm_usb.c,
	  drivers/riello_ser.c, drivers/riello_usb.c, drivers/safenet.c,
	  drivers/salicru-hid.c, drivers/skel.c, drivers/snmp-ups.c,
	  drivers/solis.c, drivers/tripplite-hid.c, drivers/tripplite.c,
	  drivers/tripplite_usb.c, drivers/tripplitesu.c, drivers/upscode2.c,
	  drivers/usbhid-ups.c, drivers/victronups.c, drivers/xppc-mib.c:
	  drivers: bump versions for all drivers, they could have been
	  refactored during fightwarn (so might add regressions) without
	  regard to versioning
	* UPGRADING: NEWS: plea to package maintainers to share their
	  customizations into common uptream
	* docs/documentation.txt, docs/nut.dict: documentation.txt: add a
	  blog by James Ridgway
	* docs/documentation.txt: documentation.txt: update with a link to
	  video by Techno Tim
	* docs/documentation.txt: developers.txt: "trac" is AWOL, update the
	  link to github wiki copy
	* docs/developers.txt: developers.txt: "alioth" is AWOL, update the
	  text
	* docs/download.txt: download.txt: "trac" and "alioth" are AWOL,
	  update the links

2022-02-05  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adelsystem_cbi.c: apply Jim's modbus changes on PR #1239

2022-01-23  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: fix CI_FAILFAST to abort after failed
	  configure scripts

2022-01-27  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: Revert "drivers/snmp-ups.c: replace
	  strcmp("short string") with strncmp() (clang-3.4 warns about array
	  out of bounds)"  This reverts commit
	  d2f7193af42e987f7948e072a963dc7bb1e25dc1.  Currently the configure
	  script should properly avoid the built-in strcmp() versions which
	  upset current build compiler. Using the range-limited strncmp() has
	  a downside of matching start-of-string.
	* drivers/snmp-ups.c: Revert "drivers/snmp-ups.c: fix strncmp()
	  limits for "v1" and "v3" checks (copy-pasting typo)"  This reverts
	  commit d0d02d3a70c6544c8ea7868dd63738595f2ae657.  Currently the
	  configure script should properly avoid the built-in strcmp()
	  versions which upset current build compiler. Using the range-
	  limited strncmp() has a downside of matching start-of-string.
	* clients/upsclient.c, clients/upslog.c, clients/upsmon.c,
	  clients/upsrw.c, clients/upssched.c, clients/upsset.c,
	  common/state.c, common/upsconf.c, docs/developers.txt,
	  docs/nut.dict, drivers/apcsmart-old.c, drivers/apcsmart.c,
	  drivers/apcupsd-ups.c, drivers/belkin.c, drivers/belkinunv.c,
	  drivers/bestups.c, drivers/clone-outlet.c, drivers/clone.c,
	  drivers/dstate.c, drivers/gamatronic.c, drivers/huawei-ups2000.c,
	  drivers/main.c, drivers/masterguard.c, drivers/mge-utalk.c,
	  drivers/mge-xml.c, drivers/nutdrv_qx.c,
	  drivers/nutdrv_qx_bestups.c, drivers/nutdrv_qx_blazer-common.c,
	  drivers/nutdrv_qx_voltronic-qs-hex.c, drivers/nutdrv_qx_voltronic-
	  qs.c, drivers/nutdrv_qx_voltronic.c, drivers/oneac.c,
	  drivers/powercom.c, drivers/powerman-pdu.c, drivers/powerp-txt.c,
	  drivers/snmp-ups.c, drivers/tripplite_usb.c, drivers/upscode2.c,
	  drivers/victronups.c, server/conf.c, server/netget.c,
	  server/netlist.c, server/netset.c, server/user.c,
	  tests/cpputest.cpp, tools/nut-scanner/nut-scanner.c, tools/nut-
	  scanner/scan_snmp.c: Revert "Replace strcmp() and strcasecmp() use-
	  cases for short fixed string args by strncmp() and strncasecmp()
	  respectively"  This reverts commit
	  a0d5ad57956ebcb5878744acb7657e1356ba0ea8.  Currently the configure
	  script should properly avoid the built-in strcmp() versions which
	  upset current build compiler. Using the range-limited strncmp() has
	  a downside of matching start-of-string.
	* drivers/snmp-ups.c, tools/nut-scanner/scan_snmp.c: Revert
	  "tools/nut-scanner/scan_snmp.c, drivers/snmp-ups.c: strcmp()
	  shorter "SHA" and "AES" and check this is all of the string length"
	  This reverts commit 57182d51b2954e6b7bb5199f658f38a89ce93648.
	  Currently the configure script should properly avoid the built-in
	  strcmp() versions which upset current build compiler. Using the
	  range-limited strncmp() has a downside of matching start-of-string.

2022-01-23  Jim Klimov <jim@jimklimov.com>

	* NEWS, UPGRADING: NEWS, UPGRADING: snmp-ups.h flags (bit-mask
	  macros) changed for NUT v2.7.5
	* drivers/snmp-ups.h: drivers/snmp-ups.h: mib2nut mappings with
	  "zero" flag value are not illegal

2022-01-18  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: mib2nut mappings with
	  "zero" flag value are not illegal  Do not yell about them like it's
	  a bug, after all.

2022-01-23  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.h: drivers/snmp-ups.h: redefine bit-flags macros
	  so they do not overlap  (and update some helper-masking macros)
	  follows up on issue from PR #1177 and aligns with ultimately DMF
	  (42ity fork) tested changes to help merge that later with less
	  effort

2021-11-22  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.h: drivers/snmp-ups.h: update mask for
	  SU_TYPE_DAISY() and comments for it and SU_DAISY

2021-11-13  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: report if an snmp_info[]
	  entry flag was not defined (is 0)
	* drivers/snmp-ups.h: drivers/snmp-ups.h: redefine bit-flags macros
	  so they do not overlap (and some helper-masking macros) [follow up
	  on issue from PR #1177]

2022-01-22  Jim Klimov <jim@jimklimov.com>

	* NEWS: NEWS: drop chapters for "PLANNED NEWS" for releases after
	  v2.7.5
	* UPGRADING: UPGRADING: highlight libusb-1.0 in NUT v2.7.5

2022-01-21  Jim Klimov <jim@jimklimov.com>

	* docs/config-prereqs.txt, docs/nut.dict: docs/config-prereqs.txt:
	  "libssl-dev" name is more popular nowadays than "openssl-dev"
	  (Debian and family)
	* docs/nut.dict: docs/nut.dict: update for Armac subdriver NEWS
	* data/driver.list.in: data/driver.list.in: add PiJuice HAT (big) and
	  pHAT (Zero)

2022-01-20  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c, tools/nut-scanner/scan_snmp.c: tools/nut-
	  scanner/scan_snmp.c, drivers/snmp-ups.c: strcmp() shorter "SHA" and
	  "AES" and check this is all of the string length  Alternative: move
	  matching to end of stack
	* NEWS: NEWS: prepare for nutdrv-qx armac merge in 2.7.5 timeline
	* NEWS: NEWS: added usbhid-ups fix_report_desc() for NUT v2.7.5
	* NEWS: NEWS: added powercom "nobt" option for NUT v2.7.5
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: armac_command():
	  accomodate "usb_ctrl_charbuf" and formatting changes for libusb-1.0
	  support
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: armac_command(): mark as
	  static method
	* drivers/nutdrv_qx_ablerex.c: drivers/nutdrv_qx_ablerex.c:
	  ablerex_process_status_bits(): mark as static method
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: ablerex_command():
	  accomodate "usb_ctrl_charbuf" and formatting changes for libusb-1.0
	  support
	* ci_build.sh: ci_build.sh: make distcheck (pun intended) less noisy
	* ci_build.sh: ci_build.sh: comment a suggestion how to use
	  BUILD_TYPE=fightwarn typically
	* ci_build.sh: ci_build.sh: make distcheck (pun intended) less noisy
	* ci_build.sh: ci_build.sh: comment a suggestion how to use
	  BUILD_TYPE=fightwarn typically

2022-01-20  Jim Klimov <jimklimov@gmail.com>

	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: armac_command(): use
	  nut_usb_strerror(ret)  Match updated libusb-1.0/0.1 API in NUT
	  master
	* drivers/nutdrv_qx.c: Update nutdrv_qx.c  Fix nut_usb_strerror(ret)
	  for new libusb-1.0/0.1 support in master branch

2022-01-19  Jim Klimov <jimklimov@gmail.com>

	* drivers/legrand-hid.c: Update legrand-hid.c  Initialize
	  "fix_report_desc", this file appeared from another PR merged before
	  #1245

2022-01-19  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: provision check_gitignore() calls for DMF
	  branch build products
	* ci_build.sh: ci_build.sh: check_gitignore(): wrap long lines
	* ci_build.sh: ci_build.sh: check_gitignore(): add a FILE_GLOB
	  support
	* ci_build.sh: ci_build.sh: optional_dist_clean_check(): copypasta
	  error, GIT_ARGS not needed in this one
	* ci_build.sh: ci_build.sh: fix "MAKE distclean" operations back to
	  not-quiet, they look weird as a half-muted wall of text
	* ci_build.sh: ci_build.sh: fix use of git status $GIT_ARGS
	  consistently
	* drivers/snmp-ups.c: drivers/snmp-ups.c: match_sysoid(): test for
	  NULL mib2nut[i]->snmp_info (and skip if so)
	* drivers/snmp-ups.c: drivers/snmp-ups.c: load_mib2nut(): imply that
	  skipped value is not a "valid" name in the mapping table (name may
	  be known, but with no snmp_info attached)

2022-01-18  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: handle not-loaded snmp_info
	  without segfaulting
	* drivers/snmp-ups.c: drivers/snmp-ups.c: load_mib2nut(): better
	  tracing of mib_name comparisons
	* drivers/snmp-ups.c: drivers/snmp-ups.c: load_mib2nut(): test for
	  NULL mib2nut[i]->snmp_info (and skip if so) before accounting
	  mibSeen=TRUE and trying to match_model_OID()

2022-01-18  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: delete duplicates after
	  rebase
	* drivers/{adele_cbi.c => adelsystem_cbi.c}, drivers/{adele_cbi.h =>
	  adelsystem_cbi.h}: rename after rebase
	* drivers/{adelsystem_cbi.c => adele_cbi.c},
	  drivers/{adelsystem_cbi.h => adele_cbi.h}: rename for rebase

2022-01-13  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adelsystem_cbi.c: try to reconnect on IVALID DATA and
	  INVALID CRC from read_all_regs
	* drivers/adelsystem_cbi.c: try to reconnect on INVALID DATA and
	  INVALID CRC errors
	* drivers/adele_cbi.c, drivers/adele_cbi.h,
	  drivers/adelsystems_cbi.c, drivers/adelsystems_cbi.h: delete
	  renamed driver files
	* drivers/Makefile.am, drivers/adelsystem_cbi.c,
	  drivers/adelsystem_cbi.h: filename fixes
	* drivers/Makefile.am, drivers/adelsystems_cbi.c,
	  drivers/adelsystems_cbi.h: adele changed to adelsystems
	* drivers/adele_cbi.c, drivers/adele_cbi.h: macro name changes
	* drivers/adele_cbi.c, drivers/adele_cbi.h: minor bug fixes
	* drivers/adele_cbi.h: modify regs_data memory, devreg enum
	  rearrangement

2022-01-12  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: some fixes in
	  read_all_regs approach
	* drivers/adele_cbi.c, drivers/adele_cbi.h: read_all_regs aproach
	  integrated

2022-01-11  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: ghost alarms bug fix,
	  other bug fixes

2022-01-10  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: first testing release

2022-01-09  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: alrm_t, alrm_ar_t data
	  structures, construction of upsdrv_updateinfo in progress

2022-01-08  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: structure device data,
	  code get_dev_state, in progress

2022-01-07  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.h: register status values and masks added

2022-01-06  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: under construction

2022-01-11  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: ghost alarms bug fix,
	  other bug fixes

2022-01-10  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: first testing release

2022-01-09  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: alrm_t, alrm_ar_t data
	  structures, construction of upsdrv_updateinfo in progress

2022-01-08  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: structure device data,
	  code get_dev_state, in progress

2022-01-07  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.h: register status values and masks added

2022-01-06  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/Makefile.am: Makefile.am modifications
	* drivers/adele_cbi.c, drivers/adele_cbi.h: under construction

2022-01-18  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/{adelsystem_cbi.c => adele_cbi.c},
	  drivers/{adelsystem_cbi.h => adele_cbi.h}: rename for rebase

2022-01-18  Jim Klimov <jim@jimklimov.com>

	* drivers/usbhid-ups.h: drivers/usbhid-ups.h: rename pDesc arg to
	  match wording in usbhid-ups.c
	* drivers/hidparser.c, drivers/hidparser.h: drivers/hidparser.{c,h}:
	  rename pDesc arg/var to avoid shadowing a global variable  Pre-
	  emptively: `extern pDesc` is defined in libhid.h which does not
	  seem to be used in/along-with hidparser.{c,h} currently - but this
	  collision may happen later (especially with code-copying around).
	* drivers/cps-hid.c: drivers/cps-hid.c: clean up trailing whitespaces
	* drivers/cps-hid.c: drivers/cps-hid.c: FindReport()
	  cps_fix_report_desc(): rename pDesc arg to avoid shadowing a global
	  variable
	* drivers/cps-hid.c: drivers/cps-hid.c: mark non-exported
	  FindReport() as static
	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: enhance
	  NUT_CHECK_COMPILE_FLAG() to run the whole toolchain for "build and
	  run" when checking CLI option support
	* ci_build.sh: ci_build.sh: build_to_only_catch_errors_target():
	  CI_PARMAKE_VERBOSITY=silent should not hide warnings
	* ci_build.sh: ci_build.sh: do not silent-make initial clean-up (it
	  is chatty anyway, so let us see the dirs processed)
	* ci_build.sh: ci_build.sh: comment verbosity (non-)tweaks for builds
	  without a BUILD_TYPE
	* ci_build.sh: ci_build.sh: report around initial clean-up for
	  clearer log reading
	* ci_build.sh: ci_build.sh: refactor with check_gitignore()
	* ci_build.sh: ci_build.sh: refactor ccache_stats()
	* ci_build.sh: ci_build.sh: refactor make-verbosity settings and
	  adjust some for default builds to store less log

2022-01-18  Jim Klimov <jimklimov+nut@gmail.com>

	* tools/nut-scanner/scan_usb.c: tools/nut-scanner/scan_usb.c: avoid
	  SIGSEGV in libusb-1.0 when running as non-root and device fails to
	  open (e.g. perms error)

2022-01-17  Jim Klimov <jimklimov+nut@gmail.com>

	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  report in usage() if "library not detected" for a scan option

2022-01-17  Jim Klimov <jim@jimklimov.com>

	* drivers/generic_modbus.c: drivers/generic_modbus.c: address
	  -Wmissing-field-initializers complaints for timeval with timeouts
	  (memset to 0 instead)
	* drivers/generic_modbus.c: drivers/generic_modbus.c: address
	  -Wstrict-prototypes complaints
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: raise the bar for
	  code quality non-regression, to fail on any (new) warnings in
	  master branch and PRs to it
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: shut back the
	  cppcheck-by-default
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: do not allow to
	  disable delayedIssueAnalysis on "stable branches"
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: enable cppcheck
	  slowBuild stages generally, not just for "fightwarn" branches

2022-01-16  Jim Klimov <jimklimov+nut@gmail.com>

	* configure.ac: configure.ac: adjust test structure for both built-in
	  ntohl/htonl and string built-ins (using explicit -Werror -Wno-...
	  checks)
	* configure.ac: configure.ac: adjust test structure for built-in
	  ntohl/htonl to be similar to that for string built-ins (using
	  explicit -Werror)
	* ci_build.sh: ci_build.sh: do not lose original LDFLAGS

2022-01-15  Jim Klimov <jimklimov+nut@gmail.com>

	* configure.ac: configure.ac: tweak LIBLTDL_CFLAGS same as
	  LIBNETSNMP_CFLAGS for -Wno-shadow if needed for string methods or
	  htonl() etc  In some builds of the NUT CI farm dynamatrix (possibly
	  ones without SNMP support), the nutscan-ip.c complains about
	  "declaration shadows a local variable" -- investigation of which
	  leads into the macros expanded for common method names on those
	  systems and/or compiler toolkit versions.  This PR hopes to avoid
	  that situation more extensively.

2022-01-14  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.h: drivers/snmp-ups.h: treat DISABLE_MIB_LOADING
	  more safely

2022-01-14  Jim Klimov <jimklimov+nut@gmail.com>

	* tests/cpputest.cpp, tests/example.cpp, tests/nutclienttest.cpp:
	  tests/*.cpp: mark overridden class methods as such
	* clients/nutclient.h, clients/nutclientmem.h: clients/nutclient.h +
	  nutclientmem.h: mark overridden class methods as such

2022-01-13  Jim Klimov <jimklimov+nut@gmail.com>

	* configure.ac: configure.ac: adjust test for built-in string
	  functions (problematic on clang-3.4) to see any warnings and
	  specifically for unreachable code there
	* ci_build.sh: ci_build.sh: relay more build-influencing envvars in
	  the (Jenkins-logged) printout
	* drivers/nut-libfreeipmi.c: drivers/nut-libfreeipmi.c: fix the
	  range-check and message/comment it better
	* drivers/asem.c: drivers/asem.c: macro ACCESS_DEVICE() ends with a
	  brace; we HAVE_PRAGMA_GCC_DIAGNOSTIC_IGNORED_EXTRA_SEMI_STMT to
	  keep the useless trailing ";" for readability
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: add
	  HAVE_PRAGMA_GCC_DIAGNOSTIC_IGNORED_EXTRA_SEMI_STMT(_BESIDEFUNC)
	* drivers/asem.c: drivers/asem.c: declare upsdrv_shutdown() as
	  noreturn
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: avoid including usb-
	  common.h twice

2022-01-13  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adelsystem_cbi.c: try to reconnect on IVALID DATA and
	  INVALID CRC from read_all_regs
	* drivers/adelsystem_cbi.c: try to reconnect on INVALID DATA and
	  INVALID CRC errors

2022-01-13  Jim Klimov <jimklimov+nut@gmail.com>

	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: ask CLANG to reject unknown
	  pragmas when checking for them
	* common/common.c: common/common.c: check for
	  HAVE_PRAGMA_CLANG_DIAGNOSTIC_IGNORED_UNREACHABLE_CODE_RETURN
	  support before use
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: test specifically for HAVE_
	  PRAGMA_CLANG_DIAGNOSTIC_IGNORED_UNREACHABLE_CODE_RETURN(_BESIDEFUNC
	  ) support

2022-01-13  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h,
	  drivers/adelsystems_cbi.c, drivers/adelsystems_cbi.h: delete
	  renamed driver files
	* drivers/Makefile.am, drivers/adelsystem_cbi.c,
	  drivers/adelsystem_cbi.h: filename fixes
	* drivers/Makefile.am, drivers/adelsystems_cbi.c,
	  drivers/adelsystems_cbi.h: adele changed to adelsystems
	* drivers/adele_cbi.c, drivers/adele_cbi.h: macro name changes
	* drivers/adele_cbi.c, drivers/adele_cbi.h: minor bug fixes
	* drivers/adele_cbi.h: modify regs_data memory, devreg enum
	  rearrangement

2022-01-12  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: some fixes in
	  read_all_regs approach
	* drivers/adele_cbi.c, drivers/adele_cbi.h: read_all_regs aproach
	  integrated

2022-01-12  Jim Klimov <jimklimov+nut@gmail.com>

	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: set default
	  C/C++ standards to GNU dialects for GCC/CLANG
	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: set default
	  C/C++ standards to avoid C90-non-compliance warnings noise (on
	  compilers that can do better than that)
	* m4/nut_check_libnetsnmp.m4: m4/nut_check_libnetsnmp.m4: fix a test
	  from shell to autoscript
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  only evaluate if NUT_HAVE_LIBNETSNMP_* when we build WITH_SNMP
	* common/common.c: common/common.c: use
	  HAVE_PRAGMAS_FOR_GCC_DIAGNOSTIC_IGNORED_UNREACHABLE_CODE_RETURN
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: add HAVE_PRAGMA_GCC_DIAGNOS
	  TIC_IGNORED_UNREACHABLE_CODE_RETURN(_BESIDEFUNC)
	* configure.ac, m4/nut_compiler_family.m4: m4/nut_compiler_family.m4
	  + configure.ac: refactor NUT_COMPILER_FAMILY_FLAGS_DEFAULT_STANDARD
	  as a separate method to apply just before we set up warning-level
	  support
	* docs/config-prereqs.txt, docs/nut.dict: docs/config-prereqs.txt:
	  update dependency package naming for libusb-1.0 on Debian family
	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: set default
	  C/C++ standards to GNU dialects for GCC/CLANG
	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: set default
	  C/C++ standards to avoid C90-non-compliance warnings noise (on
	  compilers that can do better than that)
	* ci_build.sh: ci_build.sh: comment why ./configure is not without
	  args

2022-01-11  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: ghost alarms bug fix,
	  other bug fixes

2022-01-10  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: first testing release

2022-01-09  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: alrm_t, alrm_ar_t data
	  structures, construction of upsdrv_updateinfo in progress

2022-01-08  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: structure device data,
	  code get_dev_state, in progress

2022-01-07  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.h: register status values and masks added

2022-01-06  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/Makefile.am: Makefile.am modifications
	* drivers/adele_cbi.c, drivers/adele_cbi.h: under construction

2021-09-23  Jim Klimov <jim@jimklimov.com>

	* drivers/generic_modbus.c: drivers/generic_modbus.{c,h}: fix
	  whitespace style  (original fix from master branch)

2022-01-12  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/generic_modbus.c: drivers/generic_modbus.c: fix whitespace
	  style (in PR-1239)

2022-01-12  Arnaud Quette <ArnaudQuette@eaton.com>

	* drivers/mge-xml.c: Eaton NMC: fix the non publication of real/power
	  with 3ph  power and realpower for 3ph Lx were not publishing values
	  when they were 0

2022-01-11  Dave Williams <dave@opensourcesolutions.co.uk>

	* drivers/cps-hid.c: New HID fix strategy after consultation with CPS
	  It appears both input and output LogMin and LogMax values are
	  incorrect as the rated voltage (for EU models) is 170v to 270v
	  which is outside the logical limits reported by the HID.  The fix
	  checks for the error (loosely) and then applies reasonable values
	  (0v and 511v) to allow the actual input and output voltages to be
	  reported rather than be constrained to the limits.

2022-01-11  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/arduino-hid.c, drivers/delta_ups-hid.c,
	  drivers/hidparser.c, drivers/idowell-hid.c, drivers/powervar-hid.c,
	  drivers/salicru-hid.c: drivers/hidparser.c + *-hid.c: include
	  "config.h" first

2022-01-11  Jim Klimov <jimklimov@gmail.com>

	* docs/nut.dict: Update nut.dict  Updated for PR
	  https://github.com/networkupstools/nut/pull/1256

2022-01-11  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/generic_modbus.c: drivers/generic_modbus.c: handle the two
	  APIs for libmodbus timeout setting
	* m4/nut_check_libmodbus.m4: m4/nut_check_libmodbus.m4: in tests for
	  API, the AC_DEFINE must be used with exact macro names (not
	  m4/shell variables)
	* m4/nut_check_libmodbus.m4: m4/nut_check_libmodbus.m4: in tests for
	  API, clarify if old API (timeval) can be used with variables from
	  new API (uint32) set into the struct
	* m4/nut_check_libmodbus.m4: m4/nut_check_libmodbus.m4: in tests for
	  API, "new/old" comments were confused
	* m4/nut_check_libmodbus.m4: m4/nut_check_libmodbus.m4: in tests for
	  API, initialize modbus_t *ctx differently
	* m4/nut_check_libmodbus.m4: m4/nut_check_libmodbus.m4: test actively
	  for the modbus timeout API (count and type of args used)
	* m4/nut_check_libmodbus.m4: m4/nut_check_libmodbus.m4: convert a
	  code block from plain shell to autoscript
	* m4/nut_check_libmodbus.m4: m4/nut_check_libmodbus.m4: test for
	  presence of modbus_set_byte_timeout() and
	  modbus_set_response_timeout()
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: detect support for
	  (ignoring) "-Wsign-conversion"
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: add guards to call
	  AX_C_PRINTF_STRING_NULL and AX_C_PRAGMAS logic only once
	* drivers/generic_modbus.c: drivers/generic_modbus.c: bump
	  DRIVER_VERSION for feature change (connection timeout handling)

2022-01-10  Ablerexsoftware <Ablerex.software@ablerex.com.tw>

	* data/driver.list.in: update the driver.list.in

2022-01-11  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: ghost alarms bug fix,
	  other bug fixes

2022-01-10  Jim Klimov <jimklimov@gmail.com>

	* docs/man/powercom.txt: Update powercom.txt  Sentence restructure

2022-01-10  Jim Klimov <jim@jimklimov.com>

	* .github/pull_request_template.md: pull_request_template.md: update
	  and reshuffle check-list items
	* .../{PULL_REQUEST_TEMPLATE/nut-driver-PR.md =>
	  pull_request_template.md}: Move fancy-named PR template to plain
	  .github/pull_request_template.md
	* drivers/salicru-hid.c, scripts/upower/95-upower-hid.rules:
	  drivers/salicru-hid.c: add known compatibility for Salicru SLC TWIN
	  (PRO2, PRO3, RT3) per reports in issue #1142
	* data/driver.list.in: data/driver.list.in: add known compatibility
	  for Salicru TWIN (PRO2, PRO3, RT3) per reports in issues #450 and
	  #1142
	* .github/PULL_REQUEST_TEMPLATE/nut-driver-PR.md: Add
	  .github/PULL_REQUEST_TEMPLATE/nut-driver-PR.md template

2022-01-10  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: first testing release

2022-01-10  Jim Klimov <jim@jimklimov.com>

	* data/driver.list.in: data/driver.list.in: fix English typos in
	  comment
	* docs/developers.txt: docs/developers.txt: remind to update
	  docs/acknowledgements.txt when adding vendor-backed support
	* docs/man/usbhid-ups.txt: docs/man/usbhid-ups.txt: fix reference to
	  data/driver.list (typo in filename)

2022-01-09  Rouben Tchakhmakhtchian <rouben@rouben.net>

	* docs/man/powercom.txt, drivers/powercom.c: Powercom driver
	  (drivers/powercom.c) version bump from 0.17 to 0.18: * Implement
	  configuration flag "nobt" to skip battery test during
	  initialization * Cleanup old code to use testvar() for config
	  parameter checks in upsdrv_initups() * Add nobt flag to sample
	  config file in built-in doc Powercom driver man page
	  (docs/man/powercom.txt) update to explain nobt flag

2022-01-09  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: alrm_t, alrm_ar_t data
	  structures, construction of upsdrv_updateinfo in progress

2022-01-08  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.c, drivers/adele_cbi.h: structure device data,
	  code get_dev_state, in progress

2022-01-07  Jim Klimov <jimklimov+nut@gmail.com>

	* tools/nut-usbinfo.pl: tools/nut-usbinfo.pl: be sure to have
	  PATH_MAX defined (for usb.h that did not bother by itself)
	* drivers/usb-common.h: drivers/usb-common.h: be sure to have
	  PATH_MAX defined (for usb.h that did not bother by itself)

2022-01-07  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/adele_cbi.h: register status values and masks added

2022-01-06  Jim Klimov <jim@jimklimov.com>

	* Jenkinsfile-dynamatrix: Revert "Jenkinsfile-dynamatrix: be sure to
	  reset slowBuild configs over dynacfgBase"  This reverts commit
	  18cf19ebc7e01f30c3d84c7b3b8f69e961429ebb as the "design flaw" which
	  that change worked around should now be (hopefully) fixed in the
	  jenkins-fynamatrix library itselg.

2022-01-06  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/Makefile.am: Makefile.am modifications
	* drivers/adele_cbi.c, drivers/adele_cbi.h: under construction

2022-01-05  Jim Klimov <jim@jimklimov.com>

	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: fix
	  dynamatrixAxesCommonEnvCartesian cases to group the variables we
	  apply as one bunch, not as several separate hits
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: define
	  dynacfgPipeline.excludeCombos_DEFAULT (mismatched ARCHes only)
	* tools/nut-scanner/scan_avahi.c: tools/nut-scanner/scan_avahi.c:
	  avoid implicit case fallthrough
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: be sure to reset
	  slowBuild configs over dynacfgBase
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: avoid running
	  "cppcheck" several times per host

2022-01-04  Jim Klimov <jim@jimklimov.com>

	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: reinstate
	  excludeCombos for autotools-only builds (fightwarn) to avoid
	  unsupported ARCH-bits mix builds

2022-01-02  Jim Klimov <jim@jimklimov.com>

	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: fix "Default
	  autotools driven build with default warning levels (gnu99/gnu++11)"
	  dynamatrixAxesVirtualLabelsMap mergeMode from "merge" to "replace"
	  (want to only build listed scenarios, not everything possible in
	  the matrix)

2021-12-30  Jim Klimov <jim@jimklimov.com>

	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: avoid using
	  undefined (null) excludeCombos_DEFAULT
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: fix references to
	  excludeCombos: ... axisCombos_COMPILER_(NOT_)GCC

2022-01-05  Jim Klimov <jimklimov+nut@gmail.com>

	* m4/nut_check_cppcheck.m4: m4/nut_check_cppcheck.m4: relax required
	  tool version for cppcheck*.xml generation
	* Makefile.am: Makefile.am: fix dependencies for cppcheck*.xml
	  generation

2022-01-04  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/generic_modbus.c: comment and code alignment fixes

2022-01-03  Jim Klimov <jimklimov+nut@gmail.com>

	* ci_build.sh: ci_build.sh: set DO_CLEAN_CHECK=no for default-
	  tgt:cppcheck or docs-building scenarios by default, so we can
	  get/archive those costly media files
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: set
	  DO_CLEAN_CHECK=no for default-tgt:cppcheck scenarios, so we can get
	  that analysis data

2021-12-30  Jim Klimov <jimklimov+nut@gmail.com>

	* tools/nut-scanner/nutscan-ip.c: tools/nut-scanner/nutscan-ip.c:
	  include config.h first

2021-12-30  Jim Klimov <jim@jimklimov.com>

	* docs/developers.txt, docs/nut.dict: docs/developers.txt: update
	  about C89/GNU89 support (with GCC toolkit)
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: separate
	  C89/C90/ANSI builds with GCC (can actually pass strict and GNU
	  modes) and CLANG (more pedantic)
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: typo fix for
	  disableSlowBuildCIBuildExperimentalANSI

2021-12-30  Jim Klimov <jimklimov+nut@gmail.com>

	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: do not test
	  for "-fcolor-diagnostics" - redundant for clang, and sometimes
	  toxic for gcc
	* drivers/Makefile.am: drivers/Makefile.am: snmp-ups uses fabsf() so
	  needs libm
	* drivers/nut-libfreeipmi.c: drivers/nut-libfreeipmi.c: include
	  config.h first
	* drivers/microsol-apc.c: drivers/microsol-apc.c: include config.h
	  first
	* drivers/genericups.c: drivers/genericups.c: include config.h first
	* include/nut_stdint.h: include/nut_stdint.h: define SSIZE_MAX if
	  missing
	* drivers/serial.h: drivers/serial.h: pull more includes

2021-12-30  Jim Klimov <jim@jimklimov.com>

	* drivers/Makefile.am: drivers/Makefile.am: metasys uses fabsf() so
	  needs libm
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: fix comments to C-style
	* drivers/powercom.c: drivers/powercom.c: fix comments to C-style
	* drivers/microdowell.h: drivers/microdowell.h: fix comments to
	  C-style
	* drivers/solis.h: drivers/solis.h: fix comments to C-style
	* drivers/libshut.c: drivers/libshut.c: fix comments to C-style
	* drivers/openups-hid.c: drivers/openups-hid.c: include config.h
	  first
	* drivers/snmp-ups.c: drivers/snmp-ups.c: fix comments to C-style
	* drivers/riello_usb.c: drivers/riello_usb.c: fix comments to C-style
	* drivers/generic_modbus.h: drivers/generic_modbus.h: fix comments to
	  C-style
	* tools/nut-scanner/scan_xml_http.c: tools/nut-
	  scanner/scan_xml_http.c: fix comments to C-style
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  fix comments to C-style
	* tools/nut-scanner/nutscan-init.c: tools/nut-scanner/nutscan-init.c:
	  fix comments to C-style
	* tools/nut-scanner/scan_eaton_serial.c: tools/nut-
	  scanner/scan_eaton_serial.c: fix comments to C-style
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c: fix
	  comments to C-style
	* tools/nut-scanner/scan_nut.c: tools/nut-scanner/scan_nut.c: fix
	  comments to C-style
	* server/upsd.c: server/upsd.c: fix comments to C-style
	* server/conf.c: server/conf.c: fix comments to C-style
	* drivers/bcmxcp.c: drivers/bcmxcp.c: fix comments to C-style
	* drivers/main.c: drivers/main.c: fix comments to C-style
	* common/upsconf.c: common/upsconf.c: include config.h first
	* common/str.c: common/str.c: fix comments to C-style
	* server/user.c: server/user.c: include config.h first
	* server/desc.c: server/desc.c: include config.h first
	* drivers/upsdrvctl.c: drivers/upsdrvctl.c: include config.h first
	* drivers/riello_usb.c: drivers/riello_usb.c: include config.h first
	* drivers/riello_ser.c: drivers/riello_ser.c: include config.h first
	* drivers/rhino.c: drivers/rhino.c: include config.h first
	* drivers/mge-utalk.c: drivers/mge-utalk.c: include config.h first
	* drivers/libhid.c: drivers/libhid.c: include config.h first, and try
	  to get strings.h explicitly
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c: include
	  config.h first
	* drivers/dummy-ups.c: drivers/dummy-ups.c: include config.h first
	* drivers/dstate.c: drivers/dstate.c: include config.h first
	* tools/nut-scanner/scan_eaton_serial.c: tools/nut-
	  scanner/scan_eaton_serial.c: try to include explicitly both of
	  (sys/)signal.h
	* server/upsd.c: server/upsd.c: try to include explicitly both of
	  (sys/)signal.h
	* tools/nut-scanner/nutscan-serial.c: tools/nut-scanner/nutscan-
	  serial.c: include config.h first
	* tools/nut-scanner/nutscan-device.c: tools/nut-scanner/nutscan-
	  device.c: include config.h first
	* drivers/mge-xml.c: drivers/mge-xml.c: include config.h first
	* drivers/libshut.c: drivers/libshut.c: include config.h first
	* common/state.c: common/state.c: include config.h first
	* common/str.c: common/str.c: include config.h first, and try to get
	  strings.h explicitly
	* include/common.h: include/common.h: try to include explicitly
	  string(s).h and (sys/)signal.h
	* configure.ac: configure.ac: test more actively for strcasecmp,
	  strncasecmp, strdup and usleep methods that are problematic for
	  strict C99+ builds
	* configure.ac: configure.ac: detect explicitly string(s).h and
	  (sys/)signal.h

2021-12-29  Jim Klimov <jim@jimklimov.com>

	* configure.ac: configure.ac: zero-init struct in ntohl/htonl
	  warning-tweaks test code

2021-12-29  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/nut-libfreeipmi.c: drivers/nut-libfreeipmi.c: be pragmatic
	  about possibly unreachable error handling in arch-dependent range
	  check
	* drivers/nut-libfreeipmi.c: drivers/nut-libfreeipmi.c: mark local
	  vars as static
	* configure.ac: configure.ac: constrain warning-tweaks against macro
	  str*() and ntohl/htonl to LIBNETSNMP_CFLAGS (empirically)
	* configure.ac: configure.ac: detect if compiler (e.g. older
	  clang-3.4) has a problem with built-in/macro variants of system
	  str*() and htonl/ntohl functions at our higher warning levels, and
	  mitigate that
	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: rearrange
	  detection order of compiler flags
	* drivers/generic_modbus.c: drivers/generic_modbus.c: quiesce
	  warnings about unreachable-code (default after full enum-case
	  handling) with older clang
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: ignore potentially
	  unreachable code in assert()
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: quiesce warnings about
	  unreachable-code (default after full enum-case handling) with older
	  clang
	* drivers/upscode2.c: drivers/upscode2.c: quiesce warnings about
	  unreachable-code (default after full enum-case handling) with older
	  clang
	* drivers/hidparser.c: drivers/hidparser.c: ignore potentially
	  unreachable code in platforms-dependent range checks
	* drivers/libhid.c: drivers/libhid.c: ignore potentially unreachable
	  code in platforms-dependent range checks
	* drivers/libshut.c: drivers/libshut.c: tell compiler that we do want
	  to treat a char array (managed by comms code) as the aligned
	  pointer to struct
	* drivers/libshut.c: drivers/libshut.c: adjust data_size usage to
	  usb_ctrl_charbufsize typedef - fix pragmas for range-checks
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: quiesce warnings about
	  unreachable-code (default after full enum-case handling) with older
	  clang
	* drivers/genericups.c: drivers/genericups.c: ignore potentially
	  unreachable code in platforms-dependent range checks
	* drivers/bestuferrups.c: drivers/bestuferrups.c: ignore potentially
	  unreachable code in assert(0)
	* drivers/bestfcom.c: drivers/bestfcom.c: ignore potentially
	  unreachable code in assert(0)
	* clients/upsmon.c: clients/upsmon.c: ignore potentially unreachable
	  code in platforms-dependent range checks
	* tools/nut-scanner/scan_nut.c: tools/nut-scanner/scan_nut.c: ignore
	  potentially unreachable code in platforms-dependent range checks
	* tools/nut-scanner/nutscan-init.c: tools/nut-scanner/nutscan-init.c:
	  ignore potentially unreachable code in platforms-dependent range
	  checks
	* server/upsd.c: server/upsd.c: quiesce warnings about unreachable-
	  code (default after full enum-case handling) with older clang
	* configure.ac: configure.ac: update "clang-medium" warnings level
	  with "-Wno-conversion" for older clang releases
	* ci_build.sh: ci_build.sh: introduce CI_FAILFAST for
	  BUILD_TYPE=default-all-errors
	* ci_build.sh: ci_build.sh: use configurable --enable-Wcolor for
	  compiler warnings in default quick build
	* ci_build.sh: ci_build.sh: use configurable --enable-Wcolor for
	  compiler warnings in all BUILD_TYPEs
	* configure.ac, m4/nut_compiler_family.m4: configure.ac +
	  m4/nut_compiler_family.m4: allow configurable --enable-Wcolor for
	  compiler warnings
	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: add
	  diagnostics-color support for GCC
	* configure.ac, m4/ax_check_compile_flag.m4,
	  m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: use
	  AX_CHECK_COMPILE_FLAG to detect generic options supported by
	  compilers

2021-12-28  Jim Klimov <jim@jimklimov.com>

	* configure.ac: configure.ac: pass "-Wno-disabled-macro-expansion" in
	  clang-medium and clang-hard modes, to avoid choking on systems-
	  provided strncmp() etc.
	* drivers/bcmxcp_ser.c: drivers/bcmxcp_ser.c: pw_comm_setup(): ignore
	  potentially unreachable code in platforms-dependent range checks
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  ignore potentially unreachable code in platforms-dependent range
	  checks
	* common/common.c: common/common.c: get_user_pwent(): ignore
	  "-Wunreachable-code" where we were required to have a return
	* common/common.c: common/common.c: get_max_pid_t(): avoid warnings
	  in C89/C90/ANSI builds *because* we check for LLONG_MAX macro
	* common/common.c: common/common.c: get_max_pid_t(): ignore
	  "-Wunreachable-code"
	* common/common.c: common/common.c: vupslog(): ignore "-Wformat-
	  nonliteral" with older clang too
	* configure.ac: configure.ac: with (older) clang, ignore "unused-
	  arguments" (of clang program)
	* server/upsd.c: server/upsd.c: mainloop(): ignore "-Wcovered-switch-
	  default" with older clang too
	* clients/upsclient.c: clients/upsclient.c: upscli_init(): fix "ret"
	  to "long", to match some versions of SSL_CTX_ctrl() (from
	  openssl/ssl.h e.g. in FreeBSD)
	* drivers/riello_usb.c: drivers/riello_usb.c: riello_command():
	  handle possibly undefined ETIME
	* drivers/blazer_usb.c: drivers/blazer_usb.c: blazer_command():
	  handle possibly undefined ETIME
	* drivers/blazer_usb.c: drivers/blazer_usb.c: phoenix_command():
	  avoid fall-through in a case
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: qx_command(): handle
	  possibly undefined ETIME
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: phoenix_command(): avoid
	  fall-through in a case
	* drivers/mge-hid.c: drivers/mge-hid.c: nominal_output_voltage_fun():
	  explicitly fall-through in a case
	* drivers/libshut.c: drivers/libshut.c: shut_control_msg():
	  explicitly fall-through in a case, and finish the default with a
	  break
	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: comment away
	  setting "-isystem ..." common paths early in CFLAGS
	* configure.ac: configure.ac: set "-Wno-system-headers" early in
	  gcc/clang medium and hard warning levels
	* m4/nut_compiler_family.m4: m4/nut_compiler_family.m4: set "-isystem
	  ..." paths early in CFLAGS
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: expel other
	  C89/C90/ANSI builds to only happen if not
	  disableSlowBuildCIBuildExperimentalANSI and only in branches (or
	  PRs to) matching ~/fightwarn.*89.*/ currently
	* configure.ac: configure.ac: try to handle warnings in system
	  headers at our medium and hard levels

2021-12-28  Jim Klimov <jimklimov@gmail.com>

	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: fix_report_desc():
	  avoid shadowing global var with method arg name
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: fix_report_desc(): mark
	  NUT_UNUSED_VARIABLEs

2021-12-28  Jim Klimov <jim@jimklimov.com>

	* docs/man/nutdrv_qx.txt: docs/man/nutdrv_qx.txt: mention Armac in
	  SUPPORTED HARDWARE section, and wrap long lines there
	* docs/man/nutdrv_qx.txt, docs/nut.dict: docs/man/nutdrv_qx.txt: port
	  notes for "armac" subdriver from source code
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: armac_command(): move
	  variable declarations to top of scope
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: armac_command(): fix
	  varied int types to size_t, and move equation sides around to avoid
	  signedness
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: armac_command(): zero out
	  whole tmpbuf[], not one element
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: normalize whitespace for
	  "armac" code addition
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: add (C) for "armac" code
	  addition

2021-12-25  Tomasz Fortuna <bla@thera.be>

	* data/driver.list.in, docs/man/nutdrv_qx.txt, docs/nut.dict,
	  drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: add support for Armac UPS
	  (or maybe other richcomm_usb like)  Based on Armac R/2000I/PSW, but
	  should support other UPSes that work with "PowerManagerII" software
	  from Richcomm Technologies from around 2004-2005.

2021-12-28  Jim Klimov <jim@jimklimov.com>

	* docs/ci-farm-lxc-setup.txt, docs/nut.dict: docs/ci-farm-lxc-
	  setup.txt: add a troubleshooting section, with entry for
	  cgroupsv1-only guests on a cgroupsv2-only host
	* docs/config-prereqs.txt, docs/nut.dict: docs/config-prereqs.txt:
	  add a chapter for CentOS 7 agent preparation
	* docs/config-prereqs.txt: docs/config-prereqs.txt: clarify that
	  OpenBSD multitude of autotools versions is a blessing, not a pain
	  ;)
	* docs/config-prereqs.txt: docs/config-prereqs.txt: clarify that JDK
	  installation in Debian guests may need /proc submounted
	* docs/ci-farm-lxc-setup.txt: docs/ci-farm-lxc-setup.txt: move "sudo"
	  installation away from useradd example (so "apt-get" does not
	  pollute non-debian guest examples)
	* docs/ci-farm-lxc-setup.txt: docs/ci-farm-lxc-setup.txt: change
	  CentOS7 example guest name from ...-x86_64 to ...-x86-64 (or
	  -amd64) to avoid loss of character
	* docs/ci-farm-lxc-setup.txt: docs/ci-farm-lxc-setup.txt: avoid
	  "AltArch" CentOS i686, use just x86_64 as something easier to get
	  hands on

2021-12-27  hunter86bg <hunter86_bg@yahoo.com>

	* data/driver.list.in: Add Cyber Power PR1500RT2U, fixes
	  networkupstools/nut#1191

2021-12-27  Jim Klimov <jim@jimklimov.com>

	* docs/ci-farm-lxc-setup.txt: docs/ci-farm-lxc-setup.txt: remind to
	  revise container MAC addresses
	* docs/ci-farm-lxc-setup.txt: docs/ci-farm-lxc-setup.txt: clarify
	  that "third-party distro" LXC helpers may need chiseling
	* docs/ci-farm-lxc-setup.txt, docs/nut.dict: docs/ci-farm-lxc-
	  setup.txt: hint at needed "pacman" for Arch Linux container
	  installation
	* docs/ci-farm-lxc-setup.txt, docs/nut.dict: docs/ci-farm-lxc-
	  setup.txt: add installation of RPM based distros as guests on non-
	  RPM (DEB) hosts
	* docs/ci-farm-lxc-setup.txt: docs/ci-farm-lxc-setup.txt: clarify how
	  to find defined LXC templates, and get usage details about them

2021-12-25  Jim Klimov <jim@jimklimov.com>

	* drivers/riello_ser.c: drivers/riello_ser.c: do not include
	  hidparser.h (hiccups in usb-common.h due to lack of
	  WITH_LIBUSB_x_y)
	* drivers/riello_ser.c: drivers/riello_ser.c: do not include
	  hidparser.h (hiccups in usb-common.h due to lack of
	  WITH_LIBUSB_x_y)
	* drivers/libshut.c: drivers/libshut.c: adjust data_size usage to
	  usb_ctrl_charbufsize typedef

2021-12-21  Jim Klimov <jim@jimklimov.com>

	* configure.ac: configure.ac: switch default warnings level to
	  "medium"
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: range-check quiesced by
	  pragmas (GCC)
	* drivers/libusb0.c: drivers/libusb0.c: do not separate if-clause
	  parenthesis by pragmas (GCC)
	* drivers/libusb1.c: drivers/libusb1.c: do not separate if-clause
	  parenthesis by pragmas (GCC)
	* drivers/libshut.c: drivers/libshut.c: do not separate if-clause
	  parenthesis by pragmas (GCC)
	* drivers/hidparser.c: drivers/hidparser.c: do not separate if-clause
	  parenthesis by pragmas (GCC)

2021-12-20  Jim Klimov <jim@jimklimov.com>

	* drivers/libusb1.c: drivers/libusb1.c: fix whitespace (break long
	  lines)
	* drivers/libshut.h: drivers/libshut.h: define ERROR_ACCESS etc. used
	  for USB(-like) result states

2021-12-19  Jim Klimov <jim@jimklimov.com>

	* drivers/hidparser.c, drivers/hidparser.h, drivers/libhid.c,
	  drivers/libhid.h, drivers/libshut.c, drivers/libshut.h,
	  drivers/libusb0.c, drivers/libusb1.c, drivers/nut_libusb.h,
	  drivers/nutdrv_atcl_usb.c, drivers/richcomm_usb.c,
	  drivers/riello_usb.c, drivers/tripplite_usb.c, drivers/usb-
	  common.h, drivers/usbhid-ups.c: drivers (c,h) USB, HID and SHUT:
	  converge parameter usage from strict int types to backend API
	  dependent "usb_ctrl_*" and "usb_dev_handle" typedefs, then range-
	  check and cast the numbers, and avoid build warnings

2021-12-25  Jim Klimov <jim@jimklimov.com>

	* drivers/libshut.c: drivers/libshut.c: adjust data_size usage to
	  usb_ctrl_charbufsize typedef

2021-12-21  Jim Klimov <jim@jimklimov.com>

	* configure.ac: configure.ac: switch default warnings level to
	  "medium"
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: range-check quiesced by
	  pragmas (GCC)
	* drivers/libusb0.c: drivers/libusb0.c: do not separate if-clause
	  parenthesis by pragmas (GCC)
	* drivers/libusb1.c: drivers/libusb1.c: do not separate if-clause
	  parenthesis by pragmas (GCC)
	* drivers/libshut.c: drivers/libshut.c: do not separate if-clause
	  parenthesis by pragmas (GCC)
	* drivers/hidparser.c: drivers/hidparser.c: do not separate if-clause
	  parenthesis by pragmas (GCC)

2021-12-20  Jim Klimov <jim@jimklimov.com>

	* drivers/libusb1.c: drivers/libusb1.c: fix whitespace (break long
	  lines)
	* drivers/libshut.h: drivers/libshut.h: define ERROR_ACCESS etc. used
	  for USB(-like) result states

2021-12-19  Jim Klimov <jim@jimklimov.com>

	* drivers/hidparser.c, drivers/hidparser.h, drivers/libhid.c,
	  drivers/libhid.h, drivers/libshut.c, drivers/libshut.h,
	  drivers/libusb0.c, drivers/libusb1.c, drivers/nut_libusb.h,
	  drivers/nutdrv_atcl_usb.c, drivers/richcomm_usb.c,
	  drivers/riello_usb.c, drivers/tripplite_usb.c, drivers/usb-
	  common.h, drivers/usbhid-ups.c: drivers (c,h) USB, HID and SHUT:
	  converge parameter usage from strict int types to backend API
	  dependent "usb_ctrl_*" and "usb_dev_handle" typedefs, then range-
	  check and cast the numbers, and avoid build warnings

2021-12-25  Jim Klimov <jim@jimklimov.com>

	* drivers/nutdrv_atcl_usb.c, drivers/richcomm_usb.c, drivers/usb-
	  common.h, m4/nut_check_libusb.m4: m4/nut_check_libusb.m4,
	  drivers/usb-common.h + nutdrv_atcl_usb.c + richcomm_usb.c: only
	  apply usb_detach_kernel_driver_np to libusb-0.1 builds (no alias
	  tricks)
	* drivers/libusb1.c, drivers/nutdrv_atcl_usb.c,
	  drivers/richcomm_usb.c, m4/nut_check_libusb.m4:
	  m4/nut_check_libusb.m4, drivers/libusb1.c + nutdrv_atcl_usb.c +
	  richcomm_usb.c: honor that libusb-1.0 may
	  HAVE_LIBUSB_DETACH_KERNEL_DRIVER_NP
	* drivers/nutdrv_atcl_usb.c, drivers/richcomm_usb.c, drivers/usb-
	  common.h, m4/nut_check_libusb.m4: m4/nut_check_libusb.m4,
	  drivers/usb-common.h + nutdrv_atcl_usb.c + richcomm_usb.c: only
	  apply usb_detach_kernel_driver_np to libusb-0.1 builds (no alias
	  tricks)
	* drivers/libusb1.c, drivers/nutdrv_atcl_usb.c,
	  drivers/richcomm_usb.c, m4/nut_check_libusb.m4:
	  m4/nut_check_libusb.m4, drivers/libusb1.c + nutdrv_atcl_usb.c +
	  richcomm_usb.c: honor that libusb-1.0 may
	  HAVE_LIBUSB_DETACH_KERNEL_DRIVER_NP

2021-12-24  Jim Klimov <jim@jimklimov.com>

	* drivers/nutdrv_atcl_usb.c, drivers/richcomm_usb.c,
	  drivers/riello_usb.c: drivers/riello_usb.c, richcomm_usb.c,
	  nutdrv_atcl_usb.c: fix remaining uses of (lib)usb_strerror with
	  nut_usb_strerror()

2021-12-25  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/usb-common.h: drivers/usb-common.h: map
	  libusb_detach_kernel_driver_np (1.0) as usb_detach_kernel_driver_np
	  (0.1)
	* drivers/usb-common.h: drivers/usb-common.h: map
	  libusb_detach_kernel_driver_np (1.0) as usb_detach_kernel_driver_np
	  (0.1)

2021-12-24  Jim Klimov <jim@jimklimov.com>

	* configure.ac: configure.ac: update "clang-medium" warnings pre-set
	  with -Wno-incompatible-pointer-types-discards-qualifiers
	* drivers/libusb1.c: drivers/libusb1.c: some more whitespace and
	  comment fixes
	* drivers/nutdrv_atcl_usb.c, drivers/richcomm_usb.c,
	  drivers/riello_usb.c: drivers/riello_usb.c, richcomm_usb.c,
	  nutdrv_atcl_usb.c: fix remaining uses of (lib)usb_strerror with
	  nut_usb_strerror()
	* tools/nut-scanner/scan_usb.c: tools/nut-scanner/scan_usb.c: missed
	  whitespace fixes
	* tools/nut-scanner/scan_usb.c: tools/nut-scanner/scan_usb.c: comment
	  "#else WITH_LIBUSB_..." in long blocks

2021-12-20  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/scan_usb.c: tools/nut-scanner/scan_usb.c: fix
	  whitespace (indentation etc)
	* drivers/nutdrv_atcl_usb.c: drivers/nutdrv_atcl_usb.c: drop local
	  libusb-0.1 vs 1.0 definitions now provided by usb-common.h
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: update comments

2021-12-19  Jim Klimov <jim@jimklimov.com>

	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: make sure (missing)
	  methods from another API are defined in config.h (so "#if HAVE_..."
	  is valid and not guessed as 0)

2021-12-20  Jim Klimov <jim@jimklimov.com>

	* drivers/usb-common.h: drivers/usb-common.h: whitespace-separate
	  definitions of ERROR_ACCESS etc., nut_usb_strerror() and similar
	  macros

2021-12-21  Jim Klimov <jim@jimklimov.com>

	* drivers/usb-common.h: drivers/usb-common.h: include "common.h"

2021-12-16  Jim Klimov <jim@jimklimov.com>

	* drivers/usb-common.h: drivers/usb-common.h: define
	  PRI_NUT_USB_CTRL_CHARBUFSIZE, usb_ctrl_msgvalue and
	  usb_ctrl_strindex
	* drivers/usb-common.h: drivers/usb-common.h: clarify that libusb
	  timeouts are in milliseconds (with variouts int types per API
	  version)
	* drivers/usb-common.h: drivers/usb-common.h: update comment about
	  mapping from libusb-0.1 to libusb-1.0 API
	* drivers/nut_libusb.h: drivers/nut_libusb.h: comment the practical
	  mess around hid_rep_index
	* drivers/usb-common.h: drivers/usb-common.h: comment which API
	  version each endif is for
	* drivers/usb-common.h: drivers/usb-common.h: note the arg type for
	  libusb_strerror() in comments to our macro wrapper
	  nut_usb_strerror()
	* drivers/usb-common.h: drivers/usb-common.h: update heading comment
	  with references to different API docs
	* drivers/usb-common.h: drivers/usb-common.h: update heading comment
	  and (C) for libusb-1.0 related changes

2021-12-24  Jim Klimov <jim@jimklimov.com>

	* drivers/libshut.c: drivers/libshut.c: shut_control_msg(): data_size
	  is a "short int" (not size_t) in this branch

2021-12-15  Jim Klimov <jim@jimklimov.com>

	* drivers/libshut.c: drivers/libshut.c: shut_control_msg(): range-
	  check data_size before stuffing the number into a char
	* drivers/libshut.c: drivers/libshut.c: range-check and cast ints to
	  struct members and library args
	* drivers/libshut.c: drivers/libshut.c: braces fix
	* drivers/nut_libusb.h, drivers/usb-common.h: drivers/usb-common.h +
	  nut_libusb.h: typedef more usb_ctrl_* tokens to match libusb-0.1 vs
	  1.0 API

2021-12-20  Jim Klimov <jim@jimklimov.com>

	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: comment FIXME for
	  possible uses of usb_ctrl_* typedefs

2021-12-13  Jim Klimov <jim@jimklimov.com>

	* drivers/bcmxcp_usb.c, drivers/blazer_usb.c,
	  drivers/nutdrv_atcl_usb.c, drivers/nutdrv_qx.c,
	  drivers/richcomm_usb.c, drivers/riello_usb.c, drivers/usb-common.h:
	  USB: Rename typedef usb_ctrl_char to usb_ctrl_charbuf to avoid
	  confsion (it is a char* sibling, not plain char)
	* drivers/libshut.h, drivers/nut_libusb.h: drivers/nut_libusb.h,
	  libshut.h: whitespace fixes (align "version")

2021-12-10  Jim Klimov <jim@jimklimov.com>

	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: current use of
	  SHUT_MODE relies on defined/not-defined, not on value for plain #if
	  macro
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: adapt to usb-common.h and
	  (usb_ctrl_char) casting
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: adapt to usb-common.h
	  and (usb_ctrl_char) casting
	* drivers/nutdrv_atcl_usb.c: drivers/nutdrv_atcl_usb.c: adapt to usb-
	  common.h and (usb_ctrl_char) casting

2021-12-20  Jim Klimov <jim@jimklimov.com>

	* drivers/richcomm_usb.c: drivers/richcomm_usb.c: fix whitespace
	  (break long lines)
	* drivers/riello_usb.c: drivers/riello_usb.c: fix whitespace (break
	  long lines)

2021-12-10  Jim Klimov <jim@jimklimov.com>

	* drivers/riello_usb.c: drivers/riello_usb.c: adapt to usb-common.h
	  and (usb_ctrl_char) casting
	* drivers/riello.h: drivers/riello.h: do not define duplicate
	  USB_ENDPOINT_IN/USB_ENDPOINT_OUT
	* drivers/usb-common.h: drivers/usb-common.h: convert
	  usb_get_string{_simple}() from macro aliases to real mappings with
	  range-checks for libusb-1.0 API
	* drivers/usb-common.h: drivers/usb-common.h: mark "static inline"
	  functions with
	  HAVE_PRAGMA_GCC_DIAGNOSTIC_IGNORED_TYPE_LIMITS_BESIDEFUNC since not
	  all C files call them
	* drivers/bcmxcp_usb.c, drivers/blazer_usb.c, drivers/libhid.h,
	  drivers/nutdrv_atcl_usb.c, drivers/nutdrv_qx.c,
	  drivers/richcomm_usb.c, drivers/riello_usb.c,
	  drivers/tripplite_usb.c, drivers/usb-common.h: drivers/usb-
	  common.h: consolidate libusb-0.1 vs 1.0 data/func mappings from
	  *usb.c files
	* drivers/nut_libusb.h, drivers/usb-common.h: drivers/nut_libusb.h
	  already includes "usb-common.h" so no need to pull LibUSB headers
	  again
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: range-check and cast
	  args for usb_control_msg() => libusb_control_transfer() and
	  usb_interrupt_read() => libusb_interrupt_transfer() for libusb-1.0
	  support

2021-12-09  Jim Klimov <jim@jimklimov.com>

	* tools/nut-usbinfo.pl: tools/nut-usbinfo.pl: sanity check that
	  exactly one version of WITH_LIBUSB_x_y is set (defined and has
	  value 1)
	* drivers/usb-common.h: drivers/usb-common.h: sanity check that
	  exactly one version of WITH_LIBUSB_x_y is set (defined and has
	  value 1)
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: sanity check that
	  exactly one version of WITH_LIBUSB_x_y is set (defined and has
	  value 1)

2021-12-08  Jim Klimov <jim@jimklimov.com>

	* drivers/nut_libusb.h: drivers/nut_libusb.h: sanity check that
	  exactly one version of WITH_LIBUSB_x_y is set (defined and has
	  value 1)

2021-12-24  Jim Klimov <jim@jimklimov.com>

	* drivers/libusb1.c: drivers/libusb1.c:
	  HAVE_LIBUSB_DETACH_KERNEL_DRIVER needs "#ifdef" not "#if"
	* drivers/nutdrv_atcl_usb.c, drivers/richcomm_usb.c, tools/nut-
	  scanner/scan_usb.c: Convert C code from "#ifdef WITH_LIBUSB_x_y" to
	  "#if" tests for defined value - merging missed a few in
	  libusb-1.0+0.1 branch

2021-12-08  Jim Klimov <jim@jimklimov.com>

	* drivers/bcmxcp_usb.c, drivers/blazer_usb.c, drivers/nut_libusb.h,
	  drivers/nutdrv_atcl_usb.c, drivers/nutdrv_qx.c,
	  drivers/richcomm_usb.c, drivers/riello_usb.c,
	  drivers/tripplite_usb.c, drivers/usb-common.h, tools/nut-
	  scanner/nutscan-init.c, tools/nut-scanner/scan_usb.c, tools/nut-
	  usbinfo.pl: Convert C code from "#ifdef WITH_LIBUSB_x_y" to "#if"
	  tests for defined value

2021-12-24  Jim Klimov <jim@jimklimov.com>

	* configure.ac: configure.ac: update "clang-medium" warnings pre-set
	  with -Wno-incompatible-pointer-types-discards-qualifiers

2021-12-20  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/scan_usb.c: tools/nut-scanner/scan_usb.c: fix
	  whitespace (indentation etc)
	* drivers/nutdrv_atcl_usb.c: drivers/nutdrv_atcl_usb.c: drop local
	  libusb-0.1 vs 1.0 definitions now provided by usb-common.h
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: update comments

2021-12-19  Jim Klimov <jim@jimklimov.com>

	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: make sure (missing)
	  methods from another API are defined in config.h (so "#if HAVE_..."
	  is valid and not guessed as 0)

2021-12-20  Jim Klimov <jim@jimklimov.com>

	* drivers/usb-common.h: drivers/usb-common.h: whitespace-separate
	  definitions of ERROR_ACCESS etc., nut_usb_strerror() and similar
	  macros

2021-12-21  Jim Klimov <jim@jimklimov.com>

	* drivers/usb-common.h: drivers/usb-common.h: include "common.h"

2021-12-16  Jim Klimov <jim@jimklimov.com>

	* drivers/usb-common.h: drivers/usb-common.h: define
	  PRI_NUT_USB_CTRL_CHARBUFSIZE, usb_ctrl_msgvalue and
	  usb_ctrl_strindex
	* drivers/usb-common.h: drivers/usb-common.h: clarify that libusb
	  timeouts are in milliseconds (with variouts int types per API
	  version)
	* drivers/usb-common.h: drivers/usb-common.h: update comment about
	  mapping from libusb-0.1 to libusb-1.0 API
	* drivers/nut_libusb.h: drivers/nut_libusb.h: comment the practical
	  mess around hid_rep_index
	* drivers/usb-common.h: drivers/usb-common.h: comment which API
	  version each endif is for
	* drivers/usb-common.h: drivers/usb-common.h: note the arg type for
	  libusb_strerror() in comments to our macro wrapper
	  nut_usb_strerror()
	* drivers/usb-common.h: drivers/usb-common.h: update heading comment
	  with references to different API docs
	* drivers/usb-common.h: drivers/usb-common.h: update heading comment
	  and (C) for libusb-1.0 related changes

2021-12-24  Jim Klimov <jim@jimklimov.com>

	* drivers/libshut.c: drivers/libshut.c: shut_control_msg(): data_size
	  is a "short int" (not size_t) in this branch

2021-12-15  Jim Klimov <jim@jimklimov.com>

	* drivers/libshut.c: drivers/libshut.c: shut_control_msg(): range-
	  check data_size before stuffing the number into a char
	* drivers/libshut.c: drivers/libshut.c: range-check and cast ints to
	  struct members and library args
	* drivers/libshut.c: drivers/libshut.c: braces fix
	* drivers/nut_libusb.h, drivers/usb-common.h: drivers/usb-common.h +
	  nut_libusb.h: typedef more usb_ctrl_* tokens to match libusb-0.1 vs
	  1.0 API

2021-12-20  Jim Klimov <jim@jimklimov.com>

	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: comment FIXME for
	  possible uses of usb_ctrl_* typedefs

2021-12-13  Jim Klimov <jim@jimklimov.com>

	* drivers/bcmxcp_usb.c, drivers/blazer_usb.c,
	  drivers/nutdrv_atcl_usb.c, drivers/nutdrv_qx.c,
	  drivers/richcomm_usb.c, drivers/riello_usb.c, drivers/usb-common.h:
	  USB: Rename typedef usb_ctrl_char to usb_ctrl_charbuf to avoid
	  confsion (it is a char* sibling, not plain char)
	* drivers/libshut.h, drivers/nut_libusb.h: drivers/nut_libusb.h,
	  libshut.h: whitespace fixes (align "version")

2021-12-10  Jim Klimov <jim@jimklimov.com>

	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: current use of
	  SHUT_MODE relies on defined/not-defined, not on value for plain #if
	  macro
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: adapt to usb-common.h and
	  (usb_ctrl_char) casting
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: adapt to usb-common.h
	  and (usb_ctrl_char) casting
	* drivers/nutdrv_atcl_usb.c: drivers/nutdrv_atcl_usb.c: adapt to usb-
	  common.h and (usb_ctrl_char) casting

2021-12-20  Jim Klimov <jim@jimklimov.com>

	* drivers/richcomm_usb.c: drivers/richcomm_usb.c: fix whitespace
	  (break long lines)
	* drivers/riello_usb.c: drivers/riello_usb.c: fix whitespace (break
	  long lines)

2021-12-10  Jim Klimov <jim@jimklimov.com>

	* drivers/riello_usb.c: drivers/riello_usb.c: adapt to usb-common.h
	  and (usb_ctrl_char) casting
	* drivers/riello.h: drivers/riello.h: do not define duplicate
	  USB_ENDPOINT_IN/USB_ENDPOINT_OUT
	* drivers/usb-common.h: drivers/usb-common.h: convert
	  usb_get_string{_simple}() from macro aliases to real mappings with
	  range-checks for libusb-1.0 API
	* drivers/usb-common.h: drivers/usb-common.h: mark "static inline"
	  functions with
	  HAVE_PRAGMA_GCC_DIAGNOSTIC_IGNORED_TYPE_LIMITS_BESIDEFUNC since not
	  all C files call them
	* drivers/bcmxcp_usb.c, drivers/blazer_usb.c, drivers/libhid.h,
	  drivers/nutdrv_atcl_usb.c, drivers/nutdrv_qx.c,
	  drivers/richcomm_usb.c, drivers/riello_usb.c,
	  drivers/tripplite_usb.c, drivers/usb-common.h: drivers/usb-
	  common.h: consolidate libusb-0.1 vs 1.0 data/func mappings from
	  *usb.c files
	* drivers/nut_libusb.h, drivers/usb-common.h: drivers/nut_libusb.h
	  already includes "usb-common.h" so no need to pull LibUSB headers
	  again
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: range-check and cast
	  args for usb_control_msg() => libusb_control_transfer() and
	  usb_interrupt_read() => libusb_interrupt_transfer() for libusb-1.0
	  support

2021-12-09  Jim Klimov <jim@jimklimov.com>

	* tools/nut-usbinfo.pl: tools/nut-usbinfo.pl: sanity check that
	  exactly one version of WITH_LIBUSB_x_y is set (defined and has
	  value 1)
	* drivers/usb-common.h: drivers/usb-common.h: sanity check that
	  exactly one version of WITH_LIBUSB_x_y is set (defined and has
	  value 1)
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: sanity check that
	  exactly one version of WITH_LIBUSB_x_y is set (defined and has
	  value 1)

2021-12-08  Jim Klimov <jim@jimklimov.com>

	* drivers/nut_libusb.h: drivers/nut_libusb.h: sanity check that
	  exactly one version of WITH_LIBUSB_x_y is set (defined and has
	  value 1)

2021-12-24  Jim Klimov <jim@jimklimov.com>

	* drivers/libusb1.c: drivers/libusb1.c:
	  HAVE_LIBUSB_DETACH_KERNEL_DRIVER needs "#ifdef" not "#if"

2021-12-08  Jim Klimov <jim@jimklimov.com>

	* drivers/bcmxcp_usb.c, drivers/blazer_usb.c, drivers/nut_libusb.h,
	  drivers/nutdrv_atcl_usb.c, drivers/nutdrv_qx.c,
	  drivers/richcomm_usb.c, drivers/riello_usb.c,
	  drivers/tripplite_usb.c, drivers/usb-common.h, tools/nut-
	  scanner/nutscan-init.c, tools/nut-scanner/scan_usb.c, tools/nut-
	  usbinfo.pl: Convert C code from "#ifdef WITH_LIBUSB_x_y" to "#if"
	  tests for defined value

2021-12-18  Dave Williams <dave@opensourcesolutions.co.uk>

	* drivers/apc-hid.c, drivers/arduino-hid.c, drivers/belkin-hid.c,
	  drivers/cps-hid.c, drivers/delta_ups-hid.c, drivers/explore-hid.c,
	  drivers/hidtypes.h, drivers/idowell-hid.c, drivers/liebert-hid.c,
	  drivers/mge-hid.c, drivers/openups-hid.c, drivers/powercom-hid.c,
	  drivers/powervar-hid.c, drivers/salicru-hid.c, drivers/tripplite-
	  hid.c, drivers/usbhid-ups.c, drivers/usbhid-ups.h: Fix #439
	  Incorrect Output Voltage on CPS*EFPCLCD

2021-12-08  Jim Klimov <jim@jimklimov.com>

	* drivers/Makefile.am: drivers/Makefile.am: define SHUT_MODE=1 (with
	  a value) so #if is predictable

2021-12-09  Jim Klimov <jim@jimklimov.com>

	* configure.ac, m4/nut_check_libusb.m4: configure.ac +
	  m4/nut_check_libusb.m4: rectify WITH_LIBUSB_x_y definitions

2021-12-08  Jim Klimov <jim@jimklimov.com>

	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: (hidden) debug
	  before AC_DEFINE
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: always AC_DEFINE
	  the WITH_LIBUSB_1_0 and WITH_LIBUSB_0_1 macros with a 0 or 1 value

2021-12-07  Jim Klimov <jim@jimklimov.com>

	* docs/configure.txt: configure.ac et al: drop the extra --with-
	  libusb-version and handle its goals via --with-usb=VERSION

2021-12-24  Jim Klimov <jim@jimklimov.com>

	* configure.ac, m4/nut_check_libusb.m4: m4/nut_check_libusb.m4 +
	  configure.ac: port newer solution for libusb version selection from
	  libusb-1.0 branch

2021-12-07  Jim Klimov <jim@jimklimov.com>

	* configure.ac: configure.ac: drop duplicate NUT_CHECK_LIBNETSNMP
	* configure.ac: configure.ac: regroup some NUT_ARG_WITH() closer to
	  their NUT_CHECK_*() so help for detailed options is near

2021-11-15  Jim Klimov <jim@jimklimov.com>

	* m4/nut_check_libusb.m4: Move "additional USB-related checks" from
	  configure.ac to m4/nut_check_libusb.m4

2021-12-08  Jim Klimov <jim@jimklimov.com>

	* drivers/Makefile.am: drivers/Makefile.am: define SHUT_MODE=1 (with
	  a value) so #if is predictable

2021-12-09  Jim Klimov <jim@jimklimov.com>

	* configure.ac, m4/nut_check_libusb.m4: configure.ac +
	  m4/nut_check_libusb.m4: rectify WITH_LIBUSB_x_y definitions

2021-12-08  Jim Klimov <jim@jimklimov.com>

	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: (hidden) debug
	  before AC_DEFINE
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: always AC_DEFINE
	  the WITH_LIBUSB_1_0 and WITH_LIBUSB_0_1 macros with a 0 or 1 value

2021-12-24  Dimitris Economou <dimitris.s.economou@gmail.com>

	* drivers/generic_modbus.c: fix in modbus response value check

2021-12-23  dtsecon <dimitris.s.economou@gmail.com>

	* drivers/generic_modbus.c, drivers/generic_modbus.h: handle broken
	  pine error in modbus TCP connections, configurable modbus response
	  timeouts between requests and frame bytes

2021-12-23  Jim Klimov <jimklimov+nut@gmail.com>

	* ci_build.sh: ci_build.sh: separate the "RES" vars used for
	  configure_nut() and default-all-errors processing (extend to
	  libusb-1.0* branches)
	* tests/getvaluetest.c: tests/getvaluetest.c: include "config.h"
	  first
	* tests/Makefile.am: tests/Makefile.am: only TEST getvaluetest "if
	  WITH_USB"
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: do not report
	  misleading "none (libusb-0.1-config)" as the detected libusb
	  version  Seems this confused not only human readers, but also the
	  verdict - whether we build WITH_USB
	* ci_build.sh: ci_build.sh: separate the "RES" vars used for
	  configure_nut() and default-all-errors processing (extend to
	  libusb-1.0* branches
	* tests/getvaluetest.c: tests/getvaluetest.c: include "config.h"
	  first
	* tests/Makefile.am: tests/Makefile.am: only TEST getvaluetest "if
	  WITH_USB"

2021-12-22  Jim Klimov <jim@jimklimov.com>

	* clients/upsclient.c: clients/upsclient.c: upscli_tryconnect(): in
	  logged messages, clarity "connect to NUT server %s"  Otherwise nut-
	  scanner output looks awkward when looking at large subnets with
	  many protocols (including "Old NUT")
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c:
	  convert logging in the main loop from a lot of fprintf() to
	  manageable upsdebugx()
	* tools/nut-scanner/scan_ipmi.c: tools/nut-scanner/scan_ipmi.c:
	  convert logging in the main loop from a lot of fprintf() to
	  manageable upsdebugx()
	* ci_build.sh: ci_build.sh: fix a typo, copypasted around
	* tests/Makefile.am: tests/Makefile.am: only build getvaluetest "if
	  WITH_USB"
	* drivers/blazer_usb.c: drivers/blazer_usb.c: forget
	  libusb_device_handle
	* drivers/libhid.h: drivers/libhid.h: forget libusb_device_handle

2021-12-19  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: allow to build custom
	  NUT_USB_VARIANTS=libusb-x.y (not plain "x.y")
	* ci_build.sh: ci_build.sh: allow to build custom NUT_USB_VARIANTS
	  and skip building a separate NUT_SSL_VARIANTS=auto

2021-12-22  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: fix a typo, copypasted around
	* tests/Makefile.am: tests/Makefile.am: only build getvaluetest "if
	  WITH_USB"
	* drivers/blazer_usb.c: drivers/blazer_usb.c: forget
	  libusb_device_handle
	* drivers/libhid.h: drivers/libhid.h: forget libusb_device_handle

2021-12-21  Jim Klimov <jim@jimklimov.com>

	* docs/nut.dict: docs/nut.dict: update for recent NEWS
	* NEWS: NEWS: prepare for nutdrv-qx legrand merge in 2.7.5 timeline
	* NEWS: NEWS: prepare for nutdrv-qx ablerex merge in 2.7.5 timeline
	* NEWS: NEWS: know about usbhid-ups Delta Minuteman support for NUT
	  v2.7.5
	* NEWS: NEWS: fix USB LogMin/LogMax mismatch reporting (just once!)
	  for NUT v2.7.5
	* NEWS: NEWS: add a little delay between multicommands [PR #1228] for
	  NUT v2.7.5
	* NEWS: NEWS: prepare for libusb-1.0 merge in 2.7.5 timeline

2021-05-25  Jim Klimov <jim@jimklimov.com>

	* NEWS: NEWS: added nutdrv_qx "phoenixtec" subdriver in NUT-2.7.5

2021-04-23  Jim Klimov <jim@jimklimov.com>

	* docs/nut.dict: docs/nut.dict + NEWS: fix both to pass spellcheck

2019-03-13  Arnaud Quette <arnaud.quette@free.fr>

	* docs/nut.dict: Update spelling dictionary

2021-12-19  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: allow to build custom
	  NUT_USB_VARIANTS=libusb-x.y (not plain "x.y")
	* ci_build.sh: ci_build.sh: allow to build custom NUT_USB_VARIANTS
	  and skip building a separate NUT_SSL_VARIANTS=auto
	* ci_build.sh: ci_build.sh: allow to build custom
	  NUT_USB_VARIANTS=libusb-x.y (not plain "x.y")
	* ci_build.sh: ci_build.sh: allow to build custom NUT_USB_VARIANTS
	  and skip building a separate NUT_SSL_VARIANTS=auto

2021-12-21  Jim Klimov <jimklimov@gmail.com>

	* drivers/legrand-hid.c: drivers/legrand-hid.c: fix type of
	  usb_device_id_t vendorID/productID to uint16_t  * *{usb,hid}.c:
	  sentinel in a table of uint16_t can not be -1

2021-12-21  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: separate the "RES" vars used for
	  configure_nut() and default-all-errors processing

2021-12-15  Jim Klimov <jim@jimklimov.com>

	* drivers/libshut.h: drivers/libshut.h: whitespace fixes (make func
	  ptrs more visible)

2021-12-13  Jim Klimov <jim@jimklimov.com>

	* drivers/libusb.h: drivers/libusb.h: whitespace fixes (make func
	  ptrs more visible)

2021-12-10  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: comment the rationale reminder for
	  "default-all-errors" mode
	* ci_build.sh: ci_build.sh: try more options for non-verbose MAKE
	  runs
	* conf/upsmon.conf.sample.in: conf/upsmon.conf.sample.in: update
	  suggestions and envvar list for NOTIFYCMD callouts
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: introduce
	  HAVE_PRAGMA_GCC_DIAGNOSTIC_IGNORED_UNUSED_FUNCTION

2021-12-19  Jim Klimov <jim@jimklimov.com>

	* drivers/hidparser.c, drivers/hidparser.h: drivers/hidparser.{c,h}:
	  fix ReportDescSize from int to size_t

2021-12-15  Jim Klimov <jim@jimklimov.com>

	* drivers/libhid.c, drivers/libhid.h: drivers/libhid.{c,h}:
	  HIDGetDataValue(), refresh_report_buffer(), get_item_buffered():
	  fix "age" from int to time_t, to match time() operations

2021-12-21  Jim Klimov <jim@jimklimov.com>

	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: date_conversion_fun():
	  hush a string overflow warning (overkill the buffer size a bit)

2021-12-15  Jim Klimov <jim@jimklimov.com>

	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: date_conversion_fun():
	  comment and cast numeric type conversions

2021-12-16  Jim Klimov <jim@jimklimov.com>

	* include/nut_stdint.h: include/nut_stdint.h: make sure we know
	  PRIsize and PRIssize

2021-12-21  Jim Klimov <jim@jimklimov.com>

	* docs/developers.txt, docs/nut.dict: docs/developers.txt: note that
	  we define "gcc-medium|gcc-hard" warnings without "pedantic" for
	  C89/C90/ANSI builds (flaws in OS headers are out of our control)
	* configure.ac: configure.ac: define "gcc-medium|gcc-hard" warnings
	  with "extra" always, but without "pedantic" for C89/C90/ANSI builds
	  (flaws in OS headers are out of our control)
	* tests/Makefile.am: tests/Makefile.am: consider LIBUSB_CFLAGS when
	  building parser test
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: separate (and
	  disable by default) ANSI C build scenarios, they are too noisy in
	  fightwarn for no real good
	* common/common.c: common/common.c: s_upsdebug*(): move fmt2[]
	  declarations to top from code
	* common/common.c: common/common.c: fix comments from // to /* */
	* drivers/hidparser.h: drivers/hidparser.h: include "config.h"
	* server/upsd.c: server/upsd.c: #include config.h first

2021-12-21  Jim Klimov <jimklimov@gmail.com>

	* drivers/nutdrv_qx.c: Update nutdrv_qx.c  Fix this on some of the CI
	  platforms:  ```` [2021-12-21T09:21:47.623Z] nutdrv_qx.c:1665:2:
	  error: initialization from incompatible pointer type [-Werror]
	  [2021-12-21T09:21:47.623Z]   { USB_DEVICE(0xffff, 0x0000), NULL,
	  NULL,   &ablerex_subdriver }, /* Ablerex 625L USB */
	  [2021-12-21T09:21:47.623Z]   ^ [2021-12-21T09:21:47.623Z]
	  nutdrv_qx.c:1665:2: error: (near initialization for
	  'qx_usb_id[1].fun') [-Werror] ````

2021-12-21  Jim Klimov <jim@jimklimov.com>

	* scripts/upower/95-upower-hid.rules: Update 95-upower-hid.rules  Add
	  VID/PID for Minuteman UPS
	* drivers/blazer_usb.c: drivers/blazer_usb.c: cast tmp as char*
	  Older compilers complain that we are:  passing argument 3 of
	  'usb_interrupt_read' from incompatible pointer type expected 'char
	  *' but argument is of type 'char (*)[512]'

2021-12-21  Jim Klimov <jimklimov@gmail.com>

	* docs/nut.dict: Update nut.dict  Update for PR #1135

2021-12-20  Jim Klimov <jimklimov@gmail.com>

	* drivers/nutdrv_qx.c: Update nutdrv_qx.c  Whitespace fix

2021-12-20  hunter86bg <hunter86_bg@yahoo.com>

	* data/driver.list.in: Add Powerwalker VFI 3000 TG Online UPS to
	  driver.list.in (#1224)

2021-12-20  Jim Klimov <jimklimov@gmail.com>

	* drivers/hidparser.c: Update hidparser.c  Fix whitespace in recent
	  changes for LogMin/LogMax rectification

2021-12-20  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/scan_usb.c: tools/nut-scanner/scan_usb.c: fix
	  whitespace (indentation etc)
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: fix whitespace (break
	  long lines)
	* drivers/riello_usb.c: drivers/riello_usb.c: fix whitespace (break
	  long lines)
	* drivers/richcomm_usb.c: drivers/richcomm_usb.c: fix whitespace
	  (break long lines)
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: fix whitespace (break
	  long lines)
	* drivers/blazer_usb.c: drivers/blazer_usb.c: fix whitespace (break
	  long lines)

2021-12-19  Scott Colby <scott@scolby.com>

	* drivers/usbhid-ups.c: Add a short sleep between fallback instcmds
	  in usbhid-ups.  For some devices, missing instcmds are emulated by
	  calling two instcmds that do exist in sequence. For some devices,
	  when these commands arrive too quickly, they are not properly
	  processed. (One, both, or neither of the commands are acted upon.)
	  Adding a 1/8th-second delay (125,000 microseconds) between the two
	  instcmds that make up the fallback command has worked to make the
	  TrippLite AVR750U (new version with the 3024 productId/protocol)
	  behave consistently when using the fallback commands
	  (shutdown.return and shutdown.stayoff). This delay is also short
	  enough that it seems unlikely to cause a problem for any devices
	  which don't exhibit this issue.

2021-12-16  Ablerexsoftware <Ablerex.software@ablerex.com.tw>

	* docs/acknowledgements.txt, docs/man/nutdrv_qx.txt, docs/nutdrv_qx-
	  subdrivers.txt, drivers/Makefile.am, drivers/nutdrv_qx.c: modify CI
	  warnings and Replace the new sub driver

2021-12-15  Nick Briggs <nicholas.h.briggs@gmail.com>

	* drivers/hidparser.c: Move check for LogMax encoding error to
	  parsing of report description  At least one UPS [APC Back-UPS
	  BX1600MI FW:294201G -302201G] is known to have encoding errors in
	  its USB HID report description such that a conforming
	  interpretation of the encoded LogicalMaximum value indicates that
	  it is -1 and the resulting LogicalMin..LogicalMax range is 0..-1.
	  The actual report values read are correctly encoded.  Rather than
	  log a range error each time a value is read we can detect the
	  encoding error when the report description is read (once, at
	  startup) and adjust for the encoding error at that time.

2021-12-09  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: Refactor `./ci_build.sh spellcheck` to be more useful
	* ci_build.sh: ci_build.sh: refactor
	  build_to_only_catch_errors_target() out of
	  build_to_only_catch_errors()
	* ci_build.sh, docs/developers.txt: ci_build.sh: introduce support
	  for CI_SHELL_IS_FLAKY=true
	* docs/developers.txt: docs/developers.txt: when introducing
	  ci_build.sh, mention that NUT CI farm tells how to reproduce builds

2021-12-08  Jim Klimov <jimklimov@gmail.com>

	* docs/man/nut-scanner.txt: Update nut-scanner.txt  Clarify SNMP
	  auth/priv proto support depends on Net-SNMP lib
	* docs/man/snmp-ups.txt: Update snmp-ups.txt  Clarify SNMP auth/priv
	  proto support depends on Net-SNMP lib

2021-12-08  Mauro Guerrera <mauroguerrera@eaton.com>

	* docs/man/snmp-ups.txt: Update snmp-ups docs
	* docs/man/nut-scanner.txt: Update docs to list new auth and privacy
	  encryption options

2021-12-07  Jim Klimov <jim@jimklimov.com>

	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: refactor shell
	  if/case to m4 (tracking down missed parentheses)
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: port more function
	  probes from libusb-1.0+0.1 branch
	* ci_build.sh, configure.ac, docs/configure.txt,
	  m4/nut_check_libusb.m4: configure.ac et al: drop the extra --with-
	  libusb-version and handle its goals via --with-usb=VERSION
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: port comments and
	  m4 markup from libusb-1.0+0.1 branch
	* configure.ac, m4/nut_check_libusb.m4: configure.ac: move remaining
	  libusb sanity checks into the m4/nut_check_libusb.m4 file
	* configure.ac: configure.ac: drop duplicate NUT_CHECK_LIBNETSNMP
	* configure.ac: configure.ac: regroup some NUT_ARG_WITH() closer to
	  their NUT_CHECK_*() so help for detailed options is near
	* drivers/libusb1.c: drivers/libusb1.c: nut_libusb_open(): range-
	  check and cast libusb_control_transfer() arg rdlen
	* drivers/libusb1.c: drivers/libusb1.c: nut_libusb_open(): range-
	  check and cast libusb_control_transfer() arg rdlen
	* Makefile.am: Makefile.am: do not let (parallel) "make maintainer-
	  clean" remove the files that cleanup recipe needs
	* ci_build.sh: Revert "ci_build.sh: fix bogus expression for
	  BUILDSTODO"  This reverts commit
	  e57eec425da5c2020656fd48ec3f8bb9bbf55c52 and adds comments and
	  handling why that weird construct was not bogus ;)
	* docs/ci-farm-lxc-setup.txt, docs/nut.dict: docs/ci-farm-lxc-
	  setup.txt: reword notes for default QEMU container memory settings
	* ci_build.sh: Add a shortcut hack to "./ci_build.sh spellcheck"
	  easily
	* common/Makefile.am: common/Makefile.am: some "make" implems dislike
	  DRY multi-entry definition of same target (common.c)
	* ci_build.sh: Add a shortcut hack to "./ci_build.sh spellcheck"
	  easily
	* drivers/snmp-ups.c, tools/nut-scanner/scan_snmp.c: drivers/snmp-
	  ups.c + tools/nut-scanner/scan_snmp.c: hide sanity checks before
	  generate_Ku() into pragmas to not warn about type-limits
	  ("comparison is always false due to limited range of data type" on
	  some architectures)
	* drivers/solis.c: drivers/solis.c: make sure nut_stdint.h is
	  included early and defines size_t

2021-12-06  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c, tools/nut-scanner/scan_snmp.c: drivers/snmp-
	  ups.c + tools/nut-scanner/scan_snmp.c: align (cast) arg type of
	  generate_Ku() with net-snmp headers, and document the inconsistency
	  of size_t vs u_int in the same API
	* drivers/snmp-ups.c: drivers/snmp-ups.c: align (cast) arg type of
	  malloc()/realloc()
	* drivers/snmp-ups.c: drivers/snmp-ups.c: align (cast) arg type of
	  snmp_errstring() vs response->errstat (int vs long), and document
	  the inconsistency with net-snmp headers
	* drivers/snmp-ups.c: drivers/snmp-ups.c: upsdrv_makevartable(): fix
	  maths with size_t vs int
	* drivers/tripplite_usb.c: drivers/tripplite_usb.c: setvar(): cast
	  placing of new_unit_id into wire protocol (FIXME? Does that code
	  assume CPU endianness?)
	* drivers/tripplite_usb.c: drivers/tripplite_usb.c:
	  upsdrv_initinfo(): fix receiver of strtol()
	* drivers/tripplite_usb.c: drivers/tripplite_usb.c: whitespace fixes
	* drivers/tripplite_usb.c: drivers/tripplite_usb.c: setvar(): fix
	  determination of outlet index number
	* drivers/tripplite_usb.c: drivers/tripplite_usb.c: debug_message():
	  fix len from int to size_t
	* drivers/tripplite_usb.c: drivers/tripplite_usb.c: soft_shutdown():
	  cast placing of offdelay into wire protocol (FIXME? Does that code
	  assume CPU endianness?)
	* drivers/tripplite_usb.c: drivers/tripplite_usb.c: fix reading and
	  printing of offdelay (unsigned int in this driver)
	* drivers/tripplite_usb.c: drivers/tripplite_usb.c: fix hex2d() to
	  long as a consumer of strtol()
	* drivers/tripplite_usb.c: drivers/tripplite_usb.c: fix toprint_str()
	  length to size_t and toprint(x) to char
	* drivers/netxml-ups.c: drivers/netxml-ups.c: fix type of "ret" for
	  ne_read_response_block() and ne_sock_read() to ssize_t (as in
	  libneon headers)
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: fix qx_command() to
	  return ssize_t like ser_send() at least
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: range-check and cast
	  "u_langid_fix" in upsdrv_initups()
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: range-check and cast
	  length of "cmdlen" in phoenixtec_command()
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: range-check and cast
	  bytes in phoenixtec_command()
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: range-check and cast
	  bytes in fuji_command()
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: range-check and cast
	  bytes in repetitive "Simple unicode -> ASCII inplace conversion"
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: range-check and cast int
	  vs size_t in subdriver handlers (buflen, ret, i++)
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: initialize ret=0 before
	  we potentially use it in loop i+=ret (should not happen in current
	  code, but...)
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: cast upsdebug_hex()
	  logging with non-size_t args
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: range-check and cast
	  receivers of strtol()
	* drivers/nutdrv_qx.c, drivers/nutdrv_qx.h: drivers/nutdrv_qx.{c,h}:
	  qx_process(), item_t.answer_len: fix lengths from int to size_t
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: qx_command(): indent
	  ifdefs for TESTING/QX_USB/QX_SERIAL for easier navigation
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: qx_command() complains
	  about unused parameters (not sure why); mark with
	  NUT_UNUSED_VARIABLE just in case
	* drivers/nutdrv_qx.c, drivers/nutdrv_qx.h: drivers/nutdrv_qx.{c,h}:
	  fix STATUS() macro, qx_status(), status_lkp_t.status_mask field and
	  ups_status var to all be "unsigned int"
	* drivers/nutdrv_qx_voltronic.c: drivers/nutdrv_qx_voltronic.c:
	  range-check and cast receivers of strtol(); wrap a few long lines
	* drivers/nutdrv_qx_mecer.c: drivers/nutdrv_qx_mecer.c: fix receivers
	  of strtol()
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  masterguard_test_battery(): fix receivers of strtol() - duration
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  masterguard_shutdown(): fix receivers of strtol() -
	  ondelay/offdelay
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  masterguard_new_slaveaddr(): range-check and cast
	  "masterguard_next_slaveaddr"
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  fix receivers of strtol()
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  masterguard_output_voltages(): fix type for sizeof() maths
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  masterguard_model(): fix type of min_bp/max_bp

2021-12-04  Jim Klimov <jim@jimklimov.com>

	* drivers/nutdrv_qx_blazer-common.c: drivers/nutdrv_qx_blazer-
	  common.c: fix and range-check receivers of strtol()
	* drivers/nutdrv_qx_bestups.c: drivers/nutdrv_qx_bestups.c: fix
	  receivers of strtol()
	* drivers/nutdrv_qx_voltronic-qs-hex.c: drivers/nutdrv_qx_voltronic-
	  qs-hex.c: fix receivers of strtol()
	* drivers/solis.c: drivers/solis.c: fix packet_size from int to
	  size_t
	* drivers/apcsmart.c: drivers/apcsmart.c: bit-wise &= ~() insists it
	  is for unsigned (int) types - vt->flags
	* drivers/apcsmart.c: drivers/apcsmart.c: bit-wise &= ~() insists it
	  is for unsigned (int) types - termios struct
	* drivers/apcsmart.c: drivers/apcsmart.c: sdcmd_CS: fix cshd from int
	  to useconds_t
	* drivers/apcsmart.c: drivers/apcsmart.c: whitespace fix
	* drivers/apcsmart.c: drivers/apcsmart.c: apc_getcaps(): fix i,
	  nument, entlen from int to size_t
	* drivers/apcsmart.c: drivers/apcsmart.c: cast prtchr() args from
	  (unsigned char) to (char)
	* drivers/apcsmart.c: drivers/apcsmart.c: fix receivers of strtol()
	* drivers/apcsmart.c: drivers/apcsmart.c: cast
	  apc_read*()/apc_write*() from ((const) char) to (const unsigned
	  char)
	* drivers/apcsmart.c: drivers/apcsmart.c: fix receivers of strlen()
	  from int to ssize_t
	* drivers/apcsmart.c, drivers/apcsmart.h: drivers/apcsmart.{c,h}: fix
	  ups_status and APC_STAT_* from int to long (to match strtol() used)
	* drivers/apcsmart.c: drivers/apcsmart.c: fix receivers of strlen()
	  from int to ssize_t
	* drivers/apcsmart.c: drivers/apcsmart.c: fix
	  apc_read*()/apc_write*() from int to ssize_t to match select_read()
	  et al
	* drivers/apcsmart.c: drivers/apcsmart.c: include main.h => config.h
	  first
	* drivers/apcsmart.c: drivers/apcsmart.c: convert_data(): fix
	  receivers of strtol()
	* drivers/apcsmart-old.c, drivers/apcsmart-old.h: drivers/apcsmart-
	  old.c: fix const/unsigned/char usages
	* drivers/apcsmart-old.c: drivers/apcsmart-old.c: do_capabilities():
	  fix i, nument, entlen from int to size_t
	* drivers/apcsmart-old.c, drivers/apcsmart-old.h: drivers/apcsmart-
	  old.c: fix receivers of strtol()
	* drivers/solis.h: drivers/solis.h: fix packet_size from into to
	  size_t
	* drivers/apcsmart-old.c: drivers/apcsmart-old.c: fix handling of
	  ser_*() retval from int to ssize_t
	* drivers/clone.c: drivers/clone.c: fix ondelay/offdelay handling
	  from int to long (to match strtol() used)
	* drivers/clone-outlet.c: drivers/clone-outlet.c: fix handling of
	  read()/write() retval from int to ssize_t
	* drivers/clone.c: drivers/clone.c: fix handling of read()/write()
	  retval from int to ssize_t
	* drivers/blazer.h, drivers/blazer_ser.c, drivers/blazer_usb.c:
	  drivers/blazer.h + blazer_{ser,usb}.c: blazer_command(): fix
	  handling of ser_get_buf() retval from int to ssize_t
	* drivers/blazer.c: drivers/blazer.c: fix ondelay/offdelay handling
	  from int to long (to match strtol() used)
	* drivers/blazer.c: drivers/blazer.c: fix receivers of strtol() -
	  delay tmp var
	* drivers/powerp-txt.c: drivers/powerp-txt.c: fix ondelay/offdelay
	  handling from int to long (to match strtol() used)
	* drivers/victronups.c: drivers/victronups.c: fix receivers of
	  strtol()
	* drivers/victronups.c: drivers/victronups.c: fix handling of
	  ser_get_line() retval from int to ssize_t
	* drivers/tripplite.c: drivers/tripplite.c: fix receivers of strtol()
	  => hex2d()
	* drivers/tripplite.c: drivers/tripplite.c: fix handling of
	  ser_get_char() retval from int to ssize_t
	* drivers/solis.c, drivers/solis.h: drivers/solis.{c,h}: fix
	  comm_receive() from int to size_t, and match ser_get_buf_len() len-
	  or-error returns
	* drivers/solis.c, drivers/solis.h: drivers/solis.{c,h}: fix byte-
	  sized maths of str2bin() and day counts to uint8_t
	* drivers/solis.c: drivers/solis.c: include main.h => config.h first
	* drivers/solis.c, drivers/solis.h: drivers/solis.c:
	  save_ups_config(): fix casting of ConfigPack[] entries to (unsigned
	  char) from original types
	* drivers/nutdrv_siemens_sitop.c: drivers/nutdrv_siemens_sitop.c: fix
	  handling of ser_get_line() retval from int to ssize_t
	* drivers/safenet.c: drivers/safenet.c: fix ondelay/offdelay handling
	  from int to long (to match strtol() used)
	* drivers/safenet.c: drivers/safenet.c: fix array loop iterator from
	  int to size_t
	* drivers/safenet.c: drivers/safenet.c: fix handling of
	  ser_get_line() retval from int to ssize_t
	* drivers/rhino.c: drivers/rhino.c: fix handling of ser_get_line()
	  retval from int to ssize_t
	* drivers/powercom.h: drivers/powercom.h: fix whitespace
	  (indentations)
	* drivers/powercom.c: drivers/powercom.c: fix array loop iterator
	  from int to size_t
	* drivers/powercom.c: drivers/powercom.c: fix handling of
	  ser_get_line() retval from int to ssize_t
	* drivers/optiups.c: drivers/optiups.c: a few whitespace nits
	* drivers/optiups.c: drivers/optiups.c: fix OPTISBIT_* handling from
	  int to long (to match strtol() used)
	* drivers/optiups.c: drivers/optiups.c: fix optifill() len from int
	  to size_t
	* drivers/optiups.c: drivers/optiups.c: fix handling of
	  ser_get_line() retval from int to ssize_t
	* drivers/oneac.c: drivers/oneac.c: fix handling of ser_get_line()
	  retval from int to ssize_t
	* scripts/subdriver/gen-usbhid-subdriver.sh: scripts/subdriver/gen-
	  usbhid-subdriver.sh: update generated C heading comment with "TODO"
	  and update generated code whitespace markup
	* drivers/arduino-hid.c, drivers/salicru-hid.c: drivers/usb-
	  common.{c,h} drivers/*{usb,hid}.c: fix type of usb_device_id_t
	  vendorID/productID to uint16_t  Catch up to earlier change for
	  recently merged USB HID drivers; specifically * *{usb,hid}.c:
	  sentinel in a table of uint16_t can not be -1 for: *
	  drivers/salicru-hid.c * drivers/arduino-hid.c *
	  scripts/subdriver/gen-usbhid-subdriver.sh creating the boilerplates

2021-12-03  Jim Klimov <jim@jimklimov.com>

	* drivers/microsol-common.c: drivers/microsol-common.c: fix
	  setup_poweroff_schedule() vars from int to bool_t to match
	  set_schedule_time()
	* drivers/microsol-common.c: drivers/microsol-common.c: fix
	  get_base_info(), get_updated_info() buf sizes from unsigned int to
	  ssize_t (to match ser_get_buf_len() len-or-error returns)
	* drivers/microsol-common.c: drivers/microsol-common.c: fix
	  comm_receive() from int to size_t
	* drivers/microsol-common.c: drivers/microsol-common.c:
	  save_ups_config(): fix casting of configuration_packet[] entries to
	  (unsigned char) from original types
	* drivers/microsol-common.c: drivers/microsol-common.c: fix byte-
	  sized maths of bitstring_to_binary() and day counts to uint8_t

2021-12-06  Jim Klimov <jim@jimklimov.com>

	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c: instcmd():
	  range-check and cast for ups2000_write_register() and
	  handler_func()
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c:
	  ups2000_update_alarm(): range-check and cast all_alarms_len from
	  snprintf() retval
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c:
	  ups2000_update_info(): pragma disable warnings for non-fixed format
	  string
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c:
	  ups2000_update_info(): cast uint32_t for reg-idx
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c:
	  ups2000_read_serial(): range-check and cast ssize_t vs size_t
	  increments
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c:
	  ups2000_update_info(): cast uint8_t calculations of reg_id parts
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c:
	  ups2000_device_identification(): cast uint32_t calculations of
	  ups2000_ident
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c:
	  ups2000_device_identification(): range-check and cast crc16
	  calculations
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c:
	  ups2000_write_registers(), ups2000_read_registers(),
	  ups2000_device_identification(): initialize variables that clang-9
	  is not sure about  Seems like a clang analyzer bug frankly: code
	  starts with a retrying loop that would initialize these variables.
	  But still, adding determinism into code never hurts ;)
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c: crc16(): fix
	  casting to uint16_t when bit-shifting
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c: ups2000_alarm[]
	  sentinel: fix uint16_t reg from -1 to 0
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c:
	  ups2000_device_identification(): fix r from int to size_t, to match
	  ser_send_buf()
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c: fix
	  ups2000_read_serial() from int to size_t, to match ser_get_buf()
	* drivers/huawei-ups2000.c: drivers/huawei-ups2000.c: mark local
	  variables static

2021-12-03  Jim Klimov <jim@jimklimov.com>

	* drivers/microsol-common.c: drivers/microsol-common.c: fix (and
	  range-check) casting for memcpy
	* drivers/microsol-common.c: drivers/microsol-common.c: wrap some
	  long comments
	* drivers/microsol-common.c: drivers/microsol-common.c: include
	  main.h => config.h first
	* common/Makefile.am: common/Makefile.am: limit the use of common.c
	  symlinking from srcdir to builddir only to cases when not
	  BUILDING_IN_TREE
	* tools/nut-scanner/nutscan-init.c: tools/nut-scanner/nutscan-init.c:
	  comment that semaphore gets re-initialized by nut-scanner.c program
	  and why
	* tools/nut-scanner/nut-scan.h, tools/nut-scanner/nutscan-init.c:
	  tools/nut-scanner/nutscan-init.c + nut-scan.h: hide "semaphore"
	  library variable
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  #include "config.h" first
	* tools/nut-scanner/nut-scan.h, tools/nut-scanner/nut-scanner.c,
	  tools/nut-scanner/nutscan-init.c, tools/nut-scanner/scan_nut.c,
	  tools/nut-scanner/scan_snmp.c, tools/nut-scanner/scan_xml_http.c:
	  tools/nut-scanner/*.c: fix use of size_t max_threads(_scantype) vs
	  (unsigned int) in sem_init() args
	* tools/nut-scanner/nut-scan.h: tools/nut-scanner/nut-scan.h: fix
	  declaration of nutscan_semaphore(void)
	* drivers/snmp-ups.c, m4/nut_check_libnetsnmp.m4, tools/nut-
	  scanner/nut-scanner.c, tools/nut-scanner/scan_snmp.c:
	  nut_check_libnetsnmp.m4, nut-scanner.c, scan_snmp.c, snmp-ups.c:
	  transition from NETSNMP_DRAFT_BLUMENTHAL_AES_04 (that may be not-
	  defined so #if is invalid) to
	  NUT_HAVE_LIBNETSNMP_DRAFT_BLUMENTHAL_AES_04
	* ci_build.sh: ci_build.sh: in default-all-errors mode, avoid last-
	  loop cleanup if DO_CLEAN_CHECK==no
	* ci_build.sh: ci_build.sh: fix bogus expression for BUILDSTODO
	* ci_build.sh: ci_build.sh: only score *_clean_check as SUCCEEDED if
	  they were not skipped, and report a bit more

2021-11-30  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: load_mib2nut(): import
	  tracing messages and points from 42ITy/DMF fork
	* drivers/snmp-ups.c: drivers/snmp-ups.c: load_mib2nut(): clarify the
	  "trying the new match_sysoid() method" message
	* drivers/snmp-ups.c: drivers/snmp-ups.c: load_mib2nut(): fix
	  upsdebugx() levels verbosity to make more sense
	* drivers/snmp-ups.c: drivers/snmp-ups.c: load_mib2nut(): reformat
	  some debugs, use __func__
	* drivers/snmp-ups.c: drivers/snmp-ups.c: load_mib2nut(): report
	  device name (section) and host/IP in progress and errors

2021-11-28  Jim Klimov <jimklimov+nut@gmail.com>

	* m4/nut_check_libpowerman.m4: m4/nut_check_libpowerman.m4: if
	  (lib)powerman.pc is missing, but header is present, check
	  -lpowerman directly
	* m4/nut_check_libpowerman.m4: m4/nut_check_libpowerman.m4: they
	  deliver an empty version string, so we should not error out on that

2021-11-27  Jim Klimov <jimklimov+nut@gmail.com>

	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: if libusb-config
	  and libusb.pc are missing, but header is present, check -lusb
	  directly
	* m4/nut_check_libnetsnmp.m4: m4/nut_check_libnetsnmp.m4: detect
	  NET_SNMP_CONFIG with AC_PATH_PROGS and/or configure option (and
	  handle if it is missing)
	* docs/configure.txt: docs/configure.txt: document --with-net-snmp-
	  config configure option better
	* docs/configure.txt: docs/configure.txt: rephrase comments about
	  --with-*-libs and --with-*-include
	* docs/configure.txt, m4/nut_check_pkgconfig.m4:
	  m4/nut_check_pkgconfig.m4 + docs/configure.txt: detect
	  (dummy_)PKG_CONFIG with AC_PATH_PROGS and/or configure option (and
	  handle if it is missing)
	* m4/nut_check_libgd.m4: m4/nut_check_libgd.m4: initialize empty
	  CFLAGS LIBS LDFLAGS
	* m4/nut_check_libgd.m4: m4/nut_check_libgd.m4: detect GDLIB_CONFIG
	  with AC_PATH_PROGS and/or configure option (and handle if it is
	  missing)
	* docs/configure.txt, m4/nut_check_libusb.m4: m4/nut_check_libusb.m4
	  + docs/configure.txt: detect LIBUSB_CONFIG with AC_PATH_PROGS
	  and/or configure option (and handle if it is missing)
	* m4/nut_check_libpowerman.m4: m4/nut_check_libpowerman.m4: consider
	  have_PKG_CONFIG
	* m4/nut_check_libwrap.m4: *.m4: AC_LANG_PUSH before AC_LINK_IFELSE
	  and similar tests

2021-11-27  Jim Klimov <jim@jimklimov.com>

	* m4/ax_c___attribute__.m4, m4/nut_check_headers_windows.m4,
	  m4/nut_check_libnetsnmp.m4, m4/nut_func_getnameinfo_argtypes.m4,
	  m4/nut_type_socklen_t.m4: *.m4: AC_LANG_PUSH before
	  AC_COMPILE_IFELSE and similar tests
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: try to report
	  toStringStageCountDump() in ircNotify()
	* configure.ac: configure.ac: AC_LANG_PUSH before AC_COMPILE_IFELSE
	  and similar tests
	* clients/upsclient.c, clients/upslog.c, clients/upsmon.c,
	  clients/upsrw.c, clients/upssched.c, clients/upsset.c,
	  common/state.c, common/upsconf.c, docs/developers.txt,
	  docs/nut.dict, drivers/apcsmart-old.c, drivers/apcsmart.c,
	  drivers/apcupsd-ups.c, drivers/belkin.c, drivers/belkinunv.c,
	  drivers/bestups.c, drivers/clone-outlet.c, drivers/clone.c,
	  drivers/dstate.c, drivers/gamatronic.c, drivers/huawei-ups2000.c,
	  drivers/main.c, drivers/masterguard.c, drivers/mge-utalk.c,
	  drivers/mge-xml.c, drivers/nutdrv_qx.c,
	  drivers/nutdrv_qx_bestups.c, drivers/nutdrv_qx_blazer-common.c,
	  drivers/nutdrv_qx_voltronic-qs-hex.c, drivers/nutdrv_qx_voltronic-
	  qs.c, drivers/nutdrv_qx_voltronic.c, drivers/oneac.c,
	  drivers/powercom.c, drivers/powerman-pdu.c, drivers/powerp-txt.c,
	  drivers/snmp-ups.c, drivers/tripplite_usb.c, drivers/upscode2.c,
	  drivers/victronups.c, server/conf.c, server/netget.c,
	  server/netlist.c, server/netset.c, server/user.c,
	  tests/cpputest.cpp, tools/nut-scanner/nut-scanner.c, tools/nut-
	  scanner/scan_snmp.c: Replace strcmp() and strcasecmp() use-cases
	  for short fixed string args by strncmp() and strncasecmp()
	  respectively  Some compilers on some OSes complain due to implem
	  nuances. Updated docs/developers.txt to make note for posterity.
	* drivers/microdowell.c: drivers/microdowell.c: some more pragmatic
	  ignorance for CLAMP() macro uses (older clang-3.4 et al)

2021-11-22  Yifeng Li <tomli@tomli.me>

	* drivers/huawei-ups2000.c: huawei-ups2000.c: rework logic for
	  "load.on".  Currently the driver prevents the user from executing
	  "load.on" when the UPS is already on, and reports a
	  STAT_INSTCMD_FAILED with error logs. We need to do this if the UPS
	  is in bypass mode, because the UPS would otherwise enter normal
	  mode - "load.on" is not supposed to do that. On the other hand,
	  executing "load.on" when the UPS is already in "normal-mode on" has
	  no effect, it's still a legal command and should not be rejected
	  arbitrarily, which can potentially confuse downstream applications
	  and users.  It also contains two misleading typos in the error
	  logs: (1) it incorrectly suggests "bypass.off" instead of
	  "bypass.stop", and (2) reports "failed: reason unknown." when the
	  reason is simply an already-on UPS.  This commit allows "load.on"
	  to execute when it's in normal mode and already on, and changes the
	  log messages from errors to warnings. Typos in the log messages are
	  also fixed. The "load.on" command is only rejected in bypass mode,
	  with error logs.  Finally, the logic for the off test is reworked
	  to improve readability. The original code checks whether the UPS is
	  on by testing the negative "not OFF" condition, which is not easy
	  to understand - the reader must have intimate knowledge on the code
	  to know its correctness. Namely, When the UPS power status is
	  updated, 1 of the 5 mutually exclusive flags, OL, OB, OL ECO,
	  BYPASS, or OFF is always set, thus the absence of the OFF flag
	  always reliably indicates an ON status. This commits converts the
	  single negative "not OFF" test to three positive tests for "OL",
	  "OB" and "OFF", with additional comments added on reachable and
	  unreachable conditions. Thus, previous uncertainty is eliminated.

2021-11-26  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/scan_xml_http.c: tools/nut-
	  scanner/scan_xml_http.c: fix dummy nutscan_scan_xml_http_range()
	  (WITHOUT_NEON) arg type for useconds_t usec_timeout
	* drivers/libhid.c: drivers/libhid.c: fix debug-printing of byte-
	  counts as size_t
	* drivers/microdowell.c: drivers/microdowell.c: some more pragmatic
	  ignorance for CLAMP() macro uses
	* tools/nut-scanner/scan_nut.c: tools/nut-scanner/scan_nut.c:
	  whitespace fix
	* tools/nut-scanner/scan_eaton_serial.c, tools/nut-
	  scanner/scan_nut.c, tools/nut-scanner/scan_snmp.c, tools/nut-
	  scanner/scan_xml_http.c: tools/nut-scanner/scan_*.c: fix debug-
	  printing of thread accounting as size_t

2021-10-26  Jim Klimov <jim@jimklimov.com>

	* drivers/hidparser.c: drivers/hidparser.c: Parse_ReportDesc(): fix
	  "max" to size_t and "id" to uint8_t, to match struct fields
	* drivers/blazer_usb.c: drivers/blazer_usb.c: fix cast of range-
	  checked u_langid_fix
	* drivers/blazer_usb.c: drivers/blazer_usb.c: fix cast of return
	  types to size_t vs int
	* drivers/libhid.c: drivers/libhid.c: string_to_path(): range-check
	  and cast converted values for path->Node[]
	* drivers/libhid.c: drivers/libhid.c: hid_lookup_usage(): fix cast of
	  usage_code for printing and returning
	* drivers/libhid.c: drivers/libhid.c: string_to_path(): check for
	  type overflow, and cast
	* drivers/libhid.c: drivers/libhid.c: fix types for iterating vs
	  rbuflen from int to size_t
	* drivers/libhid.c, drivers/libhid.h: drivers/libhid.{c,h}: fix
	  interrupt_size from int to size_t
	* drivers/libhid.c: drivers/libhid.c: fix types for iterating vs
	  rbuflen from int to size_t
	* drivers/libhid.c, drivers/libhid.h: drivers/libhid.{c,h}: fix
	  max_report_size from int to size_t
	* drivers/libhid.c: drivers/libhid.c: file_report_buffer(): fix
	  buflen from int to size_t
	* drivers/hidtypes.h: drivers/hidtypes.h: change HIDDesc_t.replen[]
	  from (array of) int to size_t
	* drivers/nutdrv_qx_bestups.c: drivers/nutdrv_qx_bestups.c: cast for
	  bit math for qx_status() result
	* drivers/nutdrv_qx_voltronic.c: drivers/nutdrv_qx_voltronic.c: cast
	  for bit math for qx_status() result, and line-wrap a long message
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: cast arg for
	  upsdebug_hex() to size_t
	* drivers/nutdrv_qx_voltronic-qs-hex.c: drivers/nutdrv_qx_voltronic-
	  qs-hex.c: cast arg for upsdebug_hex() to size_t
	* drivers/libusb.c: drivers/libusb.c: libusb_open(): cast rdlen to
	  unsigned to match usb_control_msg() where it is safe to do so
	* drivers/libhid.h: drivers/libusb.h: change reportbuf_t.len[] from
	  (array of) int to size_t
	* drivers/hidparser.c, drivers/hidtypes.h: drivers/hidtypes.h +
	  hidparser.c: change HIDDesc_t.nitems from int to size_t
	* drivers/hidparser.c: drivers/hidparser.c: cast int types to
	  explicit conversions where safe

2021-10-04  Jim Klimov <jim@jimklimov.com>

	* drivers/apcupsd-ups.c: drivers/apcupsd-ups.c: process(): fix int
	  types
	* drivers/apcupsd-ups.c: drivers/apcupsd-ups.c: upsdrv_initups(): fix
	  type of port
	* drivers/nutdrv_qx.h: drivers/nutdrv_qx.h: define QX_FLAG_* macros
	  as typed numbers (UL) to match item_t->qxflags
	* drivers/powercom-hid.c: drivers/powercom-hid.c: range-check and
	  cast uint16_t values for ups delays
	* drivers/nutdrv_atcl_usb.c: drivers/nutdrv_atcl_usb.c: align return
	  type of usb_interrupt_read() and our upsdebug_hex() args
	* drivers/upscode2.c: drivers/upscode2.c: align types of two statuses
	* drivers/upscode2.c: drivers/upscode2.c: fix useconds_t
	  output_pace_usec
	* drivers/upscode2.c: drivers/upscode2.c: fix speed_t baud var
	* drivers/upscode2.c: drivers/upscode2.c: fix ssize_t ret for ser*()
	  routines
	* drivers/powerp-txt.c: drivers/powerp-txt.c: fix ssize_t ret for
	  ser*() routines
	* drivers/powerp-bin.c: drivers/powerp-bin.c: fix ssize_t ret for
	  ser*() routines, and cmd len
	* drivers/powerpanel.h: drivers/powerpanel.h: adjust powerpanel
	  subdriver_t funcptr type for initups()
	* drivers/ivtscd.c: drivers/ivtscd.c: fix ssize_t for ivt_status()
	  and ser_*() involved
	* drivers/riello_ser.c: drivers/riello_ser.c: riello_instcmd(): fix
	  int type of delay vs atoi()
	* drivers/riello_ser.c: drivers/riello_ser.c: fix ssize_t ret for
	  read() routines
	* drivers/riello_usb.c: drivers/riello_usb.c: ussleep(): fix
	  useconds_t type
	* drivers/riello_usb.c: drivers/riello_usb.c: riello_instcmd(): fix
	  int type of delay vs atoi()
	* drivers/riello_usb.c: drivers/riello_usb.c: Get_USB_Packet(): fix
	  int type of size
	* drivers/riello.c: drivers/riello.c: riello_parse_rc(): cast uint8_t
	  into char
	* drivers/riello.c: drivers/riello.c: riello_prepare*(): cast
	  delay%256 into uint8_t
	* drivers/riello.c: drivers/riello.c: riello_parse_sentr(): cast pom
	  maths into uint16_t explicitly... range-check missing though
	* drivers/riello.c: drivers/riello.c: riello_parse_sentr(): cast
	  uint8_t => char to construct Version byte by byte
	* drivers/riello.c: drivers/riello.c: riello_parse_gn(): range-check
	  and cast the NomPowerKVA / NomPowerKW
	* drivers/riello.c: drivers/riello.c: riello_calc_CRC(): clarify and
	  cast the bitness magic as needed
	* drivers/powercom.c: drivers/powercom.c: fix int type of model vars
	  to match OPTImodels/BNTmodels/KINmodels/IMPmodels arrays
	* drivers/powercom.c: drivers/powercom.c: avoid casting via wrong int
	  type for termios fields
	* drivers/powercom.c, drivers/powercom.h: drivers/powercom.{c,h}:
	  align int size for delay (min, sec) and ser_send_char() sending a
	  char
	* drivers/tripplite.c: drivers/tripplite.c: fix casting of unsigned
	  delays from atoi()
	* drivers/tripplite.c: drivers/tripplite.c: fix casting of ints in
	  send_cmd()
	* drivers/tripplitesu.c: drivers/tripplitesu.c: fix casting of ints
	  into unsigned min/max high/low transfer values
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  hide warnings for intentional variable format string use
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  avoid a few potential uninitialized uses
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  fix a case of shadowed vars in a clause
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  declare local vars and funcs as static
	* drivers/netxml-ups.c: drivers/netxml-ups.c: fix casting ssize_t
	  value up to size_t for ne_buffer_append() args
	* drivers/netxml-ups.c: drivers/netxml-ups.c: fix int type of port
	  for ne_sock_connect() args

2021-09-28  Jim Klimov <jim@jimklimov.com>

	* drivers/microdowell.c: drivers/microdowell.c: shuffle include-file
	  order
	* drivers/microdowell.c: drivers/microdowell.c: instcmd(): casting
	  and (pragma-hushed) range checks for "delay"
	* drivers/solis.c: drivers/solis.c: convert_days(): limit the range
	  for safe casting to size_t for memcpy()
	* drivers/rhino.c: drivers/rhino.c: align int types in send_command()
	* drivers/microsol-common.c, drivers/microsol-common.h:
	  drivers/microsol-common.{c,h}: mark local variables as static;
	  expose a few reasonable ones as extern
	* drivers/microdowell.c, drivers/microdowell.h:
	  drivers/microdowell.{c,h}: fix size_t lengths and uint16_t/uint32_t
	  status bitmasks
	* drivers/phoenixcontact_modbus.c: drivers/phoenixcontact_modbus.c:
	  declare upsdrv_shutdown() as noreturn
	* drivers/phoenixcontact_modbus.c: drivers/phoenixcontact_modbus.c:
	  declare file-local variables static
	* drivers/hidparser.c: drivers/hidparser.c: avoid shadowed local
	  variables in HIDParse()
	* drivers/hidparser.c: drivers/hidparser.c: fix Value cast in
	  FormatValue()
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: fix status_mask to
	  unsigned int for STATUS() and bitmask maths
	* drivers/usbhid-ups.c: drivers/usbhid-ups.c: fix parsing of
	  interrupt_size from args, and error out on invalid inputs
	* drivers/nutdrv_siemens_sitop.c: drivers/nutdrv_siemens_sitop.c: fix
	  counters to unsigned int
	* drivers/mge-hid.c, drivers/usbhid-ups.c, drivers/usbhid-ups.h:
	  drivers/usbhid-ups.{c,h} + mge-hid.c: fix ups_status from int to
	  "unsigned" to match the STATUS() macro and bitmask maths
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c: fix
	  type for snmp_sess.timeout assignment
	* drivers/microsol-apc.h: drivers/microsol-apc.h: align type of
	  NOMINAL_POWER[] to int, like nominal_power var in microsol-common.h
	* drivers/oneac.c: drivers/oneac.c: fix buf sizes to size_t
	* drivers/main.c, drivers/main.h, drivers/mge-utalk.c,
	  drivers/nutdrv_siemens_sitop.c, drivers/usbhid-ups.c:
	  drivers/main.{c,h} et al: fix poll_interval to be time_t like the
	  time() it has maths with
	* drivers/main.c: drivers/main.c: allow only positive pollinterval
	  settings (avoid DoS by crazy loop)
	* drivers/main.c: drivers/main.c: report and fail with invalid
	  pollinterval settings
	* drivers/serial.c: drivers/serial.c: after some investigation of
	  standards, we may cast useconds_t=>suseconds_t
	* server/netset.c: server/netset.c: log tracking_disable() result to
	  find a use for it (warning fix)
	* drivers/richcomm_usb.c: drivers/richcomm_usb.c:
	  execute_and_retrieve_query(): fix int casting and add diags pragmas
	  for range checks
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: get_answer(): fix int
	  casting for tail; fix redundant comparison
	* drivers/bestfortress.c: drivers/bestfortress.c: simplify
	  usleep(d_usec) to no casting
	* drivers/belkin.c: drivers/belkin.c: comment why casting usleep(cnt)
	  is okay

2021-09-27  Jim Klimov <jim@jimklimov.com>

	* clients/upsclient.c, common/common.c, docs/new-drivers.txt,
	  drivers/serial.c, drivers/serial.h, include/common.h:
	  include/common.h, drivers/serial.{c,h}, docs/new-drivers.txt,
	  common/common.c, clients/upsclient.c: fix d_sec long => time_t to
	  match timeval struct fields
	* clients/upsclient.c, common/common.c, include/common.h:
	  include/common.h, common/common.c, clients/upsclient.c: fix
	  select_read()/select_write(): long d_usec => suseconds_t
	* docs/nut.dict: docs/nut.dict: update for new-drivers.txt revision
	* docs/new-drivers.txt: docs/new-drivers.txt: align USB-common
	  structure and method signature descriptions with current
	  drivers/*usb*.h
	* docs/man/upscli_readline.txt, docs/man/upscli_sendline.txt:
	  docs/man/upscli_readline.txt + upscli_sendline.txt: update method
	  arguments to match code (timeout unsigned int => const long)
	* docs/man/upscli_list_next.txt, docs/man/upscli_list_start.txt:
	  docs/man/upscli_list_start.txt + upscli_list_next.txt: update
	  method arguments to match code (numa/numq unsigned int => size_t)

2021-09-26  Jim Klimov <jim@jimklimov.com>

	* drivers/upsdrvctl.c: drivers/upsdrvctl.c: fix data types for
	  alarm() and sleep()
	* drivers/mge-utalk.c: drivers/mge-utalk.c: fix int casting to
	  snprintf() (size_t/ssize_t)
	* drivers/mge-utalk.c: drivers/mge-utalk.c: fix int casting to
	  ser_get*()/ser_send_*() (size_t/ssize_t)
	* drivers/metasys.c: drivers/metasys.c: fix int casting to
	  ser_get*()/ser_send_*() (size_t/ssize_t)
	* drivers/liebert-esp2.c: drivers/liebert-esp2.c: fix int casting to
	  ser_get*() (size_t/ssize_t)
	* drivers/gamatronic.c: drivers/gamatronic.c: fix int casting to
	  ser_get*() (size_t/ssize_t) and unify naming of msg(_)len
	* drivers/bestups.c: drivers/bestups.c: fix int casting to ser_get*()
	  (size_t/ssize_t)
	* drivers/bestuferrups.c: drivers/bestuferrups.c: fix int casting to
	  ser_get*() (size_t/ssize_t)
	* drivers/bestfortress.c: drivers/bestfortress.c: fix int casting to
	  ser_get*() (size_t/ssize_t)
	* drivers/bestfcom.c: drivers/bestfcom.c: fix int casting to
	  ser_get*() (size_t/ssize_t)
	* drivers/belkinunv.c: drivers/belkinunv.c: fix int casting to
	  ser_get*(), read() and write() (size_t/ssize_t)
	* drivers/belkin.c: drivers/belkin.c: fix int casting to ser_get*()
	  (size_t/ssize_t)
	* drivers/al175.c: drivers/al175.c: fix raw_data_t::buf_size and
	  io_head_t::addr,len to size_t
	* drivers/al175.c: drivers/al175.c: fix int casting to ser_get*()
	  (size_t/ssize_t)
	* drivers/dstate.c: drivers/dstate.c: augment range check when using
	  size_t as int
	* drivers/dstate.c: drivers/dstate.c: fix int casting to read() and
	  write(), add range checks for bytes written (size_t/ssize_t)

2021-09-23  Jim Klimov <jim@jimklimov.com>

	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: fix elapsed_time type
	  and casting
	* drivers/bcmxcp.c, drivers/bcmxcp_io.h, drivers/bcmxcp_ser.c,
	  drivers/bcmxcp_usb.c: drivers/bcmxcp*.{c,h}: fix types involved
	  with read() and write() to ssize_t
	* tools/nut-scanner/nutscan-serial.c: tools/nut-scanner/nutscan-
	  serial.c: fix count to size_t
	* tools/nut-scanner/scan_avahi.c: tools/nut-scanner/scan_avahi.c: fix
	  buf_size to size_t
	* tools/nut-scanner/scan_eaton_serial.c: tools/nut-
	  scanner/scan_eaton_serial.c: fix types involved with read() and
	  write() to ssize_t
	* tools/nut-scanner/scan_eaton_serial.c: tools/nut-
	  scanner/scan_eaton_serial.c: fix size_t thread_count and its
	  iterator
	* drivers/serial.c, drivers/serial.h: drivers/serial.[h,c]: fix
	  d_usec from long to useconds_t
	* tools/nut-scanner/nut-scan.h, tools/nut-scanner/nut-scanner.c,
	  tools/nut-scanner/scan_avahi.c, tools/nut-scanner/scan_nut.c,
	  tools/nut-scanner/scan_snmp.c, tools/nut-scanner/scan_xml_http.c:
	  tools/nut-scanner/*.[h,c]: fix usec_timeout from long to useconds_t
	* tools/nut-scanner/scan_xml_http.c: tools/nut-
	  scanner/scan_xml_http.c: fix size_t thread_count and its iterator
	* tools/nut-scanner/scan_xml_http.c: tools/nut-
	  scanner/scan_xml_http.c: fix recv_size use as size_t parameter
	* tools/nut-scanner/nut-scan.h, tools/nut-scanner/scan_xml_http.c:
	  tools/nut-scanner/nut-scan.h + scan_xml_http.c: fix port type to
	  uint16_t
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c: fix
	  arg type for generate_Ku()
	* drivers/apc-hid.c, drivers/bcmxcp_usb.c, drivers/belkin-hid.c,
	  drivers/blazer_usb.c, drivers/cps-hid.c, drivers/delta_ups-hid.c,
	  drivers/idowell-hid.c, drivers/liebert-hid.c, drivers/mge-hid.c,
	  drivers/nutdrv_atcl_usb.c, drivers/openups-hid.c, drivers/powercom-
	  hid.c, drivers/powervar-hid.c, drivers/richcomm_usb.c,
	  drivers/riello_usb.c, drivers/tripplite-hid.c,
	  drivers/tripplite_usb.c, drivers/usb-common.c, drivers/usb-
	  common.h: drivers/usb-common.{c,h} drivers/*{usb,hid}.c: fix type
	  of usb_device_id_t vendorID/productID to uint16_t  * usb-common.h:
	  fix the definition * *{usb,hid}.c: sentinel in a table of uint16_t
	  can not be -1 * usb-common.c: uint16_t for vendor and product --
	  change sentinel matcher for full (0,0,NULL) hits
	* tools/nut-scanner/nutscan-ip.c: tools/nut-scanner/scan_xml_http.c:
	  32-bit IPv4 addr mask should be uint32_t not int
	* tools/nut-scanner/nutscan-ip.c: tools/nut-scanner/scan_xml_http.c:
	  32-bit IPv4 addr should be uint32_t not int

2021-10-12  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/nutscan-ip.c: tools/nut-scanner/nutscan-ip.c:
	  safety-check and cast use of small mask_byte values

2021-09-23  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/nutscan-ip.c: tools/nut-scanner/nutscan-ip.c: use
	  platform-dependent getnameinfo() argument types
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c: fix
	  size_t thread_count and its iterator
	* tools/nut-scanner/scan_nut.c: tools/nut-scanner/scan_nut.c: fix
	  size_t thread_count and its iterator
	* tools/nut-scanner/scan_nut.c: tools/nut-scanner/scan_nut.c: fix
	  size_t buf_size
	* tools/nut-scanner/scan_nut.c: tools/nut-scanner/scan_nut.c: align
	  upscli_*() numa and numq args from "unsigned int" to "size_t", to
	  match PCONF_CTX_t fields
	* server/upsd.c: server/upsd.c: fix comparisons of nfds_t maxconn,
	  long sysconf() and size_t malloc()
	* server/upsd.c: server/upsd.c: check if maxconn<1 to avoid
	  signedness issues and because zero connections are also useless
	* server/upsd.c: server/upsd.c: align use of nfds_t vs. long
	  (maxconn) for GCC "-Wtype-limits"

2021-09-22  Jim Klimov <jim@jimklimov.com>

	* server/sstate.c: server/sstate.c: fix missed include
	* server/conf.c, server/upsd.c, server/upsd.h: server/upsd.c +
	  conf.c: align use of nfds_t vs. long (maxconn)
	* server/upsd.c: server/upsd.c: align use of uint8_t when
	  constructing an UUID
	* clients/upsclient.c, server/netssl.c: server/netssl.c +
	  clients/upsclient.c: fix ssl_error() to use ssize_t "ret"
	* server/sstate.c: server/sstate.c: fix int casting to read() and
	  write(), add range checks for bytes written (size_t/ssize_t)
	* clients/upsc.c, clients/upsclient.c, clients/upsclient.h,
	  clients/upscmd.c, clients/upsimage.c, clients/upslog.c,
	  clients/upsmon.c, clients/upsrw.c, clients/upsset.c,
	  clients/upsstats.c, docs/man/upscli_get.txt, drivers/dummy-ups.c:
	  clients/upsclient.h and numerous *.c: align upscli_get(),
	  upscli_list_start(), upscli_list_next() numa and numq args from
	  "unsigned int" to "size_t", to match PCONF_CTX_t fields
	* clients/upsmon.c: clients/upsmon.c: fix int casting to read() and
	  write(), add separate retval processing from system()
	* clients/upssched.c: clients/upssched.c: fix int casting to read()
	  and write(), add range checks for bytes written (size_t/ssize_t)
	* clients/upsclient.c: clients/upsclient.c: fix receiver of strtol(),
	  and log a FIXME for sanity checks
	* clients/upsmon.c: clients/upsmon.c: fix receiver of strtol()
	* clients/upssched.c: clients/upssched.c: fix receiver of strtol()
	* clients/upsmon.c: clients/upsmon.c: fix int type for use of
	  upscli_readline()
	* clients/upscmd.c: clients/upscmd.c: fix int type for use of
	  upscli_readline()
	* clients/upsimage.c: clients/upsimage.c: fix int casting
	* clients/upsrw.c: clients/upsrw.c: fix receiver of strtol()
	* drivers/nutdrv_qx.c, server/netset.c: server/netset.c +
	  drivers/nutdrv_qx.c: fix consumers of "long" getaux()
	* common/str.c: common/str.c: fix buffer int length in str_to_*int*()
	  methods
	* common/state.c, include/state.h, server/sstate.c, server/sstate.h:
	  common/state.c + server/sstate.c + *.h: aux field is a "long" so
	  getaux() should return long
	* common/common.c, include/common.h: common/common.c: fix use of a
	  pid_t value

2021-11-25  Jim Klimov <jim@jimklimov.com>

	* configure.ac: configure.ac: typo fix for ABS_TOP_* determination

2021-11-25  Jim Klimov <jimklimov@gmail.com>

	* docs/FAQ.txt: Update FAQ.txt  Update rationale (reasonable use-
	  cases) for "clone" driver

2021-11-25  Jim Klimov <jimklimov+nut@gmail.com>

	* common/Makefile.am, configure.ac: configure.ac +
	  common/Makefile.am: detect if building in-tree and differentiate
	  the recipe involving common.c based on that
	* common/Makefile.am: common/Makefile.am: let OpenBSD 6.4 make cope
	  with common.c recipe
	* docs/config-prereqs.txt: docs/config-prereqs.txt: add libusb1 for
	  OpenBSD
	* docs/config-prereqs.txt, docs/nut.dict: docs/config-prereqs.txt:
	  concerns about OpenBSD 6.4 freeipmi vs. "-largp"

2021-11-25  Jim Klimov <jim@jimklimov.com>

	* NEWS, docs/nut.dict: NEWS: added new salicru-hid subdriver in
	  usbhid-ups for NUT v2.7.5

2021-11-25  xbgmsharp <xbgmsharp@gmail.com>

	* drivers/salicru-hid.c: Rename unmapped.* to experimental.* data
	  points Add untested instant commands

2021-11-24  xbgmsharp <xbgmsharp@gmail.com>

	* drivers/salicru-hid.c: Update mapping

2021-11-23  Jim Klimov <jim@jimklimov.com>

	* docs/FAQ.txt: docs/FAQ.txt: extend Q&A on "NUT proxying" with
	  mention of "clone" driver

2021-11-22  xbgmsharp <xbgmsharp@gmail.com>

	* data/driver.list.in, drivers/Makefile.am, drivers/salicru-hid.c,
	  drivers/salicru-hid.h, drivers/usbhid-ups.c,
	  scripts/upower/95-upower-hid.rules: Initial release for Salicru
	  driver
	* data/driver.list.in, drivers/Makefile.am, drivers/salicru-hid.c,
	  drivers/salicru-hid.h, drivers/usbhid-ups.c,
	  scripts/upower/95-upower-hid.rules: Initial release for Salicru
	  driver

2021-11-22  Yifeng Li <tomli@tomli.me>

	* docs/nut.dict: docs/nut.dict: add model name "KRTS".
	* docs/man/huawei-ups2000.txt: huawei-ups2000.txt: update tested
	  models and user report suggestions.
	* docs/man/huawei-ups2000.txt: huawei-ups2000.txt: minor typo fixes

2021-11-22  Jim Klimov <jimklimov@gmail.com>

	* docs/FAQ.txt: Update docs/FAQ.txt  Add example of dummy-ups (relay
	  mode) configuration section  Co-authored-by: Helmut K. C. Tessarek
	  <tessarek@evermeet.cx>

2021-11-18  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c, drivers/snmp-ups.h: drivers/snmp-ups.{c,h}:
	  typedef snmp_info_t::flags and define its PRI_SU_FLAGS format to
	  ease type changes later  Also adds a "default:" to case for
	  template flag handling (from FTY fork)

2021-11-22  Jim Klimov <jim@jimklimov.com>

	* docs/FAQ.txt: docs/FAQ.txt: update for interactions via github
	  (issues, PRs, ...)
	* docs/FAQ.txt: docs/FAQ.txt: update for use-cases of dummy-ups in
	  relay mode

2021-11-20  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: Make end of log useful for spellcheck
	  failure handling

2021-11-20  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/config-prereqs.txt, docs/nut.dict: docs/config-prereqs.txt:
	  add a chapter on OpenBSD build agent setup
	* configure.ac: configure.ac: require at least autoconf-2.61 (macros
	  are used that are missing in 2.60 and before)
	* autogen.sh: autogen.sh: comment that libtool is also needed
	* autogen.sh: autogen.sh: comment about envs that want
	  AUTOCONF_VERSION or AUTOMAKE_VERSION
	* autogen.sh, configure.ac, scripts/augeas/.gitignore,
	  scripts/devd/Makefile.am, scripts/udev/.gitignore,
	  scripts/udev/Makefile.am: autogen.sh + configure.ac: try to support
	  building on systems without Python or Perl

2021-11-22  Arnaud Quette <ArnaudQuette@eaton.com>

	* drivers/mge-xml.c: Eaton XML/PDC: add External Battery Module count

2021-11-16  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups-helpers.c: drivers/snmp-ups-helpers.c: reshuffle
	  includes
	* drivers/snmp-ups.c: drivers/snmp-ups.c: include main.h => common.h
	  => config.h first
	* drivers/snmp-ups.c: drivers/snmp-ups.c: fix strncmp() limits for
	  "v1" and "v3" checks (copy-pasting typo)
	* drivers/snmp-ups.c: drivers/snmp-ups.c: mention in help that SNMP
	  version may be "v3"
	* drivers/libusb1.c: drivers/libusb1.c: fix devcount and devnum from
	  ssize_t to size_t

2021-11-15  Jim Klimov <jim@jimklimov.com>

	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  printf() assumes floating-point numbers are doubles, satisfy its
	  warnings
	* drivers/libusb1.c: drivers/libusb1.c: drop extra "int i" definition
	* ci_build.sh: ci_build.sh: NUT_USB_VARIANT=<value> => --with-
	  usb=libusb<value> [libusb-1.0+0.1 branch]
	* ci_build.sh: ci_build.sh: NUT_USB_VARIANT=no => --without-usb
	  explicitly
	* ci_build.sh: ci_build.sh: default-all-errors: report
	  BUILDSTODO_INITIAL at the end of log, and if non-zero BUILDSTODO
	  remained unaccounted
	* ci_build.sh: ci_build.sh: report which SSL/USB variants will be
	  looped
	* drivers/phoenixcontact_modbus.c: drivers/phoenixcontact_modbus.c:
	  use a longer global var name for modbus_ctx (nee ctx)
	* drivers/bcmxcp_ser.c, drivers/bcmxcp_ser.h, tools/nut-
	  scanner/scan_eaton_serial.c: drivers/bcmxcp_ser.{c,h} + tools/nut-
	  scanner/scan_eaton_serial.c: use longer global var name (AUT =>
	  BCMXCP_AUTHCMD)
	* drivers/bestfortress.c: drivers/bestfortress.c: comment an
	  analyzer-check complaint
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: avoid useless
	  comparison (warning)
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: only define
	  "Compatibility layer between libusb 0.1 and 1.0" if we build with
	  QX_USB at all (no required headers are in context otherwise)
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": ensure
	  BUILDSTODO counts for SSL+USB are planned same as executed - and
	  handle explicit NUT_USB_VARIANTS=no
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": ensure
	  BUILDSTODO counts for SSL+USB are planned same as executed
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": ensure
	  BUILDSTODO counts are decremented when configuration failed
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": between
	  configure and build, report the Configured NUT_USB_VARIANT
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": between
	  configure and build, report the Configured NUT_SSL_VARIANT
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": support
	  looping over NUT_USB_VARIANTS as well
	* drivers/libhid.c: drivers/libhid.c: HIDDumpTree(): mark that arg
	  "hd" is not used in SHUT_MODE
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: the "additional
	  USB-related checks" should now manipulate "LIBS" not "LIBUSB_LIBS"
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: comment on
	  "additional USB-related checks"
	* m4/nut_check_libusb.m4: Move "additional USB-related checks" from
	  configure.ac to m4/nut_check_libusb.m4
	* drivers/nutdrv_qx.c: [libusb-1.0] Realign buffer casting to
	  (usb_ctrl_char) after merge from master
	* tools/nut-scanner/scan_usb.c: tools/nut-scanner/scan_usb.c: fix
	  merge conflict [libusb-1.0+0.1]
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: complete the merge
	  from master to libusb-1.0+0.1
	* ci_build.sh: ci_build.sh: NUT_USB_VARIANT=no => --without-usb
	  explicitly
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: fix definition of
	  curDevice (libusb-1.0)
	* ci_build.sh: ci_build.sh: default-all-errors: report
	  BUILDSTODO_INITIAL at the end of log, and if non-zero BUILDSTODO
	  remained unaccounted
	* ci_build.sh: ci_build.sh: default-all-errors: report
	  BUILDSTODO_INITIAL at the end of log, and if non-zero BUILDSTODO
	  remained unaccounted
	* ci_build.sh: ci_build.sh: report which SSL/USB variants will be
	  looped

2018-03-14  Daniele Pezzini <hyouko@gmail.com>

	* data/cmdvartab, docs/nut-names.txt: libusb: update example of
	  driver.version.usb and add it to cmdvartab

2021-11-15  François-Régis Degott <francoisregisdegott@eaton.com>

	* drivers/eaton-ats16-nm2-mib.c: eaton-ats16-nm2-mib.c: fix mul coef.
	  for ambient.temperature and humidity (#1173)  * eaton-
	  ats16-nm2-mib.c: fix mul coef. for ambient.temperature and
	  ambient.humidity  * Update eaton-ats16-nm2-mib.c  Co-authored-by:
	  Arnaud Quette <arnaud.quette@gmail.com>

2021-11-15  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": between
	  configure and build, report the Configured NUT_SSL_VARIANT
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": ensure
	  BUILDSTODO counts are decremented when configuration failed
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: avoid useless
	  comparison (warning)
	* drivers/bestfortress.c: drivers/bestfortress.c: comment an
	  analyzer-check complaint
	* drivers/bcmxcp_ser.c, drivers/bcmxcp_ser.h, tools/nut-
	  scanner/scan_eaton_serial.c: drivers/bcmxcp_ser.{c,h} + tools/nut-
	  scanner/scan_eaton_serial.c: use longer global var name (AUT =>
	  BCMXCP_AUTHCMD)
	* drivers/phoenixcontact_modbus.c: drivers/phoenixcontact_modbus.c:
	  use a longer global var name for modbus_ctx (nee ctx)
	* drivers/phoenixcontact_modbus.c: drivers/phoenixcontact_modbus.c:
	  use a longer global var name for modbus_ctx (nee ctx)
	* drivers/bcmxcp_ser.c, drivers/bcmxcp_ser.h, tools/nut-
	  scanner/scan_eaton_serial.c: drivers/bcmxcp_ser.{c,h} + tools/nut-
	  scanner/scan_eaton_serial.c: use longer global var name (AUT =>
	  BCMXCP_AUTHCMD)
	* drivers/bestfortress.c: drivers/bestfortress.c: comment an
	  analyzer-check complaint
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: avoid useless
	  comparison (warning)
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: only define
	  "Compatibility layer between libusb 0.1 and 1.0" if we build with
	  QX_USB at all (no required headers are in context otherwise)
	* configure.ac: configure.ac: neuter "nut_usb_lib" if building
	  --without-usb
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": ensure
	  BUILDSTODO counts for SSL+USB are planned same as executed - and
	  handle explicit NUT_USB_VARIANTS=no
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": ensure
	  BUILDSTODO counts for SSL+USB are planned same as executed
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": ensure
	  BUILDSTODO counts are decremented when configuration failed
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": between
	  configure and build, report the Configured NUT_USB_VARIANT
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": between
	  configure and build, report the Configured NUT_SSL_VARIANT
	* ci_build.sh: ci_build.sh: BUILD_TYPE="default-all-errors": support
	  looping over NUT_USB_VARIANTS as well
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: report a NOTICE if
	  libusb-1.0 support was detected, but another was chosen
	* drivers/libhid.c: drivers/libhid.c: HIDDumpTree(): mark that arg
	  "hd" is not used in SHUT_MODE
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: the "additional
	  USB-related checks" should now manipulate "LIBS" not "LIBUSB_LIBS"
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: comment on
	  "additional USB-related checks"
	* configure.ac, m4/nut_check_libusb.m4: Move "additional USB-related
	  checks" from configure.ac to m4/nut_check_libusb.m4
	* configure.ac, docs/configure.txt, m4/nut_check_libusb.m4:
	  m4/nut_check_libusb.m4 et al: add support for --with-libusb-
	  version=(auto|0.1|1.0)
	* drivers/bcmxcp_usb.c: drivers/bcmxcp_usb.c: restore "ret" lost in
	  merging
	* drivers/riello_usb.c: drivers/riello_usb.c: properly export
	  variables shared between driver subtypes (reapply to libusb-1.0
	  branch)
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: add a bit more of
	  "Compatibility layer between libusb 0.1 and 1.0"
	* drivers/nutdrv_atcl_usb.c, drivers/nutdrv_qx.c,
	  drivers/richcomm_usb.c: [libusb-1.0] Realign use of
	  nut_usb_strerror() after merge from master
	* drivers/libusb1.c, drivers/nutdrv_qx.c: [libusb-1.0] Realign buffer
	  casting to (usb_ctrl_char) after merge from master

2021-11-13  Dan Benton <dan@dogsbody.com>

	* data/driver.list.in: Add CyberPower RMCARD205 which is supported

2021-11-13  Jim Klimov <jimklimov+nut@gmail.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: hide clang-3.4 warnings
	  about str{n}cmp() args into pragmas
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: detect general "-Warray-
	  bounds" support
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: detect general
	  "-Wtautological-compare"
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: detect "pragma clang
	  diagnostic push/pop" support (needed with older clang versions not
	  on par with GCC)
	* drivers/snmp-ups-helpers.c: drivers/snmp-ups-helpers.c: include
	  "config.h" before any system headers (such as time.h indirectly)
	* configure.ac: configure.ac: be sure to detect "time.h"
	* ci_build.sh: ci_build.sh: support a common DO_CLEAN_CHECK=no

2021-11-13  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups-helpers.c: drivers/snmp-ups-helpers.c: include a
	  header, avoid a warning
	* UPGRADING, docs/nut.dict: NEWS: updated build against various
	  generations of Net-SNMP for NUT v2.7.5
	* docs/configure.txt, m4/nut_check_libnetsnmp.m4:
	  m4/nut_check_libnetsnmp.m4: allow --with-netsnmp-config(=yes) to
	  mean prefer_NET_SNMP_CONFIG=true
	* NEWS: NEWS: updated build against various generations of FreeIPMI
	  for NUT v2.7.5
	* drivers/snmp-ups.c: drivers/snmp-ups.c: replace strcmp("short
	  string") with strncmp() (clang-3.4 warns about array out of bounds)
	* drivers/bcmxcp_ser.c: drivers/bcmxcp_ser.c: resolve a "tautological
	  compare" when building on older agents
	* drivers/nut-ipmi.h, drivers/nut-ipmipsu.c, drivers/nut-
	  libfreeipmi.c: drivers/nut-libfreeipmi.c nut-ipmipsu.c nut-ipmi.h:
	  adjust input_voltage_range_t (args of
	  ipmi_fru_multirecord_power_supply_information() vs.
	  ipmi_fru_parse_multirecord_power_supply_information() in different
	  FreeIPMI releases) [issue #1175]
	* drivers/Makefile.am: drivers/Makefile.am: disable quick-hack of
	  nut_ipmipsu_CFLAGS+="-Wno-pointer-sign" [issue #1175]
	* m4/nut_check_libusb.m4: m4/nut_check_libusb.m4: consider
	  have_PKG_CONFIG
	* m4/nut_check_libopenssl.m4: m4/nut_check_libopenssl.m4: consider
	  have_PKG_CONFIG
	* m4/nut_check_libnss.m4: m4/nut_check_libnss.m4: consider
	  have_PKG_CONFIG
	* m4/nut_check_libnetsnmp.m4: m4/nut_check_libnetsnmp.m4: consider
	  have_PKG_CONFIG
	* m4/nut_check_libneon.m4: m4/nut_check_libneon.m4: consider
	  have_PKG_CONFIG
	* m4/nut_check_libmodbus.m4: m4/nut_check_libmodbus.m4: consider
	  have_PKG_CONFIG
	* m4/nut_check_libgd.m4: m4/nut_check_libgd.m4: consider
	  have_PKG_CONFIG
	* m4/nut_check_libfreeipmi.m4: m4/nut_check_libfreeipmi.m4: consider
	  have_PKG_CONFIG
	* m4/nut_check_libavahi.m4: m4/nut_check_libavahi.m4: consider
	  have_PKG_CONFIG
	* m4/nut_check_pkgconfig.m4: m4/nut_check_pkgconfig.m4: separate
	  detection of support for have_PKG_CONFIG vs have_PKG_CONFIG_MACROS
	* configure.ac: configure.ac: call PKG_CONFIG for systemd settings
	  query only if we have_PKG_CONFIG, and die if "yes" was required but
	  query is not possible
	* m4/nut_check_pkgconfig.m4: m4/nut_check_pkgconfig.m4: extend to
	  consider PKG_CONFIG possibly detected by autoconf
	* configure.ac, m4/nut_check_pkgconfig.m4: configure.ac: evict
	  NUT_CHECK_PKGCONFIG into m4/nut_check_pkgconfig.m4
	* clients/upsmon.c, drivers/mge-utalk.c, drivers/snmp-ups.c,
	  tools/nut-scanner/scan_snmp.c: clients/upsmon.c tools/nut-
	  scanner/scan_snmp.c drivers/snmp-ups.c mge-utalk.c: avoid
	  strcmp("") as the implementation may be invalid (reaches out of
	  one-element array for "")
	* m4/nut_check_libnetsnmp.m4: m4/nut_check_libnetsnmp.m4: whitespace
	  fix (indent if-clause content)

2021-11-12  Jim Klimov <jim@jimklimov.com>

	* m4/nut_check_libnetsnmp.m4: m4/nut_check_libnetsnmp.m4: support
	  (and prefer) pkg-config info to net-snmp-config script(s)
	* Jenkinsfile-dynamatrix: Jenkinsfile-dynamatrix: separate
	  "distcheck-valgrind" from "default-nodoc", to filter away
	  "NUT_BUILD_CAPS=valgrind=no" agents

2021-11-13  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: update guessing SYS_PKG_CONFIG_PATH for
	  *openindiana*|*omnios*|*solaris*|*illumos*|*sunos*
	* ci_build.sh: ci_build.sh: for optional_maintainer_clean_check(),
	  ignore ".ci*.log*" files if present

2021-11-12  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: report which PWD failed a "git status"
	  query
	* ci_build.sh: ci_build.sh: report if ".git" disappeared during
	  *clean check [issue #1167]

2021-11-11  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.h: drivers/snmp-ups.h: fix remaining SU_* flag
	  bits to (unsigned long), to match snmp_info_t->flags type
	* drivers/snmp-ups.h: drivers/snmp-ups.h: comment SU_* bit usage by
	  bit-shifting macros
	* drivers/snmp-ups.h: drivers/snmp-ups.h: wrap long comments, and
	  detail where flag-field bits come from
	* drivers/snmp-ups.h: drivers/snmp-ups.h: comment typical use of
	  SU_TYPE(t) macro
	* drivers/snmp-ups.h: drivers/snmp-ups.h: fix SU_TYPE_DAISY(t) macro
	  (had no arg)
	* drivers/snmp-ups.h: drivers/snmp-ups.h: whitespace fixes
	* drivers/snmp-ups.h: drivers/snmp-ups.h: comment SU_STATUS_NUM_ELEM
	  as possibly obsolete

2021-10-27  Jim Klimov <jimklimov@gmail.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: fix buffer size to possibly
	  print max size_t

2021-10-26  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c, drivers/snmp-ups.h: drivers/snmp-ups.{c,h}: fix
	  SU_FLAG_* to (unsigned long) and their usage, to match
	  snmp_info_t->flags type
	* drivers/snmp-ups.c: drivers/snmp-ups.c: decode_str(): range-check
	  return of snprintf()

2021-11-11  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am:
	  rearrange lines to better match with 42ITy fork
	* NEWS, docs/nut.dict: NEWS: improved SNMPv3 Auth/Priv algo support,
	  and nut-scanner threadcount, for NUT v2.7.5

2021-11-10  Jim Klimov <jim@jimklimov.com>

	* drivers/Makefile.am: drivers/Makefile.am: hotfix header
	  (in)compatibility of different IPMI versions
	* drivers/Makefile.am: drivers/Makefile.am: hotfix header
	  (in)compatibility of different IPMI versions
	* drivers/Makefile.am: drivers/Makefile.am: hotfix header
	  (in)compatibility of different IPMI versions
	* drivers/nutdrv_qx.c: drivers/nutdrv_qx.c: hunnox_step is only used
	  qith QX_USB
	* drivers/bcmxcp_usb.c, drivers/libusb.h, drivers/nutdrv_atcl_usb.c,
	  drivers/nutdrv_qx.c, drivers/richcomm_usb.c,
	  drivers/tripplite_usb.c: drivers/*usb*: align whitespace changes
	  with libusb-1.0 branch
	* drivers/Makefile.am: drivers/Makefile.am: use LIBUSB_IMPL macro to
	  align with libusb-1.0 branch
	* drivers/libusb.c: drivers/libusb.c: whitespace fixes and message
	  fixes to align with libusb-1.0 branch
	* drivers/libusb.c, drivers/libusb.h, drivers/powervar-hid.c,
	  drivers/usbhid-ups.c: drivers/libusb.{c,h} + powervar-hid.c +
	  usbhid-ups.c: whitespace fixes after PR #1044
	* docs/config-prereqs.txt: docs/config-prereqs.txt: mention further
	  I2C-related packages in Debian/Ubuntu distros
	* ci_build.sh: ci_build.sh: in "default-all-errors" mode, report the
	  start of build variant and how many remain
	* Makefile.am, clients/Makefile.am, common/Makefile.am,
	  conf/Makefile.am, data/Makefile.am, data/html/Makefile.am,
	  docs/Makefile.am, docs/cables/Makefile.am, docs/man/Makefile.am,
	  drivers/Makefile.am, include/Makefile.am, lib/Makefile.am,
	  scripts/Makefile.am, scripts/Solaris/Makefile.am,
	  scripts/augeas/Makefile.am, scripts/devd/Makefile.am,
	  scripts/hotplug/Makefile.am, scripts/python/Makefile.am,
	  scripts/systemd/Makefile.am, scripts/udev/Makefile.am,
	  scripts/ufw/Makefile.am, scripts/upsdrvsvcctl/Makefile.am,
	  server/Makefile.am, tests/Makefile.am, tools/Makefile.am,
	  tools/nut-scanner/Makefile.am: */Makefile.am: ensure that `make
	  maintainer-clean` also removes .dirstamp files
	* .gitignore: .gitignore: remove a redundancy
	* ci_build.sh: ci_build.sh: in "default-all-errors" mode, ignore
	  strange exit-code from `expr` - if the maths result was "0"
	* ci_build.sh: ci_build.sh: in "default-all-errors" mode, ignore
	  strange exit-code from `expr`
	* ci_build.sh: ci_build.sh: in "default-all-errors" mode, do not
	  distclean before build (this just spends time to generate the
	  Makefile to kill it)
	* ci_build.sh: ci_build.sh: in "default-all-errors" mode, report
	  "SUCCEEDED build(s)" after final optional_maintainer_clean_check()
	  if that is called
	* ci_build.sh: ci_build.sh: dumb down can_clean_check() to pass "set
	  -e" shells
	* ci_build.sh: ci_build.sh: optional_*_clean_check() quickly skip if
	  there is no Makefile
	* ci_build.sh: ci_build.sh: in "default-all-errors" mode, count
	  expected/remaining BUILDSTODO and call
	  optional_maintainer_clean_check() for the last iteration and
	  optional_dist_clean_check() for others
	* ci_build.sh: ci_build.sh: introduce can_clean_check() to not fail
	  when we have nothing to test against

2021-11-09  Jim Klimov <jimklimov+nut@gmail.com>

	* Makefile.am: Makefile.am: first-shot "git-realclean-check" and
	  targets to print *CLEANFILES lists
	* ci_build.sh: ci_build.sh: introduce optional_dist_clean_check() to
	  use e.g. in "default-all-errors" case
	* ci_build.sh: ci_build.sh: in loop for "default-all-errors", report
	  "build" successes as such
	* ci_build.sh: ci_build.sh: skip optional_maintainer_clean_check() if
	  there is no .git [issue #1167]

2021-11-09  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: consider SNMPv3 Auth/Priv
	  algos detected by configure script when reporting the usage (via
	  addvar() help messages) [issue #1169]
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  consider SNMPv3 Auth/Priv algos detected by configure script when
	  reporting the usage [issue #1169]
	* tools/nut-scanner/scan_ipmi.c: tools/nut-scanner/scan_ipmi.c:
	  comment the comment
	* tools/nut-scanner/scan_nut.c, tools/nut-scanner/scan_snmp.c,
	  tools/nut-scanner/scan_xml_http.c: tools/nut-
	  scanner/scan_xml_http.c + scan_snmp.c + scan_nut.c: ifdef the
	  references to max_threads_scantype

2021-11-09  Jim Klimov <jimklimov+nut@gmail.com>

	* configure.ac: configure.ac: limit the impact of linux_i2c absent
	  libs when "auto" mode was requested
	* ci_build.sh: ci_build.sh: start default build from a clean slate,
	  and do not REQUIRE to be able to build everything (do auto-detect)
	* tests/Makefile.am, tools/nut-scanner/Makefile.am: tools/nut-
	  scanner/Makefile.am, tests/Makefile.am: do not refer to
	  LINKED_SOURCE_FILES with extra paths

2021-11-09  Jim Klimov <jim@jimklimov.com>

	* docs/ci-farm-lxc-setup.txt, docs/nut.dict: docs/ci-farm-lxc-
	  setup.txt: note about PTY definitions
	* docs/config-prereqs.txt: docs/config-prereqs.txt: say a bit more
	  about OSes with containers
	* docs/config-prereqs.txt: docs/config-prereqs.txt: say a bit more
	  about "General call to Test" and mention "ci_build.sh"
	* docs/config-prereqs.txt, docs/nut.dict: docs/config-prereqs.txt:
	  revise pkgs available in Debian-like operating systems

2021-11-08  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: use detected
	  NUT_HAVE_LIBNETSNMP_usm* support to define and use actual Priv or
	  Auth types
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c: use
	  detected NUT_HAVE_LIBNETSNMP_usm* support to define and use actual
	  Priv or Auth types
	* m4/nut_check_libnetsnmp.m4: m4/nut_check_libnetsnmp.m4: detect
	  support of usmAES128PrivProtocol in Net-SNMP we build against
	* m4/nut_check_libnetsnmp.m4: m4/nut_check_libnetsnmp.m4: detect
	  support of (NETSNMP_DRAFT_BLUMENTHAL_AES_04) usmAES192PrivProtocol
	  usmAES256PrivProtocol in Net-SNMP we build against
	* m4/nut_check_libnetsnmp.m4: m4/nut_check_libnetsnmp.m4: detect
	  support of usmDESPrivProtocol usmHMACMD5AuthProtocol
	  usmHMACSHA1AuthProtocol in Net-SNMP we build against
	* m4/nut_check_libnetsnmp.m4: m4/nut_check_libnetsnmp.m4: detect
	  support of usmHMAC256SHA384AuthProtocol
	  usmHMAC384SHA512AuthProtocol usmHMAC192SHA256AuthProtocol in Net-
	  SNMP we build against
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c: ifdef
	  all references to NETSNMP_DRAFT_BLUMENTHAL_AES_04 related code
	* tools/nut-scanner/nut-scanner.c, tools/nut-scanner/nutscan-init.c:
	  tools/nut-scanner/... : move init/destroy of threadcount_mutex from
	  nut-scanner.c to nutscan-init.c

2021-11-05  Dim <dmitrijzukov@eaton.com>

	* drivers/snmp-ups.c, tools/nut-scanner/nut-scanner.c, tools/nut-
	  scanner/scan_snmp.c: Added new auth methods to snmp

2021-11-08  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/scan_eaton_serial.c, tools/nut-
	  scanner/scan_nut.c, tools/nut-scanner/scan_snmp.c, tools/nut-
	  scanner/scan_xml_http.c: tools/nut-scanner/scan_eaton_serial.c +
	  scan_nut.c + scan_snmp.c + scan_xml_http.c: release global
	  semaphores in final protocol-scanner tread reaping
	* tools/nut-scanner/scan_eaton_serial.c, tools/nut-
	  scanner/scan_nut.c, tools/nut-scanner/scan_snmp.c, tools/nut-
	  scanner/scan_xml_http.c: tools/nut-scanner/scan_eaton_serial.c +
	  scan_nut.c + scan_snmp.c + scan_xml_http.c: report if we are
	  waiting for semaphored threads to complete

2017-10-31  barraudl <lilianbarraud@eaton.com>

	* tools/nut-scanner/Makefile.am, tools/nut-scanner/README, tools/nut-
	  scanner/nut-scan.h, tools/nut-scanner/nut-scanner.c, tools/nut-
	  scanner/nutscan-init.c, tools/nut-scanner/nutscan-init.h: Revise
	  use of semaphores in nut-scanner vs libnutscanner  Original commit
	  in 42ITy fork in 2017: "Fix the Debian package generation"  Adapted
	  into NUT upstream code, considering 4 years of codebase evolution,
	  in 2021:

2017-10-23  barraudl <lilianbarraud@eaton.com>

	* configure.ac, tools/nut-scanner/nut-scan.h, tools/nut-scanner/nut-
	  scanner.c, tools/nut-scanner/scan_eaton_serial.c, tools/nut-
	  scanner/scan_nut.c, tools/nut-scanner/scan_snmp.c, tools/nut-
	  scanner/scan_xml_http.c: Add thread limitation to avoid memory
	  error  Original development in 42ITy fork in 2017:   UPDATE: Merged
	  with NUT upstream, considering evolution of codebases over 4 years
	  since original commit, revised 2021:

2021-11-08  Jim Klimov <jim@jimklimov.com>

	* drivers/mge-hid.c: drivers/mge-hid.c: actively check and warn if we
	  truncated the string
	* drivers/gamatronic.c: drivers/gamatronic.c: actively check and warn
	  if we truncated the string
	* docs/nut.dict: docs/nut.dict: update for recent NEWS
	* drivers/nutdrv_qx_masterguard.c: drivers/nutdrv_qx_masterguard.c:
	  safely limit a strncpy() call
	* drivers/oneac.c: drivers/oneac.c: shield a potentially truncating
	  snprintf() into a small buffer
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: introduce
	  HAVE_PRAGMA_GCC_DIAGNOSTIC_IGNORED_STRINGOP_TRUNCATION
	* drivers/mge-hid.c: drivers/mge-hid.c: shield a potentially
	  truncating snprintf() into a small buffer

2021-11-08  Jim Klimov <jimklimov+nut@gmail.com>

	* configure.ac: configure.ac: for CppUnit, also sanity-check
	  CPPUNIT_ASSERT_MESSAGE()

2021-11-07  Jim Klimov <jimklimov+nut@gmail.com>

	* clients/Makefile.am: clients/Makefile.am: depend on "dummy" recipe
	  to re-evaluate out-of-dir libs (so development iterations in them
	  are reflected in rebuilds)
	* drivers/Makefile.am: drivers/Makefile.am: depend on "dummy" recipe
	  to re-evaluate out-of-dir libs (so development iterations in them
	  are reflected in rebuilds)
	* server/Makefile.am: server/Makefile.am: depend on "dummy" recipe to
	  re-evaluate out-of-dir libs (so development iterations in them are
	  reflected in rebuilds)
	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am:
	  depend on "dummy" recipe to re-evaluate out-of-dir libs (so
	  development iterations in them are reflected in rebuilds)
	* tests/Makefile.am: tests/Makefile.am: depend on "dummy" recipe to
	  re-evaluate out-of-dir libs (so development iterations in them are
	  reflected in rebuilds)
	* tests/Makefile.am: tests/Makefile.am: drop obsoleted comment
	* tests/nutclienttest.cpp: tests/nutclienttest.cpp: add
	  test_strarr_alloc()  This may seem trivial, but there are
	  suspicions this allocation does not always work (e.g. NUT issue
	  #1126)

2021-11-07  Jim Klimov <jim@jimklimov.com>

	* drivers/gamatronic.c: drivers/gamatronic.c: shield a potentially
	  truncating snprintf() into a small buffer
	* drivers/bcmxcp.c: drivers/bcmxcp.c: shield a potentially dangerous
	  snprintf() into a small buffer as tested-safe
	* clients/upscmd.c: clients/upscmd.c: shield a potentially dangerous
	  snprintf() into a small buffer as tested-safe
	* clients/upsrw.c: clients/upsrw.c: shield a potentially dangerous
	  snprintf() into a small buffer as tested-safe
	* m4/ax_c_pragmas.m4: m4/ax_c_pragmas.m4: add
	  HAVE_PRAGMA_GCC_DIAGNOSTIC_IGNORED_FORMAT_TRUNCATION

2021-11-07  Jim Klimov <jimklimov+nut@gmail.com>

	* clients/nutclient.cpp: clients/nutclient.cpp: safety check in
	  strarr_alloc(): returned pointer should be not null
	* clients/nutclient.h: tests/nutclienttest.h: whitespace fixes
	  (indent chars)
	* tests/nutclienttest.cpp: tests/nutclienttest.cpp: whitespace fixes
	  (wrap long lines for maintainability)

2021-11-07  Jim Klimov <jim@jimklimov.com>

	* drivers/snmp-ups.c: drivers/snmp-ups.c: load_mib2nut(): do not
	  report "Unknown mibs value" just if a device did not match the
	  mapping [NUT issue #1141]
	* drivers/snmp-ups.c: drivers/snmp-ups.c: refactor load_mib2nut() to
	  not `strcmp(mib, "auto")` many times

2021-11-07  Jim Klimov <jimklimov@gmail.com>

	* drivers/snmp-ups.c: Update snmp-ups.c  Fix use of `char
	  su_scratch_buf[255]` (original static array moved to another file
	  in master branch), and bump `DRIVER_VERSION`

2021-11-07  Jim Klimov <jim@jimklimov.com>

	* NEWS: NEWS: added snmp-ups support for ondelay/offdelay for
	  NUT-2.7.5

2021-11-07  Jim Klimov <jimklimov@gmail.com>

	* drivers/snmp-ups.c: Update snmp-ups.c  Use the common (and
	  sufficiently large for any runaway numeric madness)
	  `su_scratch_buf` instead of a local `char[6]` buffer.
	* drivers/snmp-ups.c: Update snmp-ups.c  A few small whitespace fixes

2021-11-07  Jim Klimov <jim@jimklimov.com>

	* drivers/arduino-hid.c: drivers/arduino-hid.c: normalize whitespace
	  for NUT codebase
	* drivers/arduino-hid.c, drivers/arduino-hid.h: drivers/arduino-
	  hid.{c,h}: update (C) to arduino-hid support author
	* NEWS: NEWS: added usbhid-ups new subdriver arduino-hid support for
	  NUT-2.7.5
	* NEWS: NEWS: added USB HID support on interface number greater than
	  0 for NUT-2.7.5
	* NEWS: NEWS: added huawei-ups2000 support for NUT-2.7.5

2021-11-07  Jim Klimov <jimklimov@gmail.com>

	* docs/man/huawei-ups2000.txt: Update huawei-ups2000.txt  Made the
	  `configure` example a bit friendlier for copy-pasting.

2021-11-06  Jim Klimov <jim@jimklimov.com>

	* tests/.gitignore, tools/nut-scanner/.gitignore: GitIgnore
	  LINKED_SOURCES (follow-up to PR #1159)
	* .gitignore: GitIgnore .dirstamp in build trees
	* Makefile.am: Makefile.am: move removal of dist tarballs and build
	  packages from "distclean" to "maintainer-clean"
	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am: mark
	  use of LINKED_SOURCE_FILES as "nodist"
	* tests/Makefile.am: tests/Makefile.am: mark use of
	  LINKED_SOURCE_FILES as "nodist"
	* Makefile.am: Makefile.am: add a "make realclean" as alias to
	  maintainer-clean
	* Makefile.am: Makefile.am: typo fix MAINTAINERCLEAN_FILES =>
	  MAINTAINERCLEANFILES
	* ci_build.sh: ci_build.sh: there is no default "make realclean"
	  implem in autotools, fall back to "maintainer-clean" support for
	  wipingg the workspace
	* Makefile.am, clients/Makefile.am, common/Makefile.am,
	  conf/Makefile.am, data/Makefile.am, data/html/Makefile.am,
	  docs/Makefile.am, docs/cables/Makefile.am, docs/man/Makefile.am,
	  drivers/Makefile.am, include/Makefile.am, lib/Makefile.am,
	  scripts/Makefile.am, scripts/Solaris/Makefile.am,
	  scripts/augeas/Makefile.am, scripts/devd/Makefile.am,
	  scripts/hotplug/Makefile.am, scripts/python/Makefile.am,
	  scripts/systemd/Makefile.am, scripts/udev/Makefile.am,
	  scripts/ufw/Makefile.am, scripts/upsdrvsvcctl/Makefile.am,
	  server/Makefile.am, tests/Makefile.am, tools/Makefile.am,
	  tools/nut-scanner/Makefile.am: */Makefile.am: there is no default
	  "make realclean" implem in autotools, fall back to "maintainer-
	  clean" support for wipingg the workspace
	* Makefile.am, clients/Makefile.am, common/Makefile.am,
	  conf/Makefile.am, data/Makefile.am, data/html/Makefile.am,
	  docs/Makefile.am, docs/cables/Makefile.am, docs/man/Makefile.am,
	  drivers/Makefile.am, include/Makefile.am, lib/Makefile.am,
	  scripts/Makefile.am, scripts/Solaris/Makefile.am,
	  scripts/augeas/Makefile.am, scripts/devd/Makefile.am,
	  scripts/hotplug/Makefile.am, scripts/python/Makefile.am,
	  scripts/systemd/Makefile.am, scripts/udev/Makefile.am,
	  scripts/ufw/Makefile.am, scripts/upsdrvsvcctl/Makefile.am,
	  server/Makefile.am, tests/Makefile.am, tools/Makefile.am,
	  tools/nut-scanner/Makefile.am: */Makefile.am: reshuffle what we
	  remove as part of "make distclean" vs. "make realclean" (can be
	  remade only by autogen.sh)
	* Makefile.am: Makefile.am: do not "distclean" away some more parts
	  of "configure" script ecosystem (leave that to "realclean")
	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am:
	  restore use of $(builddir) for LINKED_SOURCE_FILES
	* tests/Makefile.am: tests/Makefile.am: restore use of $(builddir)
	  for LINKED_SOURCE_FILES
	* ci_build.sh: ci_build.sh: call optional_realclean_check() after
	  more build variants
	* tools/Makefile.am: tools/Makefile.am: distclean the helper scripts
	  that can be re-made
	* ci_build.sh: ci_build.sh: change the cleanliness check from
	  "distcheck" to "realcheck" and factor into a method
	* Makefile.am: Makefile.am: regenerate the helper needed for
	  ChangeLog if cleaned away
	* Makefile.am: Makefile.am: delete the configure script and its
	  components not in a "make distclean" but in "make realclean"

2021-11-05  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am: use
	  BUILT_SOURCES=LINKED_SOURCE_FILES to avoid dist-ing temporary
	  symlinks as files
	* tests/Makefile.am: tests/Makefile.am: use
	  BUILT_SOURCES=LINKED_SOURCE_FILES to avoid dist-ing temporary
	  symlinks as files
	* ci_build.sh: ci_build.sh: only call dpkg if present
	* ci_build.sh: ci_build.sh: configure_nut(): call ./autogen.sh before
	  CONFIGURE_SCRIPT if there is no configure script
	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am:
	  revise the magic of LINKED_SOURCE_FILES for distcheck
	* tests/Makefile.am: tests/Makefile.am: revise the magic of
	  LINKED_SOURCE_FILES for distcheck
	* ci_build.sh: ci_build.sh: add a DO_DISTCHECK_CLEAN to make sure we
	  clean everything made, and no more (after any distcheck)
	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am:
	  revise the magic of LINKED_SOURCE_FILES for distcheck
	* tests/Makefile.am: tests/Makefile.am: revise the magic of
	  LINKED_SOURCE_FILES for distcheck
	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am: make
	  sure to symlink sources into $(builddir)/
	* tests/Makefile.am: tests/Makefile.am: make sure to symlink sources
	  into $(builddir)/
	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am: work
	  around dmake bugs
	* tests/Makefile.am: tests/Makefile.am: work around dmake bugs
	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am: quote
	  pathnames, and force the symlink (to overwrite older if any)
	* tests/Makefile.am: tests/Makefile.am: quote pathnames, and force
	  the symlink (to overwrite older if any)
	* Makefile.am: Makefile.am: distclean-local: first find(), then rm()
	  the findings (find-recursion fails otherwise)
	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am:
	  symlink source used from another directory into current builddir,
	  do avoid external ".deps/" usage
	* tests/Makefile.am: tests/Makefile.am: symlink source used from
	  another directory into current builddir, do avoid external ".deps/"
	  usage
	* Makefile.am, clients/Makefile.am, common/Makefile.am,
	  drivers/Makefile.am, server/Makefile.am, tests/Makefile.am,
	  tools/nut-scanner/Makefile.am: */Makefile.am: Do not clean ".deps"
	  in SUBDIRS of the main project
	* Makefile.am, clients/Makefile.am, common/Makefile.am,
	  conf/Makefile.am, data/Makefile.am, data/html/Makefile.am,
	  docs/Makefile.am, docs/cables/Makefile.am, docs/man/Makefile.am,
	  drivers/Makefile.am, include/Makefile.am, lib/Makefile.am,
	  scripts/Makefile.am, scripts/Solaris/Makefile.am,
	  scripts/augeas/Makefile.am, scripts/devd/Makefile.am,
	  scripts/hotplug/Makefile.am, scripts/python/Makefile.am,
	  scripts/systemd/Makefile.am, scripts/udev/Makefile.am,
	  scripts/ufw/Makefile.am, scripts/upsdrvsvcctl/Makefile.am,
	  server/Makefile.am, tests/Makefile.am, tools/Makefile.am,
	  tools/nut-scanner/Makefile.am: */Makefile.am: revise CLEANFILES and
	  DISTCLEANFILES (favored over clean-local target rules)

2021-11-04  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am: use
	  libcommon.la as part of libnutscan.(la|so)

2021-11-04  Jim Klimov <EvgenyKlimov@eaton.com>

	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am: do
	  not build common.c into nut-scanner (avoid double-definition of
	  nut_debug_level among other things)
	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am: fix
	  rule for NUT_SCANNER_DEPS to be sure
	* clients/Makefile.am, common/Makefile.am, drivers/Makefile.am,
	  server/Makefile.am, tests/Makefile.am, tools/nut-
	  scanner/Makefile.am: */Makefile.am: define dependencies on out-of-
	  dir *.la helper libs: use AM_MAKEFLAGS (follows-up to PR #1151)

2021-11-04  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  revise parsing of --thread via strtol()  Inspired by 42ITy fork
	  approach to similar issue
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  rename "--jobs" to "--thread"  Inspired by 42ITy fork approach to
	  similar issue

2021-11-04  Jim Klimov <EvgenyKlimov@eaton.com>

	* tools/nut-scanner/Makefile.am: tools/nut-scanner/Makefile.am: fix
	  rule for NUT_SCANNER_DEPS to be sure
	* clients/Makefile.am, common/Makefile.am, drivers/Makefile.am,
	  server/Makefile.am, tests/Makefile.am, tools/nut-
	  scanner/Makefile.am: */Makefile.am: define dependencies on out-of-
	  dir *.la helper libs: use AM_MAKEFLAGS (follows-up to PR #1151)

2021-11-04  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  refine sanity-checks for nofile_limit.rlim_cur value range
	* tools/nut-scanner/nut-scan.h, tools/nut-scanner/nut-scanner.c,
	  tools/nut-scanner/scan_nut.c, tools/nut-scanner/scan_snmp.c,
	  tools/nut-scanner/scan_xml_http.c: tools/nut-scanner/nut-scanner.c
	  + scan_xml_http.c + scan_snmp.c + scan_nut.c + nut-scan.h: Add a
	  hard limit on netxml scanning thread count
	* configure.ac, tools/nut-scanner/nut-scanner.c: tools/nut-
	  scanner/nut-scanner.c + configure.ac: detect if getrlimit() is
	  usable
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  constrain default or requested job count with current `ulimit -n`
	  (minus known overhead)
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  whitespace fix
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  wrap long line

2021-11-03  Jim Klimov <jim@jimklimov.com>

	* tools/nut-scanner/scan_eaton_serial.c: tools/nut-
	  scanner/scan_eaton_serial.c: limit thread count like in scan_snmp.c
	* tools/nut-scanner/scan_nut.c: tools/nut-scanner/scan_nut.c: limit
	  thread count like in scan_snmp.c
	* tools/nut-scanner/scan_xml_http.c: tools/nut-
	  scanner/scan_xml_http.c: define TRUE/FALSE
	* tools/nut-scanner/scan_xml_http.c: tools/nut-
	  scanner/scan_xml_http.c: limit thread count like in scan_snmp.c
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c:
	  comment "#endif // HAVE_PTHREAD" to navigate in code better
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c: only
	  loop to free the thread_array if any were allocated
	* tools/nut-scanner/nut-scan.h, tools/nut-scanner/scan_snmp.c:
	  tools/nut-scanner/nut-scan.h + scan_snmp.c: (C) header and some
	  cosmetic fixes
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  bump default max_threads to not lag with /24 subnets

2021-11-03  Jim Klimov <EvgenyKlimov@eaton.com>

	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c: only
	  sleep after attempting pthread_tryjoin_np() if nothing got cleaned
	  away
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c: hide
	  debug logging for thread herding
	* tools/nut-scanner/nut-scan.h, tools/nut-scanner/scan_snmp.c:
	  tools/nut-scanner/scan_snmp.c: update comments and messages
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c:
	  update log-tracing of pthread herding
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c: move
	  locking of total thread count change when we add one

2021-11-03  Jim Klimov <jim@jimklimov.com>

	* configure.ac, tools/nut-scanner/nut-scanner.c, tools/nut-
	  scanner/scan_snmp.c: configure.ac, tools/nut-scanner/scan_snmp.c,
	  tools/nut-scanner/nut-scanner.c: not all glibc versions
	  HAVE_PTHREAD_TRYJOIN

2021-11-03  Jim Klimov <EvgenyKlimov@eaton.com>

	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c: limit
	  the thread count for parallelized scanning
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  add a threadcount_mutex to use in all children
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c:
	  handle max_threads, curr_threads
	* tools/nut-scanner/nut-scanner.c: tools/nut-scanner/nut-scanner.c:
	  add support for -j N (--jobs=N) option to limit simultaneous
	  scanning threads
	* tools/nut-scanner/scan_snmp.c: tools/nut-scanner/scan_snmp.c:
	  comment a FIXME for limiting the pthread count
	* tools/nut-scanner/nutscan-ip.c: tools/nut-scanner/nutscan-ip.c:
	  nutscan_cidr_to_ip(): forbid scanning whole Internet

2021-11-03  Jim Klimov <jim@jimklimov.com>

	* tests/.gitignore: GitIgnore test log and trace for "getvaluetest"

2021-11-03  Jim Klimov <EvgenyKlimov@eaton.com>

	* tools/nut-scanner/nutscan-ip.c: tools/nut-scanner/nutscan-ip.c:
	  tone down the debug-logging of CIDR processing
	* tools/nut-scanner/nutscan-ip.c: tools/nut-scanner/nutscan-ip.c:
	  only free cidr_tok after we are done manipulating its memory buffer
	* tools/nut-scanner/nut-scanner.c, tools/nut-scanner/nutscan-ip.c:
	  nutscan-ip.c, nut-scanner.c: instrument the CIDR processing to
	  trace an error

2021-11-02  Jim Klimov <jim@jimklimov.com>

	* docs/documentation.txt, docs/man/dummy-ups.txt:
	  docs/documentation.txt + docs/man/dummy-ups.txt: refer to
	  `tools/nut-ddl-dump.sh` in the same manner (issue #1111)
	* docs/man/dummy-ups.txt: docs/man/dummy-ups.txt: fix use of "link:"
	  tag in asciidoc (issue #1111) and slightly reword
	* docs/documentation.txt: docs/documentation.txt: fix use of "link:"
	  tag in asciidoc (issue #1111) and slightly reword
	* docs/nut-names.txt: docs/nut-names.txt: fix use of "link:" tag in
	  asciidoc (issue #1111)
	* docs/developers.txt: docs/developers.txt: fix use of "link:" tag in
	  asciidoc (issue #1111)

2021-11-01  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: give the caller a way to disable parallel
	  builds with PARMAKE_FLAGS=" " (space)
	* ci_build.sh: ci_build.sh: enable parallel builds for default build
	  (one without a BUILD_TYPE specified)
	* ci_build.sh: ci_build.sh: enable parallel builds for "distcheck" in
	  default builds, which should now pass well (after usual build and
	  check passed)
	* ci_build.sh: ci_build.sh: report chosen settings for parallel
	  builds
	* configure.ac: configure.ac: test more proactively if valgrind can
	  test things and not crash by itself
	* ci_build.sh: ci_build.sh: enable parallel builds for "default-
	  tgt:*" which should now pass well
	* ci_build.sh: ci_build.sh: guess the available amount of parallelism
	  for the current system; consider load averages for GNU Make too
	* docs/Makefile.am, docs/man/Makefile.am: docs/(man/)Makefile.am:
	  move back to builddir all files for the built documents, not just
	  the target name
	* docs/Makefile.am, docs/man/Makefile.am: docs/(man/)Makefile.am:
	  before putting back the built documents, clean up the destination
	  if needed and make the workdir removable if needed (a2x can copy
	  system/EXTRA_DIST resources with their attrs)

2021-10-31  Jim Klimov <jim@jimklimov.com>

	* docs/Makefile.am, docs/man/Makefile.am: docs/(man/)Makefile.am:
	  only delete target before build if it is a directory (chunked HTML)
	* docs/Makefile.am: docs/Makefile.am: update comment about
	  destination dir for asciidoc/a2x
	* docs/man/Makefile.am: Revert "docs/man/Makefile.am: tone down the
	  use of "touch" for multicomponent docs"  This reverts commit
	  0b9ac2500ddbc7bd11a639805d43cda9259bfb1f.
	* docs/Makefile.am: docs/Makefile.am: avoid potential for races where
	  same document is built several times (mentioned in different list
	  variables)
	* docs/man/Makefile.am: docs/man/Makefile.am: avoid races where same
	  document is built several times (mentioned in different list
	  variables)
	* docs/man/Makefile.am: Revert "docs/man/Makefile.am: avoid races
	  where same document is built several times (mentioned in different
	  list variables)"  This reverts commit
	  29ae5a8f6e5524d689ebaf2abdf508528288b010.
	* docs/man/Makefile.am: docs/man/Makefile.am: tag DOC-MAN-HTML
	  visibly different from DOC-HTML of the main docs dir
	* docs/man/Makefile.am: docs/man/Makefile.am: avoid races where same
	  document is built several times (mentioned in different list
	  variables)
	* docs/man/Makefile.am: docs/man/Makefile.am: tone down the use of
	  "touch" for multicomponent docs
	* docs/.gitignore, docs/Makefile.am, docs/man/.gitignore,
	  docs/man/Makefile.am: docs/(man/)Makefile.am: fan out doc builds
	  into subdirectories, where we can, so parallel runs do not collide

2021-11-01  Jim Klimov <jim@jimklimov.com>

	* ci_build.sh: ci_build.sh: update the heading comment

2021-10-31  Jim Klimov <jim@jimklimov.com>

	* docs/man/Makefile.am: docs/man/Makefile.am: whitespace fixes (drop
	  some indentation)

2021-10-30  Jim Klimov <jimklimov+nut@gmail.com>

	* docs/Makefile.am: docs/Makefile.am: as developer aid, add
	  "(all-)docs" target to try building all types regardless of
	  enablement by configure script; also add "make man" support

